===================== 2022-09-16 Version 5.4.9 Released =====================

===================== Changes Since Version 5.4.8 ===========================

commit 2d7e5e2394915641ea56140592e8df8148715c5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 08:55:33 2022 +0200

    Makefile.defs: version set to 5.4.9

commit 9c0df59e0bc4e0747179cc4f912d8ba44f80a2f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 08:54:42 2022 +0200

    pkg: version set to 5.4.9 for rpms and apline

commit 5701d448589f4cc2bcaa3439bedb3f427736c448
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 08:53:22 2022 +0200

    pkg/kamailio/deb: version set 5.4.9

commit 06af68c05099a789df66564b8ee2841d1588207f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Sep 15 13:48:10 2022 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit adf9eb3d8d9e7d09db9f5912ac3ae7c5cf6dec7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 13:36:18 2022 +0200

    core: parser - backport of parse_contact_headers()

commit 158219f8282cd8f498fb20ac9b4840ad2bc66472
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Aug 23 07:29:23 2022 +0000

    etc/kamailio.cfg: corrected a typo ("endabled"), GH #3223
    
    (cherry picked from commit b46afeca6c515f5baf1812ca821321117df6478b)
    (cherry picked from commit 33e1638b92c073f58b27232e7985a5ffe6994b7f)
    (cherry picked from commit 624066ca10f2b6551b396e9fef9605ccea70ea4b)

commit 626d9b4078956b49973320ad05452503af71a0fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 16 09:09:45 2022 +0200

    msrp: proper cmap insert when last item has greater citemid
    
    - condition for last item was processed first, resulting in improper
      order of items, GH #3215
    
    (cherry picked from commit 1e4bf1dd7fbfc9d51f0e56e98472a42de781cdbd)
    (cherry picked from commit a5cbf0bade8ab0b04d1f8e9288b239df4df8d76b)
    (cherry picked from commit 0333468742b66760f055c8d4045c3996a801dc59)

commit d7d093ec976a71acdc132e7dd52d9f8e07a9cc9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 12 14:31:48 2022 +0200

    core/cfg: cast pointer to long to silent compiler warning
    
    - GH #3208
    
    (cherry picked from commit 26785f866eeadc6944af83ae1a57e8ff100f60f5)
    (cherry picked from commit 8aceadf62fde1b1faf414e5d47c42102c64d2e90)
    (cherry picked from commit e90c246c801e363706731fb79c3fa66daf1edc73)

commit de4acc57766751794bcb1c8255e63426a9e525fb
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jul 25 13:55:39 2022 +0000

    ratelimit: fix docs to actual values in the code for queue and pipe limits
    
    (cherry picked from commit cae9d78a6c8d33f6c4ec780901a55c27260c2000)
    (cherry picked from commit 98342927e3493a8af6b859ab1cd1877f816a8bde)
    (cherry picked from commit ab876c06229347b5bdb79da8940f9bac7c642634)

commit e43de8a3443c335487b305e26e4e53e31b5ce346
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 15 20:18:02 2022 +0200

    xhttp: docs - listed http_reply_parse core setting
    
    (cherry picked from commit 36b0da00b9fc08be9e855d5dd4cc878b6e3c88bf)
    (cherry picked from commit e07c2288053a21f5fc758f359a60ffaceb687f35)
    (cherry picked from commit e2d6937882032479e7a0af0b00e2f0612f235355)

commit 927d9a21da6f0e8cad0cc086b76559546beeb114
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jul 12 15:12:00 2022 +0300

    core: fix ksr_version_control() for FreeBSD build
    
    (cherry picked from commit a8769af4c3a497d0f6a81cff17861e566ffa87bc)
    (cherry picked from commit 88560506e42e0d127c2034b35397b29ee5909307)
    (cherry picked from commit 2a02935045fadc2a363f1b8efb7c6c021de44cb8)

commit c18a32d821cf311ff78046bcba37676d0c9fad4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 27 08:04:08 2022 +0200

    nathelper: docs - rephrased the remarks about set_contact_alias()
    
    (cherry picked from commit c009f27578e8df9aa77ab852325dad8dc710d6c8)
    (cherry picked from commit f1bd6bb8dec9db76acf697a7b1d177a2bfcfd7c1)
    (cherry picked from commit c230842d1eab45752a4ec3c77c1cc688ae7098d4)

commit 44d1cc0cc02f8fd7ce50c5acaedc7bbed010f349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 8 11:14:27 2022 +0200

    core: use memcpy and set end of string
    
    (cherry picked from commit 5cd4e817a24308b82fc3f631fb18f354dadf2b7e)
    (cherry picked from commit ca1e61ec0453b9a4797ac7af88ac179d27e53685)
    (cherry picked from commit 5e27edf4dfa1f2dbed8c69c08c6ae8e0f927af2d)

commit 4b318bbcc364a87b908a4dbbd28d2c3c39433023
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 09:37:07 2022 +0200

    tm: enable debug message to log putting transaction on wait
    
    (cherry picked from commit c67bbca95b861f735889f14467c0192896298e84)
    (cherry picked from commit 167237f7ce1a17b6d0e83fd90e563dc70ce0b68d)
    (cherry picked from commit cf31cbbe40aeb798f91a32068514c65d890bd2d6)

commit 930fe0a7a8c4b967e1016778ff3c6ea54c06de57
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Jul 4 15:49:20 2022 +0200

    tm: check T just in case before UNREF
    
    Related #3156
    
    (cherry picked from commit dedd7ee2ddcb92b020ea40a074008a317a9553f5)
    (cherry picked from commit d97c59a15bf6634d28998b3a0fa4acc845b70fa2)
    (cherry picked from commit 0967462dd6010e7015743688e5d3442d2124787a)

commit 25e3b4f94facf1b65bd52af097f370751d27e08c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 15:51:32 2022 +0200

    tm: docs - fixed section for rpc.t_uac_wait_block
    
    (cherry picked from commit c4f5b88b1861c73bc96904eef00b0048c9550240)
    (cherry picked from commit a0addadc9234ce041eb0adf4d45f40ec05896f14)
    (cherry picked from commit b78dc1dc4d0840ccc3463fbac5684d601a0cc0fe)

commit 9269989c1db36f6738bab962cd5b758b445d7af0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 14:08:27 2022 +0200

    ndb_redis: clean up response on moved reply with cluster mode on
    
    (cherry picked from commit ef00062fb3feb051e3e11c62ce3c529579d23f5b)
    (cherry picked from commit bc1e222ea3375dc52dab135016af7d73712a05f1)
    (cherry picked from commit 18d744a822bc5b385e38810bc903006048f5957f)

commit 7c379f7912c014e2cd2f700c31df6ca43e6dfd34
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jun 30 07:19:18 2022 +0800

    tls: cert serial number can exceed uint64
    
    - GH #3168
    
    (cherry picked from commit 996bf4cad1d5645761fb80e66e435cedf29fa749)
    (cherry picked from commit c4465cf37bbc925377d1eff0c2290203497dd36b)
    (cherry picked from commit 8b2b13cdf7096dd746b976a3488d3fafd83c2f9a)

commit 1764a3204c2c14e38e1b6fa1dec9013fb114b5cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 3 12:20:05 2022 +0200

    auth: coherent log message content with header parsing
    
    (cherry picked from commit 267d4ad48ac8426b3d5c53724281605a74d07999)
    (cherry picked from commit 3839eed219ab2da2e441cdfb82adbba24b03c035)
    (cherry picked from commit d4a79c8c1add2de44a203ad01cd4f82fe20b4823)

commit b1f1f10ca6733c449a28218b13b24e148931f6f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 30 19:33:45 2022 +0200

    kamctl: propagate DB_PATH to DBTEXT_PATH
    
    - GH #3170
    
    (cherry picked from commit 1f6ec9022f2358441233e8b139e13cbdcf0947aa)
    (cherry picked from commit d83ec54bfc13ac1ddc5a6d39dfaa4f3313d976a9)
    (cherry picked from commit bf9c0a7ec30f3522e172d719e57baea765154f31)

commit 17919688916a141070e7476efe347dc099ad8333
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 24 08:18:42 2022 +0200

    kamctl/dbtextdb: solve TypeError: a bytes-like object is required, not 'str'
    
    - GH #2469
    
    (cherry picked from commit 6aa1a84c6e37e0d6d5a725d43636debeaf5fa3b4)
    (cherry picked from commit a4fc8afea094b6778b9d264cf9911b69c1a6d22f)
    (cherry picked from commit 92f35f285fa8513361afca0d84492438775dc0dc)

commit c1be3eba07fc22e43241c5b85025be1fc9440232
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 15 11:29:33 2022 +0200

    db_cluster: docs - more suggestive db url examples
    
    (cherry picked from commit 9b1a3a6b9a3e6a24d646e62ba74811cfdf553dae)
    (cherry picked from commit aa759c12aca3c8cdee11fcd383a2e565baef23be)
    (cherry picked from commit 10fb56e3e6d372499d187ad19e2f1f3fcd0e0607)

commit 255c932ad3663b84dca451cf889e2ac5ffd2aa8b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 12:54:15 2022 +0200

    siptrace: use socket name for hep mirroring
    
    - manual backport of 89fa86703adfdf6e30dc43c191d7327800270574
    
    (cherry picked from commit 67ffd91e4c0f44b09a472dba2e71b059ce9580a7)

commit 0c5009403cd69b551d0ec278f6d6c1c53c9b1dcd
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Sun May 15 21:49:18 2022 +0300

    siptrace: fix hardcoded PROTO_UDP in duplicate_uri module parameter
    
    - possibility to switch to other then UDP transport protocol in diplicate_uri
    
    (cherry picked from commit 2d24221e3b409a13f3724267860d8f8411ae063e)
    (cherry picked from commit 43a8f66903ce11f9017a6c7e2bdfe2225fc4b06f)
    (cherry picked from commit 211562121faae5c1c2aacb06c15d203ccb3efd14)

commit 5ff9cca47dcbff318316920cdeec4ebd603f92f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 14:55:01 2022 +0200

    cdp: close socket in case of error
    
    (cherry picked from commit 993c036bb185f6053a3a2f0486be30398918a87c)
    (cherry picked from commit 259448fe45346eeb201d441a6cde471fbcff69ea)

commit e4f71b81c263a72a5adc8117b04470742b9bac49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 20:58:32 2022 +0200

    lcr: init variable for fixing warning report
    
    (cherry picked from commit 7f359ca152e87ec72c6dd39fe09885bae630e36f)
    (cherry picked from commit a05a2f01bcc85ee1f5d9db707d289e6d506b7e27)

commit a8452b6582c01cab3c0b3782e5a12f666093f31f
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue May 3 17:45:49 2022 +0000

    cfgutils: improve example for $RANDOM
    
    (cherry picked from commit 79b2e4b00ebf7a7cdf0ed3b9c4ab7f0176d78686)
    (cherry picked from commit 2b3e09d781a157629c5f9bdb809f7c43bf41dbe2)

commit c791e1f13332d80fac2b289c1f9197192c8c14e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 19:19:52 2022 +0200

    msilo: skip invalid stored records
    
    (cherry picked from commit e5efcbdd7be9897cf169b28a7a52c45bff24cac3)
    (cherry picked from commit 3bccd877acbc03b136186fd45bc98ae4caa8b979)

commit 32d195ef55dee05505f2db1659823f4c6e2ae082
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 19:07:41 2022 +0200

    snmpstats: fix allocator sizeof operand mismatch
    
    (cherry picked from commit 0c99fed48403e2cc4f24441901b81b7c51411511)
    (cherry picked from commit bb63c1212ba8ce1d2ea6d07c007c7d961b5965e3)

commit 34b5a8a801f458f0d2cb6dda9894366d71c2f95c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 1 16:28:41 2022 +0200

    cdp: use same data type for size computing as pointer type
    
    (cherry picked from commit 47169b6774759131e9e535f2b9d358772b777b9c)
    (cherry picked from commit db3fb40e3b8e1b12ad6a0faf7274abf4f69a1fc8)

commit 5c62ee3f80766a90958c7cdd94293c389c625c0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 30 17:21:42 2022 +0200

    snmpstats: use same type as the pointer for sizeof
    
    (cherry picked from commit 3de5a781a3d0333352ab72c6b790f472f393df2b)
    (cherry picked from commit eac307296fafeb96047a4359f3d36defe73568df)

commit ec3f39f610120fe8d64c0c1ee1c5453cd78b38f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 14:03:55 2022 +0200

    presence_xml: free uri for http xcap auth
    
    (cherry picked from commit eba6c7d78088cde411f5cd1b7730ba458e62a69e)
    (cherry picked from commit 1d39dc57cda8fbb169a3848c5e4dba3e7a91e16b)

commit 82e360d83116fb8ed137801f80296afc1d6b1dde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 13:31:41 2022 +0200

    sms: use unsigned int for bit shifting for compiler warnings
    
    (cherry picked from commit cacae7fc5db5418a67d543995273280d57f027c6)
    (cherry picked from commit 05e2b31ff419176cbc8be4f848c940f36cd32206)

commit 6fdca5cebd5513463b83722aa3d85662c12b9088
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 13:04:37 2022 +0200

    xcap_client: init structure
    
    (cherry picked from commit cfb50124e67b68552520e418a20ad2dfec96117b)
    (cherry picked from commit 397b5c1c7f5c4e8743dbfcf851dede1ed45e07bb)

commit 91f1dbd7593cde54224e0c7daf847a2c0d608ba9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 12:15:12 2022 +0200

    rls: safety check for dialog structur
    
    (cherry picked from commit b5aae4f5afd07db114c3ff7712b484f743663b26)
    (cherry picked from commit 0cc8bbad9fab44c387535b09fc5194411daccc11)

commit bcf8e41dd142df9734577c70ae8ef2c2e91620ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 24 17:45:40 2022 +0200

    core: mem/tlsf - handle return codes during memory pool init
    
    (cherry picked from commit ef62bfb27514dc7ec3b603bee661cfac18c4fe93)
    (cherry picked from commit 58a02618cec102455e35ad3dfbddf93c2098bee0)

commit ca7dbb028fa7bb058fee94615549929d7b0a147e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 25 12:04:06 2022 +0200

    rls: free resources in case of errors
    
    (cherry picked from commit 72443722d7fda4289390ef8bc20ad91990b895a7)
    (cherry picked from commit fef9c3406c2f070bf250139979121246470c1164)

commit 4e94f54c44ded85f8ac4744c47555c2a1f0e62fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 20 16:45:06 2022 +0200

    xmlops: coherent formatting
    
    (cherry picked from commit 098955e23289b82db40d5cef76ee03bf09e8a0da)
    (cherry picked from commit ccf116505f1784b635dc1e9e1f5e4e4e89a9a676)

commit 8c860eaea8bd216c0e46793657972b14cdc37c18
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Mon Apr 11 14:01:37 2022 +0200

    auth: Fix missing dependency in docs
    
    (cherry picked from commit dd15436e8697f70df6ef9d188da36f70e7116a74)
    (cherry picked from commit 25b54ae9a62d6877f74356fedf0325bd7473a09d)

commit f4c9494d39dafa6bdc4396a89871399e956cb4ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 8 12:36:49 2022 +0200

    permissions: return ret variable set inside double_fixup()
    
    (cherry picked from commit e272eea0229678b4446a3907b7360c61c273caa7)
    (cherry picked from commit beb501f3ac2dd6095b0184c60f9fe41fd4365a23)

commit 02cd470a2d796a1d0c0a0a589cc096ab6238cb70
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Mar 20 16:12:13 2022 +0300

    utils: fixed sinitiser error
    
    [root@localhost]# kamcmd cfg.seti param_group param_name value
    
    =================================================================
    ==2409977==ERROR: LeakSanitizer: detected memory leaks
    
    Direct leak of 38 byte(s) in 1 object(s) allocated from:
        #0 0xffff98c250af in malloc (/lib64/libasan.so.5+0xd50af)
        #1 0x41549f in parse_listen_id /root/kamailio/utils/kamcmd/parse_listen_id.c:133
        #2 0x4144fb in main /root/kamailio/utils/kamcmd/kamcmd.c:2075
        #3 0xffff97dc0de3 in __libc_start_main (/lib64/libc.so.6+0x20de3)
        #4 0x40260b  (/usr/local/sbin/kamcmd+0x40260b)
    
    (cherry picked from commit d28ca884548b0f24a618ed9cbdc8e1b9538f2574)
    (cherry picked from commit 08eeb04d40a3a66a139fd60df1537241c3eec854)

commit 2832cebe785cb2f89fdccad3508d0bf4f9da1abd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:12:03 2022 +0100

    db_berkeley: covert blob values
    
    (cherry picked from commit dad443172628c3736b057fa24343c265ed3827b2)
    (cherry picked from commit ddc343f3a89faeacd85ae1374594e28d67a185cf)

commit 21c5ad0a898a156713c897704cbf71fac668ddbb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:04:33 2022 +0100

    core: 0-terminate string for very long local network interface names
    
    (cherry picked from commit 476d763d8ee504b71c13063ca002ecfe158da94e)
    (cherry picked from commit 9083eb3befc2a50df12b57ff3e1098a7258ab906)

commit 15e57082288b186f0ddef6c66862a78c818c2b2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:00:35 2022 +0100

    db_redis: init allocated structure
    
    (cherry picked from commit b8c4d8b8d0f06267f2bc1a760307345fd06745ce)
    (cherry picked from commit 071fba8cc700d99b62aba59bc768681483ea7735)

commit 3864f8bdbd46dd085065a1ed4048f65de7456fea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:00:24 2022 +0100

    pua_reginfo: init uri buffer
    
    (cherry picked from commit 692d15ce9bcc329fff55060dcdc8e5161f12c30e)
    (cherry picked from commit c16044f47def23c4d43fbc9b38ffc56b8cfbe41c)

commit f3e2821f4afb7de1973648bb647830a519f62821
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:59:44 2022 +0100

    sipcapture: more init buffers content
    
    (cherry picked from commit 0b684a5d9a2f5d17e64cb8cb5f4b53b06f180f06)
    (cherry picked from commit 44295fa538e0d0b88208264a516d15a8e0ff54dd)

commit 53e6ea6f3edd37bbfe045e99dc6e937fcf3b4979
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:37:58 2022 +0100

    dmq: init peer structures
    
    (cherry picked from commit 0204232ba1f229edb9c7e0080e98e9d3b2500672)
    (cherry picked from commit 81b93c0858cf7ccc357b3d623336d79001c0f9ed)

commit 2b60b800b5ea411b666ee8833aa9e7e6ccd06db0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:31:24 2022 +0100

    sipcapture: init buffers content
    
    (cherry picked from commit 9292b9f5daacfa5340b5fe1a5f02469a7e597d9b)
    (cherry picked from commit 140abc77f33861952c750e7013767b4b2a4f628f)

commit 3ee846d6043f44bf0e1a9f679833415fd8f1e224
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 14 10:23:58 2022 +0100

    sanity: use dedicated functions for parsing From/To URIs
    
    - updates to parsing Contact headers
    
    (cherry picked from commit 5c99d7f87ed94cd52c6ab74d46f511447b3db2b9)
    (cherry picked from commit 46eaf304de272134579519740f589dc8875048b4)

commit ddf1cbc422d3f5af12ec2b206d8df2116c17d24a
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 16 16:31:25 2022 +0300

    pkg/kamailio/obs: fixed rpm packaging on CentOS 8 and Fedora
    
    (cherry picked from commit 44b3ccd71467b78d9e9a7184c9fd25bc5f616ac4)

commit 7f34953ceb7dfb0353becfc4b52c2b3b82ffef4f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 16 12:30:56 2022 +0000

    pkg/kamailio/obs: fixed packaging for RHEL 7 and RHEL 6 based dists [skip ci]
    
    (cherry picked from commit 4a6aa75dd1de4e33ba6ac3f1d770a1beed61e157)

commit 3eb540bd16d7a0c983f67331c4b84e9b6d580b57
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Jun 22 18:16:41 2022 +0000

    pkg/kamailio/obs: added CentOS 9 support
    
    (cherry picked from commit 19edea067f890814c767581fef65713046c768c6)

commit 0c6b55fd5588979ec3dfc26112de06825731dce5
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Sat Jun 11 09:05:26 2022 +0800

    packaging: on EL8 package with Python 3.9
    
    (cherry picked from commit c938619e458e0efa0676e7e60c2b1a6fc7e947db)

commit 14670263837dd158f8f4512a474ea7dee3a561b3
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Aug 2 08:47:17 2022 +0000

    usrloc: fix sending keepalive messages for IPv6, it was missing the brackets
    
    (cherry picked from commit bd40f0d08f5d0f14b301cb492d1082c71be91c50)

commit fb20b043862b5146f4e4ea34e921a334783ad03d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 7 09:12:40 2022 +0200

    uac: check new callid value for setting $uac_req() field
    
    - GH #3135
    
    (cherry picked from commit 0eeb4cc61f4a340ef5f8d4acf1d4ea20eb711f73)
    (cherry picked from commit 69b4b6222edd43a935524e69497c1e7ab1148488)
    (cherry picked from commit 4694656f12179f9bdc6a5d608c45487d67a3aee0)

commit 604dc459f5413b8ecc35f2b5b50585f73da6ae8b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 8 11:20:40 2021 +0100

    pkg/kamailio/deb: fix lintian warnings [skip ci]
    
    (cherry picked from commit dfbeb92a956009fc57070ac988cb0177f9c8192f)
    (cherry picked from commit c8af56f46822504e0cd1cfa79f12c6f20e335ccb)

commit 8ec4d583bd0836dd1e0dd94dd3896f1d4351de8d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Feb 17 23:38:57 2022 +0100

    pkg/kamailio/deb: remove python*-dev dependency for module package [skip ci]
    
    (cherry picked from commit 39a0a5d6f43ab265f1003f7bbb6e981bcd2e3b72)

commit 10be300458db9c6e9e1800c080bd7665ba5d7f62
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Nov 19 07:07:35 2020 +0000

    pkg: fix debian lintian error after kamailio scripts changed to python3 [skip ci]
    
    (cherry picked from commit b7b33ad13942a7f0ef48ed9487541cd418f137f6)

commit de2f80e103faac3dad820fabbe772a4d7085c3d8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Apr 23 10:28:46 2022 +0200

    pkg/kamailio/deb: add breaks/replaces to kamailio-cnxcc-modules
    
    (cherry picked from commit ec22a2127750b5422d5ab01a23c4ea7404bad3cf)
    (cherry picked from commit 9333fe21023bb0a902b2fbf58c9ee556946d0a30)

commit 0c3ef2619024673edc52a4d39b74dbea491cdea3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Apr 23 09:17:53 2022 +0200

    pkg/kamailio/deb: update copyright with new paths
    
    * remove duplicate-globbing-patterns
    
    (cherry picked from commit 0030a756375217f4e1b5de55f96c6b2ba89a87d4)
    (cherry picked from commit 0d4a53e415a531a4270b18e141a5f922682ed507)

commit 053b3db11a89d0bbb86ca95f9fd9b242cfb68f78
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Mar 15 12:09:15 2022 -0400

    db_text: fix db url in example config
    
    (cherry picked from commit b98cbddfaf271887276c4be8a98a0708dab4d091)

commit 78506f7f2dfcdbf2bc9e21168929437516a368bd
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Feb 28 15:24:21 2022 +0100

    db_redis: clean previous connection before trying to reconnect
    
    (cherry picked from commit 78c8d084e30373aacc456fd41062b68e6e82ea6f)
    (cherry picked from commit 2e0537ba306219df0ce71605848e811027c69a57)


===================== 2022-03-09 Version 5.4.8 Released =====================

===================== Changes Since Version 5.4.7 ===========================

commit 0d1d1bbde1ca1574ebc2ed7b99df55351c368800
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 9 09:38:47 2022 +0100

    Makefile.defs: version set to 5.4.8

commit cab4d20aad64eae480ddc7cc84f6e50e6c14db15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 9 09:31:45 2022 +0100

    pkg: version set to 5.4.8 for rpms and apline

commit a29b9f7672676104e1a63ad5bd75871e95976956
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 9 09:31:21 2022 +0100

    pkg/kamailio/deb: version set 5.4.8

commit 0e545fa3dd8221c76a6abe11b7a90a752be30e6c
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Thu Mar 3 14:23:38 2022 +0100

    cplc: manage case where TZ environment variable is not set.
    
    (cherry picked from commit 2ea56a4cf40045bb92b1f17f5a0b8c172da4f866)
    (cherry picked from commit 67d888c80f5c9e96da72a1dab234f2a70782f635)

commit e2614c014faf61fd1c6f1dccf0264589bf44698f
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Wed Mar 2 15:59:41 2022 +0100

    topos_redis: contact on A side is never updated on dialog update
    
    (cherry picked from commit 86d233d34b06016fc3436ca4574155959d24bb16)

commit b927b9447a69e7ded4ba279e1384115bb760e5d5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 2 13:31:49 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 2e0caef3c77e7cc7f3b766228b48e8f8f4b092c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 2 13:13:52 2022 +0100

    Revert "siputils: handle messages with many headers for contact param encode/decode"
    
    This reverts commit 8145a3a06d078b3c3c3b921da96a4f2e000ea9b7.

commit d475ee121cb0f6ff71146f8ce108a466ce792fcf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 25 09:13:46 2022 +0100

    core: fixed comment typo
    
    (cherry picked from commit c37ccdc6e3bad0af4644941a872f510c51936c58)
    (cherry picked from commit 42b80a2cf0fa1b2e7192ade5844df670a49480ff)

commit d003c87289243c5380e5fa0dce27ea91c7d5b26d
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Tue Feb 22 18:22:52 2022 +0100

    nathelper: Fix uninitialized data
    
    - the IP checksum is part of the header and must be zeroed before checksumming
    - also silence another (benign) warning
    
    (cherry picked from commit 7cbbd8fb22ac0d57a5dd3883dee185b3bc0601e2)
    (cherry picked from commit e77e4ad4953aac413d06ceb3954736b81ac30355)

commit f2fb024d8928c291bf2b943f2346b0b518e2e0c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 16 12:45:33 2022 +0100

    tmx: use trimmed call-id value for hashing
    
    (cherry picked from commit 88f1a1a671c4486e5000415b3d52eb42e6ad4cbb)
    (cherry picked from commit 11e7c173f2974c2174d1ccaca717eb63c5608a84)

commit 068861f80aa0d4f911b9d66a945cb472d71a58fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 2 09:28:24 2022 +0100

    siptrace: use msg_send_buffer() to skip send callbacks for uri duplicate
    
    - GH #3042
    
    (cherry picked from commit e3b9521a150ac2245dee2afeac5d674768c7399a)
    (cherry picked from commit 39e6c357a93a62033082a3bed2f985b8ad47db13)

commit 8145a3a06d078b3c3c3b921da96a4f2e000ea9b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 28 14:54:21 2022 +0100

    siputils: handle messages with many headers for contact param encode/decode
    
    (cherry picked from commit cf054e0e041385d0533d0fa7b49e34fc1131ddcb)
    (cherry picked from commit cfe2dce135550054cec3ff86501c9265209ffad5)

commit fd33fa9381e74289fd8f093a4d9b0fff2ab8ca1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 16 10:18:17 2022 +0100

    uuid: use define for buffer size
    
    - log error if uuid was not generated in safe mode
    
    (cherry picked from commit e81f2e318bc32802d152ef69d005b8194e17ca42)
    (cherry picked from commit 42d4359e6c3288fdfb705c5d0e38f47443048550)

commit f672aae895a53d2584009ad1618ed1e0d861cc3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 17:11:45 2022 +0100

    xmlops: docs - added the remark that xml_ns param can be set many times
    
    (cherry picked from commit 56e26387b77536e6c9f13dd62e5aecabaaba2d9a)
    (cherry picked from commit 78710d9da5cfe117190694cd3b77ced54414a2e8)

commit 03a8ad0e184d2be501698757b7a7efa7e46eb72b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 17:06:13 2022 +0100

    xmlops: docs - more practical example for xml_ns
    
    (cherry picked from commit 0cb6a0640e9e3e2e06d2c5bc68c6177d5bd38b89)
    (cherry picked from commit 207e0d9f80b2e1a48c7c21844f158e231bfd8e1e)

commit 4c20bfabe36b1a6019e62f1b1134198e56538698
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 08:42:10 2022 +0100

    core: updated description for core.psa rpc command
    
    (cherry picked from commit aca381d30413eb1b43abf9e7e3b1306854ceb117)
    (cherry picked from commit 19cef203a1b487174ce7a0e66431b2c03bf78c65)

commit 852404c2ccb6d1056371c19ffb81cee534768cc1
Author: Adrian Bunk <bunk@debian.org>
Date:   Tue Feb 8 17:03:57 2022 +0200

    src/Makefile: Also stop compiling kamcmd from here
    
    (cherry picked from commit c1335157c53ca014bbeec6de312f42d955221d58)
    (cherry picked from commit 43b94264f81e54625ee90faa7f52b006b67a1b61)

commit c73e94ec8ad3c22be89f524f327116a1b11ef1e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 09:14:08 2022 +0100

    ims_dialog: updated test conditions
    
    - GH #3014
    
    (cherry picked from commit a8d56242da48708949149c11c06d031b5c2fad49)
    (cherry picked from commit 6c3b7c0e2ee3e0d397f1781f385eb78483fdd67f)

commit 42813328a803becc03658329462326ac21609dfd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 08:29:55 2022 +0100

    db_perlvdb: removed unnecessary condition
    
    (cherry picked from commit d3daed0a617024fde1efabbcdab27dc4c5c140c8)
    (cherry picked from commit 10cfb3ea0e80cfbaa5745093d471a58997a633ff)

commit 3096fdcb1ab96fc70a2bc19013b9d3f8c50d7815
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 08:06:02 2022 +0100

    xhttp_pi: wrap freeing and setting to null in curly braces
    
    - GH #3012
    
    (cherry picked from commit 37580a25694d5e5b0b4c89a92d1ba2d8b77aacba)
    (cherry picked from commit 56d9073ef2dd61f6ab48602fe2af77e3c090e290)

commit e8706eda78b2b36dde82a94af469acf9ae4ae67f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 12:01:08 2022 +0300

    presence: fixed format-truncation warning GH #3013
    
    (cherry picked from commit c1b14f49ead9a29711cde5334155819cd1c6c90d)
    (cherry picked from commit 5d05de900de0145a22a5bf044267d9b0c0ceb712)

commit 3d609391c367acc11f49b40d6b0bacbc0717d4d5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 12:04:03 2022 +0300

    rls: fixed format-truncation warning GH #3013
    
    (cherry picked from commit e921fc8ed7a6c9fdeb532179a77503cd67799487)
    (cherry picked from commit 86c897fac37d2a78b8122b4c62ec87a2371fd9d4)

commit 11303aa0728e993372ff54a52ee2f745a2d7069b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 13:02:18 2022 +0100

    Makefile.defs: set localbase for macports on macos
    
    (cherry picked from commit 584eabf7de6af9f835678f9c6d6851cce49a3878)
    (cherry picked from commit a18374d1f0c5ec58e92981e4ac14320de7de92d9)

commit 12cac22b3a12384ca98d27def01f632f09917667
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 13:01:59 2022 +0100

    websocket: makefile - set library path for localbase
    
    (cherry picked from commit 2e4258f440a07a2cfd20082af22bba4f9a2448ab)
    (cherry picked from commit 254d19b4dd703c24a7a15e5539e585e42b3de101)

commit cefee1b4f0be02d31849b01e8abf837cc7ce7ec1
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Thu Jan 13 11:03:56 2022 +0300

    rtp_media_server: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules.
    
    (cherry picked from commit cda05478b25ad93b1fb7475cf6b2767d7164bbbb)
    (cherry picked from commit d40337449e274f6c6d9ea1754977287841c306c9)

commit 0afb5767a8af925b514528ab46d8f5353d2e7b42
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 11 18:45:45 2022 +0300

    websocket: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules.
    
    (cherry picked from commit 0a3476384b325514b1da784b74cc821360193409)
    (cherry picked from commit 0ee717c91ca0dc590d6764803c151982a4d12d4a)

commit f5d9eabb7e859a6fb0c6506e29693284e57c114e
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 11 18:45:27 2022 +0300

    phonenum: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules;
    - removed predefined CXX and LD variables.
    
    (cherry picked from commit c4b280bd5b5b0cfb8d34ecef296972f2a043791e)
    (cherry picked from commit 3ee8896e87a8a2b0f6e704d806983b544a0a5224)

commit 6685bb996094547d8955ce69bd018d0f9eafe304
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 09:57:45 2022 +0100

    core: set exit flag for return 0
    
    (cherry picked from commit 23c39ecbdd29f2fff0af4a693b08032e8afff48b)
    (cherry picked from commit b149906e3c0558fd9cb866d39b36f180efaef656)

commit 967607b3c2711d33801bab21110283e7694a4b32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 14 09:02:39 2022 +0100

    statsc: note that items param must be set before track
    
    (cherry picked from commit f517f8c655e676f5872eda5f81f5244eac4eed25)
    (cherry picked from commit 38bdf24485f3e4d2d9489ba695f7b23bbce85cc0)

commit dc8b1cde73a854e5a8f265c0b9c8fbbbb91191f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 14 08:55:06 2022 +0100

    stats: detect of mod param items is set after track
    
    - it can lead to crash if items is set to greater value than the default
    one (GH #2101)
    - round up for better memory alignment in the allocated structures
    
    (cherry picked from commit b29c79c8d83fd23064e50dcee02e5f85ec51328d)
    (cherry picked from commit 331e60374e6a0c283b835ab62da84826c8833a48)

commit 0a99d2059fa0e6530f78493a36bcf190d5c3ed03
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 16:49:33 2022 +0100

    db_unixodbc: catch queries without result to skip printing error logs
    
    - GH #2810
    
    (cherry picked from commit 795a09077ccc5dd06f9074978dc77dd81389512b)
    (cherry picked from commit 3d4ceff9aa77b841fa2df938cfbab9b534f14626)

commit caa6f373820d76d6bda8e65b18bb5e3cddd8d048
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 13:49:46 2022 +0100

    tm: update uri when refreshing local uac shortcuts
    
    (cherry picked from commit 0ed1282238da6cdd8a4dbef1b61493b70a850a6b)
    (cherry picked from commit 633148323c83b9f35d221ff59fbf7b3be8194b1f)

commit f2591185cc40e41b5b5f8470f6084938491952af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 10:37:46 2022 +0100

    dispatcher: removed module name from log message
    
    - updates to debug messages
    
    (cherry picked from commit 29ebde9cfe746c1dd9083a5fc4b26a32c39ca0a4)
    (cherry picked from commit c8d579452906aee0c2716ef9ac25fe0d4628089e)

commit 016febcb8c4a2de4d21201d0f2f74ba268b8bbde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 12 14:12:42 2022 +0100

    core: parser - print ascii code and position of invalid char for identity info
    
    (cherry picked from commit 40e59d9c3b8ec531cb9e26093c43647a43108dfd)
    (cherry picked from commit ef9b353910d10d91fde88193b7a3dd9c27bf18ad)

commit e2c5c607c48f1c5443320e708f19f16aa3d30e01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 09:02:35 2022 +0100

    dialog: init variable to fix warning
    
    (cherry picked from commit 682f9984fc4942d5f786f0ca9d798630d618f8da)
    (cherry picked from commit 49d5f6eb5f9f0a800dbaaf02c3ef8ef6622a6b73)

commit b9b058fc4ddb5a2f21eb87fa293a39cdf9aeca3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 09:02:11 2022 +0100

    db_text: init variable to fix warning
    
    (cherry picked from commit 102b7c62ae9877151ce542b8b5747051fb954acb)
    (cherry picked from commit c8582892d0cacbd2ed857f87d2fa59ae7ae10148)

commit 4c0b3bd5277905be9fbddd1afa2c517a617fdf5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:41:35 2022 +0100

    avpops: init variable to fix warning
    
    (cherry picked from commit b7815d04ced35d5b5ccbcdaa39d41ef4a2cb2ad0)
    (cherry picked from commit 4f002432bf2699d99f7b83a3652fc9e2b6c7447d)

commit 4c9ff2f8c7ea3ab700b74e1407fc048cb9be8f0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:30:46 2022 +0100

    rls: free xml doc in case of error
    
    (cherry picked from commit 55f23d09faee06a892dde13e371d144b98bae68f)
    (cherry picked from commit 93cd99f08c61b7355e948dfbf855eb381e84ed1b)

commit bdcb7be3ee190dd89df84d1436e9309449e82b6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:20:30 2022 +0100

    dispatcher: safety checks for str fields
    
    (cherry picked from commit 5443db4d632c8502dc622cc28fe2847fb0c147c1)
    (cherry picked from commit e855d251d27e5a399cfa3d8a70b4387295c37c6e)

commit 9b809ec448fc9e8487ec3543af80171bd0309136
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:19:42 2022 +0100

    lcr: init buffers to try to get rid of new warnings
    
    (cherry picked from commit 0247c336e208912324c71aea9843e688d7c5a463)
    (cherry picked from commit 7381ccd61a325e5b6502d05588ac8edf9a244d0f)

commit 48abb7e5465552817b652884b44f4e5b9ed848ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:19:06 2022 +0100

    presence: utils - use memcpy instead of strncpy for coherence
    
    (cherry picked from commit 33c40170e73adc71e2ad66d8dbb6c776b771ce5d)
    (cherry picked from commit e3ed8c0d80dea4da4c522864f1480d02d57e2d4a)

commit 7529d73430ec34b0a5ed260a8a7d6fe8b9139c6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 28 20:27:43 2021 +0100

    core: parser sdp - print hdr name by length on error in get_sdp_hdr_field()
    
    (cherry picked from commit c4e462fa6bda38ac6fd814ce8d98ea030d4049b9)
    (cherry picked from commit 0aa4340764f78c74a62054050d8805616f450fdb)

commit be9d186983862cae606311ec200227b567642ae6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 28 20:00:17 2021 +0100

    siputils: docs - note about restrictions of ring_insert_callid()
    
    - GH #2989
    
    (cherry picked from commit 090f1f74603de6113f3dd41095ae41b4f03f8171)
    (cherry picked from commit e0084adcda85b10b3b0c0765a292cfde088b2845)

commit 932386739ee62cfc3353b45ae435d29cb0dfd0f6
Author: Sebastian Kemper <sebastian_ml@gmx.net>
Date:   Wed Dec 15 23:30:38 2021 +0100

    ldap: rename private function ldap_connect
    
    When compiling against openldap 2.6.0 kamailio's private ldap_connect() clashes
    with openldap's own. curl dealt with a similar issue earlier (see [1]).
    
    Simply rename the function to avoid the issue.
    
    In file included from ldap_api_fn.c:37:
    ldap_connect.h:34:12: error: conflicting types for 'ldap_connect'; have 'int(char *)'
       34 | extern int ldap_connect(char *_ld_name);
          |            ^~~~~~~~~~~~
    In file included from ldap_api_fn.c:33:
    /home/sk/tmp/sdk/openwrt-sdk-ath79-generic_gcc-11.2.0_musl.Linux-x86_64/staging_dir/target-mips_24kc_musl/usr/include/ldap.h:1555:1: note: previous declaration of 'ldap_connect' with type 'int(LDAP *)' {aka 'int(struct ldap *)'}
     1555 | ldap_connect( LDAP *ld );
          | ^~~~~~~~~~~~
    make[5]: *** [../../Makefile.rules:100: ldap_api_fn.o] Error 1
    make[4]: *** [Makefile:511: modules] Error 1
    
    [1] https://github.com/curl/curl/commit/8bdde6b14ce3b5fd71c772a578fcbd4b6fa6df19
    
    Signed-off-by: Sebastian Kemper <sebastian_ml@gmx.net>
    (cherry picked from commit 362c6de08058948d0a70a1eeb14ec718f922b4e5)
    (cherry picked from commit 65e50fbd24f9239a4dab25c6b8328670e150fda5)

commit c2584c5e8b5b5bb52a16ce072e938a79b3870a6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 22 08:12:20 2021 +0100

    auth_identity: close file in case of errors
    
    - GH #2983
    
    (cherry picked from commit 84cdc33429c61fe7cac91cbedf96bef560267313)
    (cherry picked from commit 42e3c28f2744ee4c799c972bed56e412f792027e)

commit fb4d740ecdce111e49f57eb77d5351925c74ef88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 20 08:55:51 2021 +0100

    misc/examples: kemi - sanity checks for response in python script
    
    (cherry picked from commit bd42130e3cfb87856b4b0431de50eccdd4324f9f)
    (cherry picked from commit 0ba7876e5cc1120d7e64e779ba9327ed33e88a19)

commit 2be54b7385cbc76c6a24639ebf7738674042059e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 18 19:54:57 2021 +0100

    misc/examples: kemi - update lua sample config
    
    (cherry picked from commit 99a9f27c8d24a06f201b4713f7a2bfeb37092482)
    (cherry picked from commit 97bc9751485dfd9aa314e15aaef73b0835e580cf)

commit 084bdf50a56a9f11f935fb792f22cfe8c2876511
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Dec 17 12:53:37 2021 +0000

    dlgs: optimize dlgs_init, if/else path are identical
    
    (cherry picked from commit 8e7f2e6a158bb2c59600b03be3c7e6eefc416180)
    (cherry picked from commit 5715fc40664438e092d444ea31b99c965c26da7e)

commit ab264fe6ea2680a0b837f665bd76a611a30ae904
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 16 10:01:34 2021 +0100

    core: parser sdp - check if delimiter exceeds body limit
    
    (cherry picked from commit bd5280726a9842b257afabae548853d000ecd249)
    (cherry picked from commit fb06dbf3e0452f1b4e8772da3fa94d6bd930f238)

commit 4cf259b53864ce3f0d17699c4f64d2a8d5623bd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 16 09:44:54 2021 +0100

    core: parser - clang format parser_f.c
    
    (cherry picked from commit 03acf834a19689d6c3efcea93e48985d3e7ffc37)
    (cherry picked from commit 5d08f4028ad6f805940d1824e17fb148bd90a045)

commit 24fac1820b7efa70425e220a8b8595304610e921
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 15 12:37:48 2021 +0100

    misc/examples: kemi - sanity check for response in lua script
    
    (cherry picked from commit 96ba8bdf87221c985d8198fe36f7f0bd9858a738)
    (cherry picked from commit d06fbbea95b33934d841f37bff6ae2b32dde2f87)

commit 2bea8c5fe3e8af5faf42b6cba04cef99bd9dd831
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 15 09:00:45 2021 +0100

    core: parser - clang format for parse_identityinfo.c
    
    (cherry picked from commit 1cd480dfe6f2e06bac99b74e466e0c6bb8801279)
    (cherry picked from commit a2446f5194446ab9432aecde99522e709ecdc1e3)

commit 7f04a6575dcbfc5b5a47ab342f698bc29e7e0bcc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 13 09:29:06 2021 +0100

    Makefile.defs: use sed instead of awk for detecting glibc version
    
    (cherry picked from commit 225a59475c91e154ce0a7f0ec252be841a5a8ce5)
    (cherry picked from commit 17bbfe97179a2965b145b946b76ba458c2af8bd5)

commit 673d32b4c1d7aff80f93ba8473bba5b5fc0c3c33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 13 08:31:07 2021 +0100

    presence: info logs instead of error for not maching conditions
    
    (cherry picked from commit f42b6c5cf2ee9861cb1eed016a5ddcc499d2b854)
    (cherry picked from commit 27875047db766cc7cb3a4d5d7638bdafd98e09b1)

commit 88ba7c1c30a1c6bbe93a1e2a3093f587c3a0c0bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 13:29:00 2021 +0100

    core: parser/sdp - check for delimiter size done before comparison
    
    (cherry picked from commit b83810eb1eb70f326698db874a1f67cf6a8d06cf)
    (cherry picked from commit d7c030f576fa87b5959b7156c6b2077d76bb1fee)

commit 478037908535e9bc27a65c2dd0867d10576df0d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 13:13:32 2021 +0100

    core: parser/sdp - coherent indentation of two functions
    
    (cherry picked from commit 1b5756ae9f67c3907c134eb725f19c875cccd913)
    (cherry picked from commit 4b9987bd630d78aa27ea392491989ddfeeda0d98)

commit 6b5be83292e365540912dd5df0754e342716410d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 12:31:29 2021 +0100

    core: parser/sdp - cast to unsigned for left shifting
    
    (cherry picked from commit c1ec3857f360c806b7cc856b8e6ae3d5362ef49f)
    (cherry picked from commit f387209ca7efd65a1fd7ee510d899fec6e080289)

commit 94a7f11d6cb5ec27a287cd084cd7ba964ff2f80a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 11 18:40:51 2021 +0100

    core: parser - print start of buffer on error for identity info
    
    (cherry picked from commit 48dc90dfa1839a405e7d090b23c1fdc907107731)
    (cherry picked from commit dc5eda219c152d1c08ba38849163849f62242b2d)

commit aec3e22400b5a1978ee124007f71213333df44b3
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Dec 8 14:50:29 2021 +0000

    websockets: enable KEEPALIVE_MECHANISM_CONCHECK
    
    KEEPALIVE_MECHANISM_CONCHECK was added but can't be enabled
    
    (cherry picked from commit 29c3b865d8efde8435c2217df44d1df684caaea2)
    (cherry picked from commit 88b50be127ca0dab57784e0ffb96d6eb44196772)

commit e5815318171bbdb9c3642149255eb1252cf03b73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 8 09:21:53 2021 +0100

    src/Makefile.defs: link -lrt if glibc <= 2.17
    
    - GH #2921
    
    (cherry picked from commit 743a9d33dcc3a6220bba217c14810dafb53355b2)
    (cherry picked from commit 0afcccdc46950c5b4a49024e2092ab712ba6be94)

commit d40c394d177af95a55c16759d0d31320c30dc908
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 6 13:00:59 2021 +0100

    db_cluster: Fix spelling errors
    
    (cherry picked from commit 2eed551ed55fcd2bc190e1045da377f6b1e4d22d)
    (cherry picked from commit 0d77ae82ff1cac93a48ede3558ddf48632960a70)

commit e07f0af4e980f98622088c00b444bd0a3eab9a75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 28 10:39:02 2021 +0100

    core: flags - use unsigned literal for bit shifting operations
    
    (cherry picked from commit 1a406e093ea7ac07428c92aec21ac67f8caa1093)
    (cherry picked from commit 2c196d149c19ee59174f89020407e1f15156182e)

commit 7a97d92b318e54af68ab2854a20d6925e53d66c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 27 15:24:45 2021 +0100

    nat_traversal: declare flag literal as unsigned
    
    - GH #2954
    
    (cherry picked from commit 8c30109df0b479cc3fce39a765717149e9c70ddf)
    (cherry picked from commit 4814bac2424db7fea2ba817fcdf4594a7b2e1c11)

commit ffe4fa42f9d17d8c7a38bbd4e5ee6783ed10e3b0
Author: Zion Dials <me@ziondials.com>
Date:   Sat Nov 27 11:42:27 2021 -0500

    Fix TM Module Doc unmatched_cancel param
    
    (cherry picked from commit c060e9000f9c6cca98e23bef7aa8c295c8863de6)
    (cherry picked from commit a2969015b92667a728c0ec8df64adb99859b5f84)

commit 08bbba6aebab8de80a935b76991f4b537427ca8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 15 16:49:42 2021 +0200

    core: parser - detect pai/ppi headers spanning many lines
    
    - GH #2837
    
    (cherry picked from commit f0e8898d83c54e5e4383b70ba54ad340c5ae13b6)
    (cherry picked from commit 9427586f3af4dacfa2b3293ea6c5813a6b6c1e5c)

commit dfcb993e65f47ab5ca8c56a9b1783d5f37c8bc84
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 15 09:47:02 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bf172e998ed2a7cfe58635d0722717e40ebf6eea
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Feb 15 08:30:47 2022 +0000

    dispatcher: small docs extension, algo 3 hashes only over r-uri user (DS_HASH_USER_ONLY 1)
    
    (cherry picked from commit 0f633c0def3759078fea427597190fab196c89bd)

commit e04db74dc1e1706f4f3c8c2b6fcd3dba98534f04
Author: Justin-lavelle <justinl@broadvoice.com>
Date:   Sat Dec 4 03:09:43 2021 -0800

    auth_ephemeral: fix sha256/384/512
    
    - sha256/384/512 broken due to use of sha1 password length, change to check and use proper lengths for each
    - sha384 mistakenly using sha256 method
    
    (cherry picked from commit de2bee1805c2c89565e9b28afb50fac375d0b5ba)
    (cherry picked from commit 52a01e54483c5e50fedec649689e5f142c16315a)

commit 2296c8d889797daf0eb5cedb4970f8f957a42f20
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 6 14:46:31 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit afc7f4c2e9c8c9176e655303fa1d949cbb4ecdec
Author: Andrii Pogrebennyk <andrii@ng-voice.com>
Date:   Sun Nov 28 08:34:36 2021 +0100

    db_redis: don't leave unconsumed redis replies in case of error on update
    
    Execute db_redis_consume_replies on failed update same as in db_redis_insert:
    if db_redis_perform_update encounters an error it was leaving unconsumed data
    thus causing unexpected reply later on when reading from the same connection.
    
    (cherry picked from commit bbd7b2ed5827252680e9d8949c193699da0a76b2)
    (cherry picked from commit 7b371b77702471e62d8bd2ee957c44df73f1db80)

commit 748cd0834cc9118fec1ee69b749daad7203346fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 23 17:22:42 2021 +0100

    core: clarification for -b cli parameter
    
    (cherry picked from commit f068a9ad1892777bfb9a6d1bcfd17a291578c6b6)
    (cherry picked from commit 68a694676df0e0a0d0a8d0180ebc39f9893b49bc)

commit 09ac130c86186334a1a1dd37d47f40b17a83b650
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 12 10:15:07 2021 +0100

    core: io wait - remove log level string from debug message
    
    (cherry picked from commit 4608914cf9d3878c79560730ddad8e0800c38397)
    (cherry picked from commit 706b1ceb9cb5139c4464873c8df6d99c541dda7b)

commit dccc47c4fbb306150d88be40bf2463d4926c75bd
Author: Nacho Garcia Segovia <nacho.gs@zaleos.net>
Date:   Fri Oct 22 10:38:48 2021 +0200

    msrp: fix some tcpconn where memory was never cleaned up
    
    Thanks to Jason Shugart at INdigital. Fix consist of caring of removing references to previously retrieved tcp connections. GH #2880
    
    (cherry picked from commit bf371ccbfa1c89fefcd9d9322ae75189d97fc862)
    (cherry picked from commit f4ebe527c25ecedb3caffa8a361b5c42a2dd6b88)

commit 88ec70c9b056a91a187a68dcb0aa88345a5874e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 21 11:51:35 2021 +0200

    tls: print src/dst port in error message
    
    - related to GH #2872
    
    (cherry picked from commit daedf1201c2776ccc1040e03f8f63d256e75a43a)
    (cherry picked from commit 058ed2e1e4fdaf4ff99cd6db5a96793d6b420483)

commit 1dcda2425d28c182cf2b85f6f53ebe94c4f28ea1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 19 22:32:53 2021 +0200

    sipdump: docs - fix example config snippet
    
    (cherry picked from commit f202cfe647c6a1ac92a3c2b8e2ee056d678fb802)
    (cherry picked from commit 8df8974bb0f9754b126cac75eed76360e12d8a22)

commit 49f3ec66c9e187584f403ca19e3b436abd20376a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 13 19:16:06 2021 +0200

    core: parse main headers after updating msg buffer
    
    - same group of headers as for the case of receiving the message
    - applies for msg_apply_changes() as well
    - related to GH #2877
    
    (cherry picked from commit d5c1b4693b6e47b4123b5f9417b5fd88d4dafd1f)
    (cherry picked from commit 992c5a349454e40c87c8918283ffde7302da9d8e)

commit 3d5f1a75a1413126532b6bed41f2e5ec7acc57fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 14:25:03 2021 +0200

    timer: extend internal static HTTP message to have one header
    
    (cherry picked from commit c3629f877500373028d2c7cdefd976cddda31c15)
    (cherry picked from commit a9c5f3e4d29dccda79eee8e594d4316e32196db5)

commit e4eda3f5131e2788670a1f9f8342a2889e9b1107
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 09:56:33 2021 +0200

    textops: docs update to state regex params expect posix format
    
    (cherry picked from commit b19aab7fe00f72d0c9e54a7a106ec7a065a3d02b)
    (cherry picked from commit a78acd8f40ed38b161a075bef74febd93acb092c)

commit eb1633863b28089681707c9cd27842a9109fea51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 25 19:38:42 2021 +0200

    async: docs - added section ids for parameters
    
    (cherry picked from commit ed3b2506e13214d25a3dd78e487ed35ed13053ac)
    (cherry picked from commit 4dd8c636701c778f50d11a37265e9b6300f45ecb)

commit 52c6c54ecefaad4d0fab514b0e11169bdd99e25e
Author: Dmitry Wagin <dmitry.wagin@ya.ru>
Date:   Tue Jun 15 15:58:12 2021 +0300

    nathelper: fix_nated_sdp added ignoring RFC3605-param if omitted
    
    - doesn't throw an error while "a=rtcp" param is omitted (RFC1889 behavior) or address is omitted
    - replace_sdp_ip() returns 0 on omitted IP-address
    - added param can_omit to replace_sdp_ip()
    
    fixes #2784 regression introduced by #2497
    
    (cherry picked from commit fa6038172c0095287096c7021ca5dadad728cfaa)

commit d84a89dba261d7a75ec35125174fe6723cf13295
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Fri Nov 5 17:31:34 2021 +0800

    app_python3: for Python >= 3.7 call pre-fork hook
    
    (cherry picked from commit 138ef5630402448ea2643097a3d25d4dcead6d70)

commit 106997d1d1924c987f7e6d2ff32c4d40d7ee0e10
Author: SPChan <shihping.chan@gmail.com>
Date:   Fri Jun 11 07:51:11 2021 +0800

    pkg: enable RHEL7-like distros to build with OpenSSL 1.1.1
    
    (cherry picked from commit ecc2cc69b08e797ca954af233c229ed44475ce33)

commit 9ed21cd119739bb2768518d15fef98b65f5eaa45
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 29 08:43:45 2021 +0200

    pv_headers: don't try to replace header
    
    Multiple headers where not removed if new value was just one header.
    
    (cherry picked from commit 09981c41cb6685fa18f61b9e7d66339917c4f097)

commit c09e6453db91cc71b1d853b05601a53869718550
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Oct 18 14:02:25 2021 +0200

    core: tcp - add alias for cinfo dst IP
    
    (cherry picked from commit 110200ce8e5c4cf7500e57e27a23f76e18044ad5)

commit 6883d5a1d0868d0d0b4461c0440fe7eb6574837f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 20 14:46:51 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit d9c34770caa305fc6cafa18e255f3c05342305dc
Author: Sven Uhlig <git@resident-uhlig.de>
Date:   Wed Oct 20 14:23:38 2021 +0200

    textops: fix broken example for filter_body
    
    (cherry picked from commit f8c1cabaeadb8ee145174843ed11bbbb0c3276b0)

commit 4bee05821e9a9a1c72b73da8d1aae82735802602
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 14 10:09:32 2021 +0200

    dlgs: proper return for tags counting
    
    - GH #2884
    
    (cherry picked from commit 1f12e2a03856f9c2d12cf62c1e65e84380729a06)
    (cherry picked from commit b6484e4614ebc0f3fd54224ba9470d6c5b322a6f)

commit 523085f0a3c0953faa47bed7113507eb3c8b4f2c
Author: Boris Korzun <korzun@miatel.ru>
Date:   Tue May 25 17:14:18 2021 +0300

    pike: fixed regression
    - removed unnecessary NULL-return from mark_node() after previous commit
    
    (cherry picked from commit 79fbb7c6df5d4c742b1283b752c2df0f51e77f09)
    (cherry picked from commit b62a773c8f0c1daf1aa3d1cd57845d414eea5bac)


===================== 2021-09-22 Version 5.4.7 Released =====================

===================== Changes Since Version 5.4.6 ===========================

commit de082004b3e5f4719b961850045a3971b7feba8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 22 10:51:41 2021 +0200

    pkg/kamailoio: version set to 5.4.7 for rpm and alpine specs

commit d8d5eeab5f5ff7945b13dd16cc215c0f790461ba
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 22 10:16:53 2021 +0200

    pkg/kamailio/deb: version set 5.4.7

commit 81d8e4cfbb991f046ea2123c9dfa431f407aa5f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:22:57 2021 +0200

    core: parse identityinfo - log message on end of buffer
    
    (cherry picked from commit 1e212088091183aac8fcd418656beea523950870)
    (cherry picked from commit 8a6c44d2f0504f81b2ef1d97732499b5f721b4a7)

commit 296ff8b988386ebc5b083e1a1d0ecca7380a6304
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:17:27 2021 +0200

    core: parser - additioal check for content lenght spanning next line
    
    (cherry picked from commit bf6bd11a9b969c02a106f94ebf40cefbe8028456)
    (cherry picked from commit ecfcab9af6f3927c9dfe170826f1cbae5d28a447)

commit baed0ff2c8b396e7d062e59aed856605c50e8d96
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Sep 17 09:31:50 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a5340f49d21cb4dede9c84fe099561dd4bf21bc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 12:59:38 2021 +0200

    sqlops: return 1 on success for kemi sql_xquery()
    
    - GH #2856
    
    (cherry picked from commit 32bf3eb2b27fbefe991a4aabc829f21ecc4e8829)
    (cherry picked from commit c1f5595eaf0b1f98cb5dcc00ab68c0e57bc4b053)

commit 730167bf4e26ba44bf69275730efbf81e541ad1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 11:03:52 2021 +0200

    core: parser - print what is left in buffer if no EoH in get_body()
    
    (cherry picked from commit 63ecb827631189d27da6a85d41149985d95fc479)
    (cherry picked from commit 4578fb676177e16324c2241820cf5f8042503a37)

commit 09370e77e42a287246df46728c85a8d1d219e857
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 08:37:55 2021 +0200

    dispatcher: init attrs value when param not given to rpc add
    
    - GH #2854
    
    (cherry picked from commit 7894fb470e707622b077d565763c9cfb7c654da5)
    (cherry picked from commit 55312a08806027850840cf5b1f69ec7469965730)

commit d8ef550a4e7181f7fce1a4982c5da10b6ae6e8a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 08:08:18 2021 +0200

    core: free params list at end on error state inside parse_addr_spec
    
    (cherry picked from commit f2b133e24e29f9f0ce7ba568a5d4564c7b0f8f31)
    (cherry picked from commit b44879a17af848c3acb5524fe1058854c59c95fd)

commit 0616c676ca0e0e6e013ce26a53e951bfda72e1b7
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Sep 15 16:14:13 2021 +0300

    kazoo: fixed crash when json body is NULL
    
    fixes GH #2794
    
    (cherry picked from commit d8955fc350b48d0c4ca359d03cb9954a48998658)
    (cherry picked from commit abbf1fde2efd02f24c806a5be296e4648060b0af)

commit 0daa378326ea967bda8e302ac183463027b0c0c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:05:05 2021 +0200

    core: parse via - safe check for end of buffer
    
    - just in case it is needed to be used for non-zero-terminated strings
    
    (cherry picked from commit 1d3fde1205440296c1d6a54feee5a9d637055bee)
    (cherry picked from commit 5a73c4b2363a533f8a9ed67aff3413223815c52c)

commit 816f7b42b8527a2edc621143d2f1fae97df353c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:03:47 2021 +0200

    core: parse content - group operation to avoid overflow
    
    (cherry picked from commit 685817088ff9c72c055e72091fa6f923b824c206)
    (cherry picked from commit 796e2b203bbe09c6eb30321c579651d96c9b5de5)

commit d94bed817ffd389b5e528c124e2a8417aed1cfef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:05:54 2021 +0200

    core: parse_to_param() check for end of data on escape or start of value
    
    (cherry picked from commit 17a2eec2a8e47939782c1352ddb0fa4d3e73f9d8)
    (cherry picked from commit 92083402b2768b0ab81072feefd94bf754730e7f)

commit 4f438e01d4e6c6042026e9c5f673e1e2f02bf496
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 14:57:52 2021 +0200

    core: parser - free unlinked local param structure in parse_to_param()
    
    (cherry picked from commit f624e1701088a94465a06f36a2ef27804b16ec0e)
    (cherry picked from commit 04c7d84874bf60dabede57adb1fc64ebe2260420)

commit a7143e95b407d53714ed0113e243032c19422c98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 08:04:06 2021 +0200

    core: log unexpected char in parse_param2()
    
    (cherry picked from commit a2511df29adc83544f047cbbdba7a8ba88272930)
    (cherry picked from commit c6bfa8d8ee14ea27158f09f3b0a04015a1252e1a)

commit 6120013b0821e9420254b083d6eb4f79f428c15f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 15:36:20 2021 +0200

    core: parser contact - proper update of length in skip_name()
    
    - stop walking name also for unquoted ;, being special char
    - small typo
    
    (cherry picked from commit 20db418f1e35f31d7a90d7cabbd22ae989b7266c)
    (cherry picked from commit a0d7837c934df7f4c2223ca7f90f7c439628caf4)

commit f0d7b3a3d6c2aa27e47c87ec58b31c1527e1f6ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 10:44:17 2021 +0200

    core: parser contact - link structure once finishing current one
    
    (cherry picked from commit d6c52a6afdd38cc05a67a25e55e387ad77a9ddf4)
    (cherry picked from commit 9ed8820aaf307a756f1f08ccff4459884f62b9a8)

commit 307f429ec4c1512018540cf58885b2c51ae0bd2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 14:56:36 2021 +0200

    core: catch empty string on parsing params
    
    (cherry picked from commit 76e6033ff14fec0f2db0b387803b4c5815a91163)
    (cherry picked from commit d40de01737781f12cb2383a2891c8590cfb7deba)

commit 61d80860ead2adf93ffecb1318048bb04768bf51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:51:32 2021 +0200

    core: parser - ensure content lenght value does not exceed max int
    
    (cherry picked from commit f769011743feccde0fbca8531ab4e1b3563bf155)
    (cherry picked from commit cd4c6ef6022fa6b4453c9e2feb091d3dd7776311)

commit 99dd461fb14c2eb3803d7708c229bb4a1ffe9d08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:21:33 2021 +0200

    core: parser - free local unused param structure
    
    (cherry picked from commit 116ef94420bf6ed9e0ae3bc08a612d8d0c4aa0a7)
    (cherry picked from commit 479a6669da3bd03a9bd54ea4612192ee0b31f86a)

commit 28251b9233b5011b36423717c0540933410a57a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 12:59:34 2021 +0200

    core: parse content length - consider multi line header format
    
    - safety checks for log message when not parsing the message buffer
    
    (cherry picked from commit baed515e8aed8e5b505ff716eb57d0c60e582632)
    (cherry picked from commit c19e43e7bfa7d88b49312f1e83c3aae0756e4ae5)

commit 0ea368063362c090485dddaacf03a6f9ed7f8702
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 4 16:15:58 2021 +0200

    core: print char code on error in parse_addr_spec()
    
    (cherry picked from commit 031fd46980b34a570385f49f168b13af43d84b87)
    (cherry picked from commit 86c5d807ceb896dcc554bf8f1b7fb93c68e69a73)

commit bbd5a5ce5b2269e6e29f63a8cd73838502d35b06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:11:06 2021 +0200

    usrloc: set tcp connection id to -1 for records added via rpc
    
    - cope properly with the handle_lost_tcp modparam
    
    (cherry picked from commit a0a97119bef7671f33734399dc9de4562abae39c)
    (cherry picked from commit 1685ebd5917e763c347b6d4201b19b72e2ee274e)

commit 7e325b0a8cc6a80cd9173f07ac1e9c138a261b3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 10:27:01 2021 +0200

    presence: skip body operations on empty string
    
    (cherry picked from commit c849070371740c01f9f13a889c610de9132349f3)
    (cherry picked from commit b0125b66116468b1e5d0dd2ee4eb0eebb4e7ecb4)

commit 0f9141a4ac722e1c33fbd597ef85c928ffc2cd6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 10:25:29 2021 +0200

    tm: skip body operation on empty string for uac building
    
    (cherry picked from commit 34b61d3f1d6b5a0d4425f8edfa69d707cfa058b7)
    (cherry picked from commit d96e3527c20791cb2291aa91685d5bc85606eb56)

commit 6061def6d5550c9686f1b76d4d09400fecd43d9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 13:30:31 2021 +0200

    sca: call unsafe find entry function to avoid infinite recursion
    
    (cherry picked from commit bd92fb59cce183008956ff060911cc14d3dfb160)
    (cherry picked from commit b6380374f310a26c8a36f807d97ff0f415204be4)

commit c5a3dc8e58b4653ad488a373b5760bcb9bf37530
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 10:00:09 2021 +0200

    dialog: rpc set state change to DLG_FLAG_CHANGED instead of DLG_FLAG_NEW
    
    (cherry picked from commit b86d2490f3b96c532cbe07259786757b3ab9fc02)
    (cherry picked from commit 0c9d7e3378a4e3ffb1e6a7e48f89b7649aaa6fb2)

commit f3d7a0f52152adf2b3a0da8b44b615486a7f579f
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Tue Aug 24 17:15:24 2021 +0300

    ndb_redis: fix SIGSEGV in redisc_check_auth
    
    - Added the check for NULL pointer. When TCP session to redis reset,
      redisCommand function can return NULL pointer.
    
    (cherry picked from commit c32a0be89cc92a0649277774d1e7aebf349b8b49)
    (cherry picked from commit 5dbf99eb03aba76905aa926a55aedd3caa0fcd05)

commit a564c8d2e88b58948f2e1ea01008ec89e3c7d225
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Wed Sep 1 07:26:08 2021 +0800

    tls: fix OpenSSL engine in child processes
    
    tls_init.c calls OPENSSL_init_ssl(); this initializes the
    global engine linked-list and this cannot be reset in the child.
    
    To avoid linked-list corruption we manually instantiate
    the engine object required for loading private keys instead of
    relying on CONF_modules_load_file().
    
    Updates to doc/.
    
    Addresses #2839
    
    (cherry picked from commit 238ef139bfbe145fb93e5c4b0730de58040d2265)
    (cherry picked from commit ad5af6d3acd648e6bd57b923083cc26d3a3d0f57)

commit 565b43d1d0572a8b68188cacf5b8248f37d352be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 20 07:03:45 2021 +0200

    core: check message snd and rcv proto for COND_IF_DIFF_PROTO lumps
    
    - besides comparing the protos of rcv and snd sockets
    
    (cherry picked from commit 31377b160df563a222bec5a1bf92590635429240)
    (cherry picked from commit de84b32eb42e19f8626947da1c567eea2d0869fb)

commit b0a7811ef60d8fee47db4535cdc84c8483e4fede
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 19 18:11:04 2021 +0200

    core: check message rcv and snd proto for diff realms lump conditions
    
    - in addition to receive socket and send socket protos, which may be the
    same in cases of tcp/tls+ws/wss using same ports
    
    (cherry picked from commit 871f8113612148a49e69218e70ed7f475fb665db)
    (cherry picked from commit 52978a0873eb068be31ca0688e64c88e4872efac)

commit 9825c3da237394fb2b856e41a593b8e85b47abb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 18 18:08:38 2021 +0200

    cplc: use cpl_ prefix for internal time recurrence functions
    
    - avoid global symbol conflicts with core tmrec.c
    - GH #2827
    
    (cherry picked from commit 431544864c97d1848db1c0c42a03251a214f04cd)
    (cherry picked from commit 7e3e0a81bf458bd90bc1454c81bf21d64ed9212c)

commit f619ef65ce925b7273fc253feb9ca66037c3c9d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 18 17:39:25 2021 +0200

    drouting: added dr_ prefix to internal time recurrence functions
    
    - avoids symbol conflicts with the core tmrec.c
    - GH #2828
    
    (cherry picked from commit 33ea38f35f9911a26a757dbfa22065eb80a9a24a)
    (cherry picked from commit b49f23af03d5e2f0364610739e7ef6e07cfd54a5)

commit 4ce1fc01f916a0ee45aff75a18de67f318b14925
Author: Alan Evans <alan@kageds.com>
Date:   Thu Jun 24 10:24:39 2021 +0000

    kazoo : fix routing of reply events
    
    success events should be routed to onreply_route[]
    failure events should be routed to failure_route[]
    
    (cherry picked from commit fb2eee3e175040fef5e76cbed11430976f62df32)
    (cherry picked from commit d8ff1845c34a7f9d8e6911ae3d2055b122eb3b79)

commit 0f0fd6f7d9997bceafb3a2034a15cab75796d0cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 13 08:57:10 2021 +0200

    core: ip addr - use POSIX INET6_ADDRSTRLEN and INET_ADDRSTRLEN to define sizes
    
    - set the values of IP4_MAX_STR_SIZE and IP6_MAX_STR_SIZE based on them,
    if defined, or to 15 and 45
    - cope with IPv6 with IPv4 tunneling representation (RFC 4291 section 2.2)
    - cover the requirements of using inet_ntop()
    - GH #2823
    
    (cherry picked from commit 22a72f3a7725d56f00e22bdc52d44bd53da7c091)
    (cherry picked from commit 680d98caccc0216f43c2b5de83935dbc4853ab9d)

commit 984af7311243de4ea5358236d43346e56a535a16
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Aug 11 15:42:24 2021 +0100

    tm: restore xavps & flags after rebuilding message
    
    (cherry picked from commit 7ee642c58991e594f38247ab0751fadd07ce758c)
    (cherry picked from commit ad5f0f522f43a69e0f7f930cac5aefc3f21607df)

commit fa2c7c16881b25bb99a33f69b67bda97c3092fe0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 4 14:15:09 2021 +0200

    misc/tools/protoshoot: removed svn id and history
    
    (cherry picked from commit e3875c01adf576f179374a926e69e99c0094e5b4)
    (cherry picked from commit 105b15422f611ba1dcc59be30f7f4d474b294d03)

commit 7fd662c98aa14d9b2fb730cfce0f6391ab756ed4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:52:19 2021 +0200

    sdpops: refactored sdp_remove_str_codec_id_attrs()
    
    - line oriented matching of codec addributes
    - support to remove a=rtcp-fb per codec, GH #2755
    
    (cherry picked from commit 1a15a18eacd5764e9ba6240acbe37e645368f825)
    (cherry picked from commit 96f24caed768b1b382b166eea835e555eac5e933)

commit e5785361cad74949bde08386b857c1307822eac2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:51:11 2021 +0200

    core: parser sdp - shorten debug message with sdp line
    
    - was printing the rest of the body, print now max 20 chars
    
    (cherry picked from commit 4191a8193025499df64f13d59f5716563e573161)
    (cherry picked from commit ede5a8399662903c2aa081b7010603398a598e94)

commit e9272d8d67b9f8f9e04ad511ae014573b0aeb227
Author: FredWH <wh720@139.com>
Date:   Mon Jun 28 14:46:25 2021 +0800

    db_redis: fix broken pipe issue, if redis server with timeout setting.
    
    - issue #2764
    
    (cherry picked from commit 7cec977f8e12bbeb0309d903e02461d1ccbf41a8)
    (cherry picked from commit 48eb41654859e6130c82c46400b529f2af9ce908)

commit 69819531b532fdec7956c0c28e1ea1aadcc2bc2e
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Aug 1 11:40:26 2021 +0000

    core: enables compilation with debug symbols by default for other architectures
    
    - enables compilation with debug symbols by default for other architectures in core
    - pull request GH #2811
    - closes GH #2789
    
    (cherry picked from commit ed46adad82e7b6569eb42704c5460263d2af75f7)
    (cherry picked from commit ba8a06d2988e41b09947d3ae3386a13e3d8415b9)

commit 2fac539faf29184597e645c4a8b8bfe2f3bc3e9e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 29 11:02:15 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit f5c81022fdc769f306cf720bece29f1d265bfe61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 27 16:52:12 2021 +0200

    core: pvapi - reinitialize _pv_print_buffer_index when adjusting the slots
    
    - GH #2798
    
    (cherry picked from commit 61cbb5e861aeb9b7f69ebb8d284e3ded0ede9cd8)
    (cherry picked from commit 75571e1739470877365e7c25548ef282e81283a1)

commit 5d30b9111e1e80553ba260767521b9132b82d6a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 12 14:01:40 2021 +0200

    core: set MAX_WARNING_LEN to 1024
    
    - 256 can be too short
    - close GH #2799
    
    (cherry picked from commit 0d06e164efa720d91d49995585e80c9082ce3b21)
    (cherry picked from commit 1f9f6fff6e0ab21e460538ffd1e54b6c60f54f7e)

commit be8bb14a48c3797d4884c7f8a33fa3edf172942a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:23:56 2021 +0200

    http_client: removed function names from logs
    
    (cherry picked from commit 84d245fb4eda7690a89b4057301f81685a9452d8)
    (cherry picked from commit 2dbf48822451433f4ee8863a954a4c40da0eb2bf)

commit 810ea55bcbd557f4544dd1a1ee21bcff558ae553
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:09:22 2021 +0200

    http_client: clone name in http connection structures
    
    - use name to lookup private memory structure, hash id is not unique,
    can be collisions for different names
    
    (cherry picked from commit 9429083c87b1323e31983cc71551676c199bf640)
    (cherry picked from commit 459f40b52a8a6f8b2ef70a6986c686448ea572a8)

commit 2ab8cb38f9ddf01e174c3525ebdec35d6c83406e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 07:31:10 2021 +0200

    http_client: check if shm is initialized in curl_parse_param()
    
    (cherry picked from commit 7741ad7979d54fb4ee1247760d8d5c3666353a96)
    (cherry picked from commit b27dc141ccddfb3e0f77399ead8b2b158942de69)

commit e9e190302f397b4d133fc5ca3a20168e93e51cd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 23 13:05:44 2021 +0200

    http_client: docs - fixed small typo
    
    (cherry picked from commit 1f67ac5a62b58b35df52aedbd1a3d2234a72817e)
    (cherry picked from commit 6a527503a653d554ffb38f8bd7a40fd75441ff4d)

commit 9979ae4889ccb2c18b3f10f45625679bb8c2c4b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 23 08:48:10 2021 +0200

    xhttp: warning log if tcp_accept_no_cl is not set
    
    (cherry picked from commit b8fbf5e8c199b8277053f9c15231695a16058d6e)
    (cherry picked from commit cf6c70f00fda196ac9eba4a2ccd24b382d41b240)

commit ca97ee946df51fe8b2ceff5ea0ec890ebbdfac0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:43:55 2021 +0200

    websocket: docs - added tcp_accept_no_cl=yes to example
    
    (cherry picked from commit a05b4d7c2e413032b1a63f3d017243446a0bc6ec)
    (cherry picked from commit 9d7301652ca7f051df4a23b6be3a83d3f21baa5d)

commit 198753a49da7ff81965d4eeac1d96e53dbe901a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:42:28 2021 +0200

    xhttp: extended example for event_route[xhttp:request]
    
    (cherry picked from commit 195de260f102f1a016ad7bd1021571c1dd8a983f)
    (cherry picked from commit 42df0f0b58a2b5780a9bf613a5a29d4af27b4f67)

commit 2dc8fa863c48465051bde2383acbad753583a2b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 14 16:56:21 2021 +0200

    secsipid: explicit STIR/SHAKEN reference
    
    - help matching on search terms
    
    (cherry picked from commit a59ea8920c17aca29ffa734ca0babb107a415fde)
    (cherry picked from commit 3e0f634c1dd11702a97cc2fe2c3f70f1f933a4f3)

commit 4f02ec387cf9f46cc83ec6fea0df0a17ab7f08a5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 10 12:17:54 2021 +0300

    siptrace: fixed IPv6 without brackets
    
    more details GH #2775
    
    (cherry picked from commit 417eb2a7052a9354712663cca9e3bc075a3f69c0)
    (cherry picked from commit 903e41468a00edeff52cbf1e3c0053c82860c92c)

commit e1fb94f5c258038527f8f8df90135d6a4c2a4391
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 9 12:15:38 2021 +0200

    pv: added missing WS and WSS to $K(key) variable
    
    (cherry picked from commit a8c9d0ae4fbafba89ef12737419037d141eed1d3)
    (cherry picked from commit 7b89c5e6abe5f4ae3ee55d9c938c865806f29dec)

commit 5b849659b23c1fad9161d51c1e7aac5a96d8850c
Author: rodolfojcj <458749+rodolfojcj@users.noreply.github.com>
Date:   Tue Jun 1 08:06:32 2021 -0400

    app_perl change to ignore "die" signals from eval blocks
    
    (cherry picked from commit 50557b8433e137a9095b4d48df8ac9b8c3fd8807)
    (cherry picked from commit 7192139d77f844cd927c326ce16cadfc63378b35)

commit 5e39061818a0d52ac3a692c6357a497a09207e87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:29:50 2021 +0200

    pv: test for HDR_ERROR_T after header name parsing
    
    (cherry picked from commit c264fbc66a4690b073c72ffa8fc095227ce0ae8b)
    (cherry picked from commit 18e85c98bb6eebf9afe83aaa0a832d1c4af46e62)

commit 465fbace1586874b60b98ab04caddd1c76b2810c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:28:31 2021 +0200

    dialog: safety checks for bind addr fields
    
    - they can be null on non-local sockets
    - GH #2757
    
    (cherry picked from commit 490ae559d2b77b13b3f3831e7ff1aa58980e4086)
    (cherry picked from commit b6428ca86c821ddf74fd4ea8a17aecdce39934f4)

commit 17fab5e2cf3dad61816dbd76977c72f88a345bdc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jul 27 10:52:21 2021 +0200

    pv_headers: pvh_set_header, remove values to set null when necessary
    
    * fix pvh_set_xavi for SR_XTYPE_NULL
    
    (cherry picked from commit af926514ac3e70dff51408baf326b29bce4eecfc)

commit 447e25a0d1bf7eadb045a79bff7bfa50b0dca71c
Author: Victor Seva <vseva@sipwise.com>
Date:   Fri Jul 23 15:56:11 2021 +0200

    pv_headers: fix removal of all values when using PV_IDX_ALL
    
    $(x_hdr(whatever)[*]) = "hello" was just removing the first value
    
    (cherry picked from commit 9ad96c08e0deb759297b2d402295691d8dd657d5)

===================== 2021-06-02 Version 5.4.6 Released =====================

===================== Changes Since Version 5.4.5 ===========================

commit 0546511ed7eb47004c2df2f0806dff413468a1c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 2 11:23:35 2021 +0200

    pkg/kamailio/deb: version set 5.4.6

commit a2b34363aa5e97f171d933b08dc57f8e7a1b3d58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 2 10:44:48 2021 +0200

    Makefile.defs: version set to 5.4.6

commit aaa556f2d5a80e7a0bfa609d2478a9b75a530d0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 2 10:12:15 2021 +0200

    pkg: version set to 5.4.6 for rpms and apline

commit 30b33f772739c593f1b58a2b871e127effd12f58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 17:23:42 2021 +0200

    async: safety check for async ms list
    
    (cherry picked from commit 5b0e74c1832d2d09fe36424e1e1aaaacde920b31)
    (cherry picked from commit 93dc038f3f1f854b1e0987ec28e49d8a70293e19)

commit b5ae51af479d4e54e5d8c3f5e85908e68183e9d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 12:05:01 2021 +0200

    core: parse via - fixed whitespacing
    
    (cherry picked from commit 01664d1d82dcfe952fce29033b4fcd5e44cf2319)
    (cherry picked from commit 19901d0cdb6cf06a84315c19a27986bca7a05025)

commit df8fb404c1f3d016f97872d78fe07d604de6ef8b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 28 13:54:08 2021 +0200

    mtree: check if pv_count var is r/w
    
    - reported by GH #2750
    
    (cherry picked from commit 63b0345207ba67fcc6290d6dfc55f99ba58b13c9)
    (cherry picked from commit 7323d812dc4a39c0e60f11668e09a50ef586a8f7)

commit 00d7187532b87507367b00110f22bd8e0e14db7c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 28 09:38:31 2021 +0200

    mtree: Fix some typos, adjust some formatting
    
    (cherry picked from commit 316c80607243387015e35ac423238c5a32401a44)
    (cherry picked from commit 3bfb1773c01731177824b907180a7eeb7e43d3af)

commit 2c501f4d7b9678f0cfad3afec5e3095fd61e1763
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon May 24 08:26:18 2021 +0200

    snmpstats: Fix typo in MIB
    
    Reported by arkadiam on Github
    
    (cherry picked from commit 7f017707c91659641ce9ca87ee4149b2e39379f7)
    (cherry picked from commit dbd8e3899335eb8795763fd52b1f91aebfad1c92)

commit 34ee120ab555b9aab364af4570033c3a08451fda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 21 08:40:21 2021 +0200

    pv: more details in err log message for s.select parsing
    
    (cherry picked from commit 02ad9e1b87f89b9456d0d85e16c2fe0cda67ab64)
    (cherry picked from commit 2273d7d856b5c1fca1ec24fbb6ee249793ea6719)

commit affe55c269f77e280f8400fc6c2a5dee61a2b877
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 29 20:41:53 2021 +0300

    sipdump: fixed typo
    
    (cherry picked from commit 7f226f5b08c93ed0a43113d7947730329ff7db38)

commit dd09c233417129694ffb7481b03d465defae447d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 13 17:41:40 2021 +0200

    core: xavp - safety checks for name len
    
    (cherry picked from commit d22d812da1c3b2a2f65f142ef5ed5fa07e8ab072)
    (cherry picked from commit 6a5a61bfab80116338f6a9c91ed7ec5f7b98923b)

commit 0675c3eb0fa95e19532cf812585f1eb021829dbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 12 18:14:29 2021 +0200

    presence: set correct type for local_log_facility modparam
    
    (cherry picked from commit 5f4662a95a97d5224bf03745a9a354a41925706c)
    (cherry picked from commit 5bc7e1d636b617839f697838e326347b19cb0fcc)

commit 1b517a7e560f20331aa94accca813825e0e0ff0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 6 12:27:05 2021 +0200

    dialog: ignore 408 on keepalive with cseq 0
    
    - some UAs do not reply at all
    
    (cherry picked from commit 7aa8056a5e3a9804133cb9ff79640d8116be63da)
    (cherry picked from commit 6d71c9399027f2ed41cd6eae576d862440bd4fd4)

commit 078c6f861fc52c28546dae5ce335002e5d5df99f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:53:47 2021 +0200

    tls: declare variable based on SSL_CTX_set_ecdh_auto
    
    - fix unused variable warning introduced in previous commit
    
    (cherry picked from commit 41b5e9473d79409712d46fdbb5a0b943ab880aa7)
    (cherry picked from commit 52c7d2f4d6704c7ea232808110fc09c17c90c4db)

commit cd8a871c5a4c6446eddc48bd89bfe5cde89a6c21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:03:10 2021 +0200

    msrp: destroy str array on error
    
    - some code reformatting
    
    (cherry picked from commit 4695b48b23e22135049f67a6ef362e933a0cf337)
    (cherry picked from commit 33cf417e59b4c7f0e45b6258644bae364ad2e912)

commit 1142d5470d40801743af2fd9e27213bae6c394f4
Author: SPChan <shihping.chan@gmail.com>
Date:   Wed Apr 28 00:51:22 2021 +0800

    [tls] Don't use OpenSSL<1.0.2 fallback on 1.1+
    
    Address GH #2716. Also see https://bugs.python.org/issue29697.
    
    (cherry picked from commit 27904530d1f8efd26e2b96fa5f18a3aad887919b)
    (cherry picked from commit 1c7a8459f1a5b0f4d96f3908a301b599d5e24dc3)

commit bde591dc9507eaea0b744112d49ea01fbdf8f555
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 06:56:50 2021 +0200

    msrp: check return code for str explode
    
    (cherry picked from commit addb6a88d0266a0bb0545077fb0b5b8a3fdcca8e)
    (cherry picked from commit e55ecc6412997b55569f3b626a681eae0ca312df)

commit b95e319d006a38fcc6385d704de82e553f7c2236
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 11:22:20 2021 +0200

    core/mem: q_malloc - use #else with DBG_QM_MALLOC for debug on freed fragments
    
    (cherry picked from commit 764d5be0c44036bb4b86f841588fb0df3b4bb834)
    (cherry picked from commit fc90e4c06c5df8c8a9d5cd615923c09a93b5a810)

commit cf1f5043fd346a1106071cad2f5e294ce7e32fd9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 27 09:59:29 2021 +0200

    dispatcher: docs - set xmlns for include tags
    
    (cherry picked from commit 3f25ef01c5cc3adb02dd1bfecdfd4c3ce80cef47)
    (cherry picked from commit 6b9ecb0856a881144546fea6d3cbd8a3dc668b81)

commit 0ef00531926d77351f1202d18b5ffe1c071aef12
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 18 21:31:33 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit f2dc57a75ddad30205dadc59c435e423e3ee669f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue May 18 15:00:23 2021 -0400

    xhttp_prom: fix small copy/paste typo in documentation
    
    (cherry picked from commit 2967a41f5537df81745a71226ba9e793ccbdd453)

commit 0572c8192d26702fc0ac21ae76cbf81fbad91126
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 18:56:04 2021 +0200

    tm: lw parser - fix matching To header in lw_get_hf_name()
    
    (cherry picked from commit 4ab6e05df56afb7802a2cd125e89b9282a1c6c85)
    (cherry picked from commit 33db4ffc558b7a9d4c291c929b9e73b3cf8b16f0)

commit e0c60cf12d465323bcf06899683b2b59dba7295c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 4 01:01:22 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ea1239e57190da34b3043de3c8266a004554146e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon May 3 18:20:05 2021 -0400

    siputils: update docs for encode/decode_contact functions
    
    (cherry picked from commit bf73b0d72177828e3c35f0fe318f7ef654c89b6b)

commit 9e7c22a21d57230180fd7c135128a30f47ea427d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 14:50:12 2021 +0200

    dispatcher: safety to avoid division by 0 for latency operations
    
    - manual backporting of cf105d5af78963759825f5eaf9feb767c047a49c

commit 967dd294ba424bf66e27bebe4d6261e0c8a66471
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 16 09:44:24 2021 +0200

    core: usr avp - fix detection of invalid name and ids
    
    - use the fields designated for str name or int id, code analyzers can
    follow properly the execution path
    - regression introduced in ca1821837dfe7dd6630f628d968ed4d1178c7040
    
    (cherry picked from commit e4506385ca5a56d4861f36e85c1049599cba398f)


===================== 2021-04-15 Version 5.4.5 Released =====================

===================== Changes Since Version 5.4.4 ===========================

commit 30a0d84d1aae953bca79d38a5bda3523e896c59a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 11:57:50 2021 +0200

    Makefile.defs: version set to 5.4.5

commit 38d72250f4c9c77bee71262b6c340503cc9a92a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 10:28:24 2021 +0200

    core: main - set ending 0 in allocated cfg file path
    
    (cherry picked from commit 15f57ceae26b967ad92dd3a97ebcd869d1197244)

commit 3a9cf652716fdc3f5a679cf79c704daf43ac8783
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 15 09:51:16 2021 +0200

    pkg/kamailio/deb: version set 5.4.5

commit 9e6d418212171f84236af4d537bae973de879fa9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 09:41:16 2021 +0200

    pkg/kamailio: version set to 5.4.5 for rpm specs and alpine

commit 1e6561f86d4a139834952ff21b74ecca0b508966
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 08:32:38 2021 +0200

    core: resolve - safety check for setting port
    
    (cherry picked from commit 703d6202e73e4e3778a2c66f4e29ae87dc6ac211)

commit a10a7b5ba0cba5c268ff04a71bdf318e05dd0068
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 15:14:10 2021 +0200

    core: updated onsend_route_enabled() macro condtition
    
    - detect when the kemi callbacks need to be executed for tm replies
    
    (cherry picked from commit 0640645efdbc1f7ce36750d5a784a4cfedc3f02f)

commit 98b091d16072bc767affde805c30c7ec4911b9ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:52:58 2021 +0200

    seas: check when walking the list
    
    (cherry picked from commit 7231be0785009cb17581822f0765985eb7bdb243)

commit e5de8af690af460f086c6191a7502c903ca55699
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:50:36 2021 +0200

    avp: check for null string
    
    (cherry picked from commit c30cd3db7587a3c875770fbc558f4a5ad38b58bd)

commit cbe81cd6941c277893958d5be45655ac21c6890e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:40:19 2021 +0200

    imc: safety checks for function parameters
    
    (cherry picked from commit 6c8d61850aa662016d952f25dc510ed4d602e10c)

commit 95bbb4f0b1784a20db5c76fdbdd4fc58a2250b6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 10:21:39 2021 +0200

    group: check if credentials are parsed
    
    (cherry picked from commit e84c1985f1c3ed7a791660702b398b9ac1eb1f4a)

commit 681952d1f1fc5d0226f4a7adb99e7cfefef8727b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:46 2021 +0200

    sca: return on rpc fault
    
    (cherry picked from commit 005f4468bc5873ea02b6c0d3d75baa49067e17c9)

commit ce30413e6e60c1674d7200c32469779398860c40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:07 2021 +0200

    pike: safety check for ll variable
    
    (cherry picked from commit b123dec934769522407dad619bbb6c2074719884)

commit 782aae708701eaf8bfc97d72263d1e2e08569515
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:15:10 2021 +0200

    db_text: safety check for lres
    
    (cherry picked from commit 8a5b764e77d009eb6f236e74d3462bfce0d57f07)

commit e46c76a135ae24794748de8bdf87ae46f4ad7199
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Apr 13 09:16:23 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a197fecdf3f3da6e24a5792b9eb9572385ceacb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 11 09:09:24 2021 +0200

    core: dns - safety checks for port and proto
    
    (cherry picked from commit 6d46ec71f941b9db9c06c6c2edac14fc9f3d1074)

commit 36667b400c77b50b4809fafd92b8d93de3f89051
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 10 11:21:09 2021 +0200

    pike: safety check for null node
    
    (cherry picked from commit c9dc0336a33a0ecfe776975be7fbfab8f3c91b48)

commit 2e16763a9c261cec47bd429a1dc0bee39f9c46d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 18:51:42 2021 +0200

    pua_dialoginfo: check request to cover cases of callbacks without it
    
    - updates the previous commit
    
    (cherry picked from commit 912e2ef41533e961bc55ca80619305af8e474469)

commit f5e8a6042f141fd32f611c5ddc8232d793448b7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 17:18:54 2021 +0200

    dialog: safety check for prev field
    
    (cherry picked from commit 80beb29ac0204697a8964231b441ac37866a4a1c)

commit 3a515d6e2ba184de05b96dfad3bdf9bbd8530a44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 16:37:30 2021 +0200

    siptrace: fallback to udp if send sock is not set
    
    (cherry picked from commit a5f8810223021939b12eb0d04fc625f8d36980f7)

commit 335b40a417ff457f290ab6e963344ffc7839776e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 16:23:28 2021 +0200

    core: cfg ctx - checks for valid variable offset
    
    (cherry picked from commit 303be6a94be40dbe7c26c96e768627e8e9d0f860)

commit c905cab9d461b24d779a7404aaf13161e9ab5105
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 13:19:17 2021 +0200

    rr: conditions adjustmets for append from tag in record route preset
    
    (cherry picked from commit 42d90d3665256c3d38945193b0a14ad199221bc6)

commit e0948071566a8d978dc2c57a21a7448b953a11e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 12:05:07 2021 +0200

    nat_traversal: check parameter for send_keepalive()
    
    (cherry picked from commit f33abd5e2d5978ba9e6e8a48066b0daff70c0b3b)

commit 5e431ebf2d2986be962373dc9adba904bb714f0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:54:33 2021 +0200

    rtpengine: reworked condition around locking for easier pairing
    
    - inside rtpengine_hash_table_insert()
    
    (cherry picked from commit c200d2e9109a5581491bebd91c30162716b0f4fa)

commit e2d4ab36df274e92e9e04fc8b1973a49c3489b9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:37:08 2021 +0200

    core: dns cache - safety checks for rdata field
    
    (cherry picked from commit 7ea3b97c8acf8b623563b7a9fbf4ba23ea3e9170)

commit fc9c1dc1e2dd2567bdd8fa6d75f412ad481f5c7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:25:05 2021 +0200

    tm: t_fifo.c - free app in case of error
    
    (cherry picked from commit 9c7a509f7189de8ce600a97b7c1c5f9e4f5afdb1)

commit 7ec5c6ec53f333b7a65a02d46ee8a3757c264e2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:38:48 2021 +0200

    core: main - coherent behaviour for fix_cfg_file()
    
    - duplicate to build the output always, safer not to try to change the
    static string defined via macro at runtime
    
    (cherry picked from commit 74fa6c5570d6394af8c5352bd37e21e970f1575c)

commit 04c07ced4cc6000a7ffcbfea79485cebed106e91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:36:49 2021 +0200

    dlgs: safety check for accessing next field
    
    (cherry picked from commit 7dd643a88fd7944ee86b795298c76e6d5fd58b8f)

commit d9eb361ebc07a84f5a36fdad4c0a576b341d351c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:36:02 2021 +0200

    core: cfg.lex - free after log message
    
    (cherry picked from commit 563c6f69aef22a90fc7870398fcfbd4242e33779)

commit 53601d9e432b6b1c9351dd7a801dd75a71ab3420
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 11:33:24 2021 +0200

    core: check for non empty receive address and port in msg translator
    
    (cherry picked from commit 7ef0a272dc9c81afa05ef8b1591e9f05c2810e9a)

commit 7d5ab8071aef32d2c59f6acc7e93923fb76eec04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:25 2021 +0200

    app_sqlang: init timeval structures
    
    (cherry picked from commit e8583372cb1078a29bb6526c11f838e30811b94a)

commit 50e3e3761804dd71a615f95eeb67c2d6e1462829
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_ruby: init timeval structures
    
    (cherry picked from commit 50f92131ac0a9f5dd1e19fb6e3636657ad996e37)

commit 8341025d73c0911683f8bb461d5b5b2594683871
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python3: init timeval structures
    
    (cherry picked from commit 7457b3cefd08595c054291398de0f9a4e62691b7)

commit fa571b6f79f9a2a9c06ccb3494ed2ad0e14b529d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python: init timeval structures
    
    (cherry picked from commit 97991c9cf56ca034df914ae499053e597582ef80)

commit c13836bd9feeb27878810cd469d839d2717c8425
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_lua: init timeval structures
    
    (cherry picked from commit e1369a4cf0c668a0ee40d3b84b9c6382c2168e49)

commit 3aa2bfd98e6b647eda8f8a27f2da3f5b9f645feb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_jsdt: init timeval structures
    
    (cherry picked from commit cad5cc37c63477fbcf429af34e516b523c74132e)

commit bb1102a9366992b885100960000c9e589971b9ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:08:56 2021 +0200

    ctl: free send_buf in case of error
    
    - disabled unused function
    
    (cherry picked from commit 3bb1a30dda3b40ba2f188a4baab94ebda41f4a74)

commit 9d8b937f832334be2660f95c9886ae3da6b60968
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 09:53:39 2021 +0200

    core: use same condition for extra_params in create_via_hf()
    
    (cherry picked from commit 62e822ce25e93a8183dd9e5e1fee517143849a6a)

commit 05f60d4d4a20d127a23bf6e42853060a757434a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 17:23:16 2021 +0200

    core: rvalue - link to free at end of rve_opt_01() instead on replace
    
    - debug mode messages print fields
    
    (cherry picked from commit 7652f79640b3e792baa77531e697fd74a1ab4584)

commit b1b91fe1969f65a94516baddc94738f72b587773
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 15:23:21 2021 +0200

    core: rvalue - function to destroy content of rval without freeing it
    
    - needed in case of rval reuse in rve_replace_with_val()
    
    (cherry picked from commit e770e0aa6889f001a3f7f2644202bf106f6559da)

commit 6e38b6e81e8cdb656b28e221a59aaf7a38b76ef3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 14:48:34 2021 +0200

    core: main - several optarg safety checks
    
    (cherry picked from commit 4f7b5537688293d196669dd5a7d0124f7656cf2d)

commit aa7f0d76add3794719fe6006724559bf1c530bf0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 12:17:35 2021 +0200

    uac: do not free chunks already inserted as lumps
    
    - in case of errors happening later, the pointers are linked in
    sip_msg_t and will be freed there, otherwise will result in a double
    free
    
    (cherry picked from commit 26ab0fcc97cbf0d6602454e60187a914f13424a2)

commit 78fcd0ff356a4f2388c389490a670045832dacde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 18:06:01 2021 +0200

    tm: init timeval structs
    
    (cherry picked from commit a749cc53ac4aa4825ba8d720825db856d897efb2)

commit bdd0da206d115e93383899463ad5f726ac34230c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:35:12 2021 +0200

    imc: expect the second param only if first is set
    
    - bits of formatting for imc_handle_create()
    
    (cherry picked from commit c08620f6427d59749396fe2762e340328ce69c41)

commit 6bf9ce52bd4a10e77343d06cd82e4a4edb5360d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:31:48 2021 +0200

    core: cfg.len - sanitizer safety check of target buffer
    
    (cherry picked from commit ef31c82ac3bd7972c2d02c893f8041af4664b717)

commit aa285587c015e03a105442b1964ac0dd1dc52f1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:23:59 2021 +0200

    core: fixed condition for 0 ID or NULL NAME AVP
    
    - avoid null in memcpy for AVP_NAME_STR
    
    (cherry picked from commit ca1821837dfe7dd6630f628d968ed4d1178c7040)

commit 2d091fa67133e49d23e81007820900ceef91f503
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:05:53 2021 +0200

    .gitignore: ignore files that can be generated by compiling tools
    
    (cherry picked from commit 1536f4bb3d4e654c8169afb6599c47c26df12ef6)

commit 8cd3b40aa7e618226b0137f5e758bc7a634ed0c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:02:20 2021 +0200

    core: init allocated memory in str_hash_alloc()
    
    - removed unused pointer shifting in dset.c
    - small reworking of lval_assign()
    
    (cherry picked from commit ba9f2b5af9cabd61f67ceedb8feab6bd7bc6526d)

commit 8b112fbb5e362931b5c684fd4a6c3fdcbb9103e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:56:40 2021 +0200

    pua_dialoginfo: skip requests that do not control call state
    
    - GH #2700
    
    (cherry picked from commit 1b47452cebb1b7866cbbabd5068a9ff4a39c86d2)

commit 3dca9d6bff8e08677a02e3bb0f47b4c0889f2cca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:55:11 2021 +0200

    core: parse uri - check for invalid port values
    
    (cherry picked from commit b7f753ddc727e1d7ab42e7abe607059e03976f8d)

commit 8622811124f641b6a4b09a802758a354556850b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 2 09:37:21 2021 +0200

    core: parse uri - cast to unsigned for left shifting
    
    (cherry picked from commit d4e31e6ae494836c49e50f463517a576b18c5611)

commit f5334a57ae5159f1a37b3f25b9db220a9a860fc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 16:05:52 2021 +0200

    textopsx: docs - notes about 1-based indexing for hf value functions
    
    - GH #2387
    
    (cherry picked from commit 6379f1280ba41e87ddb34fa1705ffe4231dcac9c)

commit 7c9ea2bf08ae3c481548b27fd4a793a9aee03155
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 15:04:38 2021 +0200

    path: removed svn id header
    
    (cherry picked from commit 0f0a56ad5c97a611fab64fc9b9eba304643dcec8)

commit 8d6c2b96e83fc58f7159957ea86d5f91c00808ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:58:53 2021 +0200

    path: set dst udp uri length for decoding received value in alias format
    
    (cherry picked from commit f90640f7cec45a359e996493ae91b1a45d2603e7)

commit f08e58145e93e57f2654ffcb901d49f9e898bcab
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Fri Mar 12 16:55:02 2021 +0200

    carrierroute: replace faulty warning mechanism
    
    - warning log for the same carrier/domain having routes with only 0 probability
    is now triggered through counting probabilities per carrier and domain
    - kudos also go to Huseyin Dikme
    - GH #2653
    
    (cherry picked from commit 087c00a276623adad6b87242bc58f7c0b4d8ff33)

commit 740ecd3d54da2905142c3171292a00c3576a650f
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Mar 29 21:43:30 2021 +0100

    core: use third array element when generating totag suffix
    
    (cherry picked from commit 895208ebb0f999365ded50a9ecfc0fb2ed2b1e01)

commit fa2e51786dcb3daaa389055c6dc2b17c2a2d7c7b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 29 10:46:39 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit b864dcf0eaf984c83b4e7b5c4d1c70f7a3b32ac5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 20 08:12:18 2020 +0100

    kemix: exported function get_rcvadvip() and get_rcvadvport()
    
    - return advertised address and port of the receiving socket
    - forward porting from 5.3
    
    (cherry picked from commit 070a9c042a1caf19162d3d97b26f8d7548747cbb)
    (cherry picked from commit a76f06eb010765216450bd78bcc1040aa9902280)

commit 7faaf17a532de7c2f4f781f3a33bfd8306458ca0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 27 14:43:05 2021 +0100

    pv: use unsigned for safer non-ascii bit shifting for hexa
    
    - related to GH #2690
    
    (cherry picked from commit c331e6dddb238abe5fc832ce3d3934fbe56ad2f7)

commit d7cec6d68fc2198ae69d3c5d30dd0fb5fda0264b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 27 14:37:03 2021 +0100

    core: use unsigned for safer non-ascii bit shifting for hexa
    
    (cherry picked from commit 9efe1e0c32ae43d67240d6a97306e3cff61c3c55)

commit 652c3fb55f94efee0c9d5b16f3f492ad8e771984
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:19:03 2021 +0100

    acc_diameter: init variables for safer cleanup
    
    (cherry picked from commit 5c48d437935e971482c9bbf41f067d120911e2c8)

commit 75caa3c348706838722898c01e324b925306b4e2
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 24 19:35:11 2021 -0400

    siptrace: properly terminate logs with '\n'
    
    (cherry picked from commit 5ac49634c18955ffedd0ad909d2199e5881905c6)

commit ad6559f48735a9b369caad851bf87392a12dee9a
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Mar 24 16:12:13 2021 -0400

    rtpengine: fix typo in docs
    
    (cherry picked from commit 5cc888f0e9e305734621c0db1f63a47f2f0c381a)

commit 9a8002541773108a3a9dcb8a2f31a917e8b14bc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 10:19:51 2021 +0100

    pv: docs - relocated shvset note outside of param definition details [skip ci]
    
    (cherry picked from commit c959a3c5f5efa1158bd53a31476f33d080793928)

commit 0c0d833aeeaf6a4fed91300189e2c4fea3f9afdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:46:53 2021 +0100

    pv: docs - note about use of $shv() in kemi scripts for shvset param [skip ci]
    
    (cherry picked from commit bcc6370cdc00f25ce3d0f29e168c20ca880dcda2)

commit d8871bfa1d0a3b2f1c01fb51e518e1e5501f905c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:05:55 2021 +0100

    siptrace: renamed SREV_NET_DATA_SEND to SREV_NET_DATA_SENT
    
    (cherry picked from commit e1570a115f99c896d3703b756fe95cc28e0cb7d5)

commit e2c7d171bbd65e2689a3c498330c546d7bf0a7fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:04:38 2021 +0100

    core: events - rename SREV_NET_DATA_SEND to SREV_NET_DATA_SENT
    
    - reflects better the purpose, being executed after the message is sent
    
    (cherry picked from commit 93df5a5241f57ffb71dad0b0df04a256b7b0b7b4)

commit d23aef79e6ecd6149b9a6db7a09dd467e92a5e4c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 23 17:50:23 2021 +0100

    core: comments updated for msg_send_buffer()
    
    (cherry picked from commit 9c2c4bafa0f0cd980b5867e7d4c0995255730f87)

commit d0f028b4f48fc6e55612ed43bc9160d2bf67fb10
Author: Miteshkumar Thakkar <mitesht@users.noreply.github.com>
Date:   Tue Mar 23 20:35:20 2021 +0530

    app_lua: Fixed error 'too many parameters'
    
    - Calling function KSR.secsipid.secsipid_add_identity() has six parameters, is giving error 'too many parameters'
    
    (cherry picked from commit 5460949614c92c7dbfb7f63274540500f2a69d5b)

commit 695439f128ccae4306730735eac7a9e8dd286eb9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 22 19:51:32 2021 +0000

    nathelper: small spelling fixes
    
    (cherry picked from commit 46dee155ee10a2f11ecfd41b103f92752042c5ec)

commit 3141310b5cd6283d1f7b1ebed3d7471fb0d03138
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Sun Mar 21 17:45:04 2021 +0300

    rtpengine: remove square brackets from IPv6 address for getaddrinfo function
    
    - After loading from DB rn_address is in form: [x:x:x:x:x:x:x:x]:nnnn, getaddrinfo function expect ipv6 in node argument without square brackets, otherwise, the argument is interpreted as FQDN.
    
    (cherry picked from commit 491d1261e04e09f13990d5062c21faca7eb32b37)

commit 5d47465d6791f6213994ae77089d1569a2ea0bf4
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Mar 17 12:45:20 2021 +0200

    smsops: fix parsing of validity period
    
    - Validity period is present only for SUBMIT
    msg type and it is an optional parameter.
    For now supports only Relative VP format.
    
    (cherry picked from commit c4b1d0ab700ea03869114d08daa78ab6a6a56b96)

commit 293e161fb8828310954ea37f522c2e0b526ac827
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 12 15:30:49 2021 +0100

    presence: do not init db in dmq worker for in-memory only mode
    
    - GH #2642
    
    (cherry picked from commit 2b475553ef77f63cb444c34ad6c2df0ea237c88b)

commit c6a07c6891fd14aa0d46d5b0d064bc45d41b1a88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 12 09:02:17 2021 +0100

    registrar: documented lookup_to_dset() cfg function [skip ci]
    
    - function available for long time, but somehow was not documented
    - GH #2623
    
    (cherry picked from commit 56cdf70ea008b5401bdd7d1824f15788f85fc6fa)

commit da5df462c81ba7e4ef700fbd19bc57cd40007b7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 11 18:39:46 2021 +0100

    uac: exposed uac_auth_mode() also as uac_mode([mode]) to match docs
    
    (cherry picked from commit bb1fe2fc12cb0499c5242c220dd8065e83fe6e61)

commit 9fb67b2d70dadefe667c0bfbff7e3241b6b94c33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 11 18:39:16 2021 +0100

    uac: docs - listed uac_auth_mode() function
    
    (cherry picked from commit be4e1843c54e70206688c1f2d1f5483165baef8f)

commit 5ae6e5222a65030d8e2fd313ca1da8c4dad12830
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 11 17:28:09 2021 +0100

    tm: log message if starting cancel retransmission fails
    
    (cherry picked from commit afe84defa4ab391064c266e15f557415c5249f7c)

commit 631232a502de1e6ec60a72b4828ddfcaff57e805
Author: easyrider14 <stephane.houssin@hotmail.fr>
Date:   Wed Mar 10 10:54:25 2021 +0100

     cplc: permanent contact not skipped by lookup anymore
    
    - a permanently registered contact has an "expires" value of 0 in usrloc
      when processing lookup, cplc module checks that contacts are not expired by
      checking that the "expires" value of the contact is not lower than current
      time
      as a consequence, permanently registered contact are alsways skipped and
      never targeted
    
    (cherry picked from commit 525ee139abcb45f71bda42b417b5f8e75c12a622)

commit 8248442af0d32ee4045590dbb8b083bad5416933
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 12:41:37 2021 +0100

    rtp_media_server: Makefile - removed unnecessary DEFS+=-DKAMAILIO_MOD_INTERFACE
    
    (cherry picked from commit 7532f864cb9698aff95b9023bc9ff6959a41fd3f)

commit a0a5b201041616d1df7f497eb4db7eb49b080f96
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 12:27:10 2021 +0100

    usrloc: adjusted rpc reply text when the location domain table is not found
    
    (cherry picked from commit d3a36ed6757eeda42dc32608a63b857ee9a67bb9)

commit 50e9db0cd53381cec5e522777556adbb6bf1a039
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 11:38:26 2021 +0100

    pv: handle missing fields (otcid, instance) for $banch() and $sbranch()
    
    (cherry picked from commit 0c4becd70428ef15be76fb0aa53932e5803c6bd0)

commit 5a1c7faa6b72feaa71da383e5b19e6442a50b27d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 17:49:32 2021 +0100

    textops: docs - note about search() doing posix regex matching
    
    (cherry picked from commit 0cbee55284c4f4d5fef09a3185de31d04776e569)

commit 532eedac63d0bd2b0c4c6b4f9557ac243b008376
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:56:44 2021 +0100

    ims_diameter_server: fix check for addAVPsfromJSON return code
    
    (cherry picked from commit 88d38bd306f595585af6e972ac529b40d7a93b58)

commit 0d4e6c8b7450823dfb8caa6baaa6ce08328b1af3
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:55:46 2021 +0100

    ims_diameter_server: drop cdp session to avoid deadlock
    
    (cherry picked from commit 84c342277f2a73196cb377476f2b80e6b4085e7b)

commit 9fb04eb982ef4903801970981faff9b547258c32
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:54:47 2021 +0100

    ims_diameter_server: fix initialization of s_message
    
    (cherry picked from commit faf1edabf732af5a24ad0399098ad11e27b3a1ab)

commit beb59d4bf335c927d1224e02a67e81d2f530ca14
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:52:59 2021 +0100

    ims_diameter_server: check response is not null before json conversion
    
    (cherry picked from commit 6968f1df9e9d3d66810df910d290f3d9368255fe)

commit 2c154f3cfaba97d9a97ca924ce17e01ac3519c74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 2 08:20:12 2021 +0100

    xmlrpc: fixed error assigning to str variable added by previous commit
    
    (cherry picked from commit 4c6715b5e4a0938ece2937a787c6d2ed6e81a3d8)

commit 25c26de179f3e5081afb2f1ff063bc535a7cc06b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 19:14:34 2021 +0100

    ctl: handle null char* and str* values everywhere
    
    - not all cases were covered
    
    (cherry picked from commit fa0d2f05ad5124f6166a0384265a827187c6c83f)

commit e8c38b14f2cecaaf41468e52bc23e5b15aa5cf81
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 18:47:42 2021 +0100

    xmlrpc: use <nil/> for null string values
    
    - XML-RPC extension listed at https://en.wikipedia.org/wiki/XML-RPC#Data_types
    
    (cherry picked from commit 17b9a6add82781f71b4d84da7c804e0e72c8b026)

commit a7442d19734a40c6b2f9df2d427216bf5631d3a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 18:16:00 2021 +0100

    topos: one more update to enable processing ofr 100
    
    (cherry picked from commit 620194165e0c6c27dfe9dbe382dc2e7b58be13b5)

commit 8ac768c9da3102db87a420b5a5bea8a960183698
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 17:19:03 2021 +0100

    topos: handle 100 response completely
    
    - it may be needed by other modules to be processed with all via stack
    
    (cherry picked from commit 80e812caf83a131c5f830b7d23de754136fd54f7)

commit 8bd9404ff172671338a91a16aa04cbf8e22db501
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 09:56:36 2021 +0200

    ipops: proper handling of return code for ip to buf conversion
    
    - reported in GH #2695
    
    (cherry picked from commit 1d7d78c31eeab717c7013a00650d3cb07895bac8)

commit b5089e59fa460f0312e57cbf3d629a308c1e7c2c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 23 11:30:18 2021 +0100

    http_async_client: fix build with older versionss of libcurl
    
    * CURLPIPE_NOTHING was introduced at libcurl 7.43.0
    
    (cherry picked from commit d82d95a824d6f8a6c0246b78ac6642d4d6fed9e1)

commit 3ee9eb6700ae61c0449b2c9568e67712b0e82f8f
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Sun Mar 21 17:50:01 2021 +0100

    http_async_client: disable HTTP/2 multiplexing

commit a779c66dbb19cc5b7938072439327003acd5dc7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 16 09:37:58 2021 +0100

    mangler: 0-ending value on deconding uri
    
    (cherry picked from commit 3b038ed6761a5818441a7610a8305491aa358377)

commit b739727cfb66eb56683d236540d8463b870080f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 16 09:37:14 2021 +0100

    siputils: 0-ending value on deconding uri
    
    (cherry picked from commit 735911fcced21eb5c66393045bc143bd953d08bb)

commit 0ddb019f3d80e4bef2d00a504dbe1baa6b982bba
Author: Victor Seva <vseva@sipwise.com>
Date:   Wed Mar 10 18:36:18 2021 +0100

    pv_headers: fix detection of split marker
    
    If we set Diversion in split_headers and we get a header like
    > "RULTEST, normalaa" <sip:0046341355354340@whatever.net;user=phone>;reason=unconditional
    
    There was false detection of two Diversion headers.
    
    Skip split marker between double quotes to avoid this
    
    (cherry picked from commit c05c7133a5657a547a5b0ced0b0a05707b44bc06)

commit 2788f985fc4a5146c50bba15febe73fee874f9e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 5 07:32:47 2021 +0100

    ctl: info log messages made debug
    
    - used to troubleshoot infite loop on shut down phase
    - GH #2661
    
    (cherry picked from commit 38acfb59dde232b1a9f0ffc206fb46b320cd8e10)

commit 0df03a96e9ed07ff1683690f95598bf44b87701a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 09:16:38 2021 +0100

    ims_charging: renamed str_list_t to str_htlist_t
    
    - fix conflict added by e1dc6dd6d9b206168f6da2929560ca6a64e1b41e
    
    (cherry picked from commit 1f751775525fdcdb5a75b45fbf451e2bef3696ec)

commit c85594b4699763e0e7af8665b8036a6d9fd70090
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 08:48:01 2021 +0100

    corex: process values for dns_cache params in mod init
    
    - ensure the dns cache structure is properly initialized
    
    (cherry picked from commit 5126964ebf28af3be1391e8ed2153503b118ff2c)

commit 9de2eb8c4ef9d815be062d4f2c81db93129b520f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 08:47:20 2021 +0100

    core: typedef for str_list struct
    
    (cherry picked from commit e1dc6dd6d9b206168f6da2929560ca6a64e1b41e)

commit 3945ea2b7e59a6d6385344967a24b7bcdfd5f307
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 2 15:16:02 2021 +0100

    ndb_redis: add result check when reconnecting
    
    Reported and provided solution by @kritarthh
    
    follow-up #2461
    
    (cherry picked from commit f82a2563000361b6b1b12b4bb72b9a8ee4c62292)

commit 2b290d383d186efc1afe385f669c42bf64ba67ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 21 09:49:25 2020 +0200

    ndb_redis: fix cluster support
    
    fixes #2461 related #2300
    
    (cherry picked from commit 5557b9b715a9ca754c454b5edaebf2a43b832015)

commit c9a46eb88365add327b5d6f11f121c26a6230e58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 24 19:09:35 2021 +0100

    ims_qos: typos in comments
    
    (cherry picked from commit f9c336aa9a78169cf9c7f3fd9bfcfd22218078fb)

commit 68ec1e125e5069160696c8a634cac43e14d35ddd
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Wed Feb 24 08:20:14 2021 +0100

    kamdbctl: typo in log message - core tables successfully installed
    
    (cherry picked from commit 571fe52f4ad0cf5ceef98fb2d77c2711f3692c28)

commit 47b45b60a037808a675f7d52dd5b2ee80bfe0868
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 23 11:32:21 2021 +0100

    ipops: use local ip struct for internal resolving
    
    - static structure from core can be overwritten on subsequential use
    - GH #2645
    
    (cherry picked from commit 2ce244825bf7bc38f145699209ef7125ae5480d0)

commit 3632d39b557d2b926ccfce4fd83b4c16568e6ee1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 22 11:29:39 2021 +0100

    jsonrpcs: use json null value for c null char* or str*
    
    (cherry picked from commit c48e409b741821fa470788b3bca0ead32e4d6efc)

commit 5b6a77222eca4e927480ed7b18e7f233e3fdf822
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 17 14:07:43 2021 +0100

    core: early detect of empty host for check_self()
    
    (cherry picked from commit 6863cb8b0253c641146633bd063575a53bc6a466)

commit 908acb8f0995d10b1ed9334fc7b81166b14ab8cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 17 12:15:55 2021 +0100

    rr: catch uri without host part when matching local addresses
    
    - can happen for tel or urn uri
    
    (cherry picked from commit 81cd9c5d6934392cafd4b73541a19dbfa4b553f9)

commit bdf4e004d8606f3228d794d55ce7a522b98129f4
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Feb 17 12:08:10 2021 -0500

    kex: display proper values for pkg mem stats
     - large amounts of pkg memory were displayed as negative numbers
    
    (cherry picked from commit 220f9ca3c486b92797982a2333343fab463e9e5a)

===================== 2021-02-15 Version 5.4.4 Released =====================

===================== Changes Since Version 5.4.3 ===========================

commit b87099f5a26845aaf11d55c8fa56f9a9e4255b8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 15 11:28:16 2021 +0100

    Makefile.defs: version set to 5.4.4

commit 57fb85e2a1dc50618179b79901563bab502169da
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Feb 15 10:11:25 2021 +0300

    pkg/kamailio/obs: added --atexit=no into systemd unit file [skip ci]
    
    (cherry picked from commit 9a35a5b95e8144dbdb18003f40e49e5b497274f3)

commit 9cf3a7991919a27410aec6658ec8e77d4e381e01
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 15 09:32:05 2021 +0100

    pkg/kamailio/deb: version set 5.4.4

commit 864238f68588923ca60758251bd5f5ab3ac838fd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Feb 11 13:26:49 2021 +0100

    pkg/kamailio/deb: restore python3 dependency of kamailio package
    
    (cherry picked from commit ab8e680e0dd3a8078d40b72c50d41db55d442240)

commit 0f093556d0ad9e8bcf92222ac0cc7c1887ea0527
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 15 09:24:57 2021 +0100

    pkg/kamailio: version set to 5.4.4 for rpm specs and alpine

commit e8595172d317b03a335bfd7c29fdf09d2e6da8b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 13 20:59:30 2021 +0100

    pv: proper transfomation name in the log message
    
    (cherry picked from commit b4d1def5d8a5ffaddbd87708d8dc99f0f5f8853c)

commit 807ff5d216ad0dd8a620201b49c125c9c26d3559
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 12 16:16:30 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 0e0d067be489296ccffbc0a44ca37c89f105cece
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 12 16:14:18 2021 +0100

    rr: docs - more details for sockname_mode param
    
    (cherry picked from commit 86a5f81b776eab3e2b9a3a5470094546b94253f7)

commit 9f7cb97ded57e6980dcb86752484ed8fda519b80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 12 15:26:56 2021 +0100

    core: define sockname attribute name
    
    - used in the sockname r-r parameter
    
    (cherry picked from commit 274d32651d7886b7f424239565a2714e2dd0991d)

commit 48e84d70e42f17712e4718fc1ae9418dc67b4468
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 12 15:27:35 2021 +0100

    rr: compare sockname parameter name with the attribute name
    
    (cherry picked from commit 86e8bfdee87558fcee3e5b821b506b934c6b6790)

commit e0461d1c4026dd2953e4352bea0586419980180b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 17:32:45 2021 +0100

    htable: docs - not about use of event_route[htable:mod-init]
    
    (cherry picked from commit e0dcb1617bedf13cc3fc76cf7f3b5cd516806bc8)

commit 0f4eecdca36e9fc3311175a354a2404367b1e2fb
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Feb 11 17:44:19 2021 +0200

    Improved README.
    
    (cherry picked from commit 857e9deb4c2455ee2ea0c05446da54f97e1f0a63)

commit 73e849cb3e5771402fb1a9249457ae3ce4b60d3b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Feb 11 17:27:44 2021 +0200

    Fixed typo.
    
    (cherry picked from commit 2664a51c35a1e8b5adc4c7e6cedde60bc01f0b28)

commit a61d308c4460afcaab19934ade23a7ee8e8b1b5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 16:22:06 2021 +0100

    rr: docs - added missing end tag for para introduced in previous commit
    
    (cherry picked from commit f8e60bcba548b25657cc295f8a593adf371f9fda)

commit 2e6a4024ae35b95d3f4b777ec6eb346ba072f80f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 16:06:12 2021 +0100

    rr: docs - note about format of record_route_preset() parameters
    
    (cherry picked from commit f318fab629c308250531046d453a8ac76f80ca42)

commit a0e796754a0e51f635d6bf899711294e805bff4c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 15:59:31 2021 +0100

    rr: use rr params with record_route_preset()
    
    - param buffer was checked, but not used
    
    (cherry picked from commit 76b886da8ddf11a94a62850c19bad8c83bd113fc)

commit 38dd7fd703f043c51756df936abc56103c891545
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 10:27:20 2021 +0100

    core: cfg.lex - do not destroy action if pre-fixup fails
    
    - params might be in inconsistent state, shutdown is triggered which
    cleans the pkg anyhow
    - GH #2630
    
    (cherry picked from commit dddd530ed9fa7b6ca8b31ff299105a53c39c1a5e)

commit f1a4f695e530e387e2f14d257263b7c99315b32a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 10 17:01:36 2021 +0100

    core: initialize allocated _ksr_shutdown_phase pointer
    
    (cherry picked from commit f27c2e06d7467c4c33ff289175862ae7614a3018)

commit ee6b30c1556d4591ef92f8696e583a94c75e3c93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 10 17:10:25 2021 +0100

    ctl: fail when requested to process rpc commands in shutdown phase
    
    (cherry picked from commit 2015cfdfd777085dad98a606fc41946af186db1b)

commit 57c9794350d36fe1965212bca2bd42f147d100db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 10 16:23:11 2020 +0200

    ctl: skip handling rpc commands if kamilio is in shutdown phase
    
    - related to #2433
    
    (cherry picked from commit 6d928b59a3dbd6eb291da3d3936be6e8f18588af)

commit 23d24f9db87e5b5d384af70e466df9d23f2bd900
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 27 07:49:27 2020 +0100

    core: test if shm is initialized on early shutdown
    
    (cherry picked from commit b7d42f248bef70a06d8ae23f4a7652fd3f0e4e61)

commit 72b88989f359ddd14e83a7b2f8c108753072ae3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 16:33:02 2020 +0200

    core: proper test when initializing _ksr_shutdown_phase shm pointer
    
    (cherry picked from commit 27b2ddf926240b1dd269eb1d96767d73edf9c6e6)

commit bc65cba661747c960d6d62807e0bedf755f2f668
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 10 16:15:04 2020 +0200

    core: keep a global flag in shm for shut down phase
    
    - set when destroy modules is starting
    - useful to check from other processes if shut down started
    
    (cherry picked from commit 6da946e4a3d6d6949dd6babe9cf3919edc0b4519)

commit a36805a26aa84e865ba18260d94587be44688883
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 10 16:35:09 2021 +0100

    tls: fixed small typo in log message
    
    (cherry picked from commit 3c1a454a1ac4fe8e668f709d3e278bbce59c51d3)

commit e4fd58083274a774dae528437a01200a86ad7fa8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 10 08:27:58 2021 +0100

    cfg.lex: removed yynoreturn attribute for ksr_yy_fatal_error()
    
    - it is defined only by newer flex version, resulting in compile
    failure on older versions (e.g., centos 7)
    
    (cherry picked from commit f230035d8275cbad8d7515f73ba242f77a7a16db)

commit bf8ab95cffdb1d2ab98c68ca84ad80626c093085
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 9 21:16:52 2021 +0100

    core: cfg.lex - removed __attribute__((unused))
    
    - not supported on some distros
    - workaround to avoid unused warning
    
    (cherry picked from commit 20fdab545a5f5c3ef1b8d8c4c392acaf4f9e8aae)

commit 58dfc4cb7e1de233dfb2ceed2fb2a17a8511905c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 9 14:00:23 2021 +0100

    core: main - terminate using ksr_exit() instead of return
    
    (cherry picked from commit d8643cd2caf38aa1efaeff73783920fab1d9bf0d)

commit cfd9a30e5cad869c7188a524e24d1b6f53664f9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 9 13:27:34 2021 +0100

    core: cfg.lex - declare auto-generated yy_fatal_error() with unused attribute
    
    (cherry picked from commit 346d99d1f98178a71d482e5724135f65257427dd)

commit 1202f7ba0033a83ade2839cab06b2f2d35d63f64
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 9 12:57:57 2021 +0100

    core: cfg.lex - overwrite yy_fatal_error() to use ksr_exit() macro
    
    (cherry picked from commit 9f326234f40f2c02f4833647112c3a4f4912aa17)

commit 1c6a04517d924d3f806573529f915a4528afd317
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 9 10:50:03 2021 +0100

    core: more use of ksr_exit() macro to follow --atexit param
    
    (cherry picked from commit 4f6243e8e6e2012af35aae67da7b93af2127f02c)

commit 2f912a17d09a6e7aad89b5df4629a360330522d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 5 09:55:58 2021 +0100

    keepalive: check if the destinations list is initialized at runtime use
    
    - do not initialize, because is no longer seen in all processes,
    initialization must be done in mod init
    
    (cherry picked from commit b2b7ec826055fd67ecf5ffb052afa609e0aa9e5b)

commit e4994b28b2052ff864c16aaa2305d7356ad4d812
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 3 13:33:32 2021 +0100

    doc: update manpage for atexit option
    
    (cherry picked from commit 351efd29d332703e79104a106ade08c9d1df6e20)

commit 97ba470451ecde8c97531fdce3ddd2ef47955b0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 3 12:49:29 2021 +0100

    core: replaced --no-atexit with --atexit=val
    
    - val can be y[es] or 1 to enable execution of atexit callbacks; n[o] or
    0 to disable the execution of atexit callbacks
    - default yes
    - simplified ksr_exit() macro
    
    (cherry picked from commit 9b1472275530ed4cc32a65cd247dc9997e8b964b)

commit c603f69179872775fcf8f35fd0a0d2c7d9e9d2a7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 3 09:41:12 2021 +0100

    doc: update options at manpage
    
    * put them in order too
    
    (cherry picked from commit 377bb3bdfd20bedabbe0f92e53bdded44be267e9)

commit 0dbdf13df804e26337a7b88b16f18c31223bd62e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 3 08:29:32 2021 +0100

    core: use macro for exit variants based on --no-atexit
    
    (cherry picked from commit 06aec5a81cb22d06ad3bf613a05951f91e7e21bc)

commit eadd50a92bfe7fb0cdfa90276cdb5df0e85a942e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 2 21:36:57 2021 +0100

    core: take in consideration --no-atexit for daemonize()
    
    (cherry picked from commit 7ab2e85437482b4dba86937a29da025503450014)

commit 91ae11588b6d038b97e803f4afaf44dffe561322
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 1 23:39:40 2021 +0100

    core: added --no-atexit cli parameter
    
    - skip atexit callbacks execution from external libraries which may access
    destroyed shm memory causing crash on shutdown
    
    (cherry picked from commit 9f12d314268d1d2cd990cb3c5556f79343869e47)

commit be0e0fc4da2a6a901cacda9b3574147639b9f9ea
Author: tsearle <tsearle@gmail.com>
Date:   Wed Dec 16 21:47:11 2020 +0100

    modules/siptrace: fix regression preventing variables to be used (#2588)
    
    * modules/siptrace: fix regression preventing variables to be used
    
    Commit fa7eb2a switched the 2 parameter version of sip_trace from
    using the builtin fixup_spve_spve to the custom fixup method to
    using the custom fixup_siptrace. As it is a custom fixup method,
    the corresponding free method can not be auto-detected causing the
    config parser to require the parameters to be a constant.  This
    patch adds a free method, allowing variables to be once again passed
    as the 2nd parameter of this method (as well as fixing a memory leak
    for the 3rd parameter).
    
    * change free for parameter 3
    
    Co-authored-by: Torrey Searle <tsearle@voxbone.com>
    (cherry picked from commit 7c98d547996637a7bf1c7025c93142f574fe3ac9)

commit f9f33d37f80003836cf87338a4dd96b1b4614c22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 09:14:06 2021 +0100

    app_python3: handle deprecated PyEval_InitThreads()
    
    - https://docs.python.org/3/c-api/init.html#c.PyEval_InitThreads
    - GH #2626
    
    (cherry picked from commit ca37f9247ecb6754fbdbd210fc59158bf0f32def)

commit a7170a4fa6f4b0498fb192291842eb497f6f9507
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 9 10:16:59 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 95e7399481e61ec54bb226c122c5617f03553b5d
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Jan 27 19:53:24 2021 +0100

    http_client: http_client_request to include default clientcert, clientkey,...
    
    - the lost module uses http_client API functions and in the course of NG112
      client certificates are used for authentication when querying LIS or ECRF,
      the fix allows these to be read out via http_client module parameters.
    
    (cherry picked from commit 7d5868ab1242eb8166e6af1bb8a21b39001df663)

commit 73826e75b6699f3bd1bfb27eabf9582cbf09c19f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 6 16:06:47 2021 +0100

    siptrace: docs - fixed small typo
    
    (cherry picked from commit 7d846f928b75a3bc1b8e8c1a70e39bfede939c15)

commit ee7838842a175ffb4898dade606377c91cc8ecb8
Author: dvillaume <david.villaume@gmail.com>
Date:   Wed Feb 3 10:19:46 2021 +0100

    rtpengine : add node fallback if node out of port
    
    When rtpengine answers with error-reason 'Ran out of ports' adopt the same behavor that when node answers 'Parallel session limit reached'
    
    (cherry picked from commit 853068a26c34deff86e17b63f49abea2c8f4403c)

commit 3027f8b9daed5ca4f36d0779cd6f79e596bf42e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 4 14:01:52 2021 +0100

    kamctl: added srv debug subcommand
    
    - control server debug level via rpc
    
    (cherry picked from commit 6b5aa70f09e294338a65a0bf2fcae8b92fdc6fae)

commit a2e0e4912b5a81a88cccd2fb58652be5662ef4f0
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Feb 2 18:42:35 2021 +0000

    xhttp: do not call memset on a null-pointer, related to GH #2619
    
    (cherry picked from commit 2db8884945844e5040dfed2b24fe84de097c0b2b)

commit 989baffd9cbb934c8d0fd42dc9ef08db36c33f11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 27 14:10:34 2021 +0100

    tm: prper timer cleanup of responses for rpc tm.t_uac_wait_block
    
    (cherry picked from commit 5a6a679985fecfc168b9b26f0be3c0e64e641e64)

commit 0ab7142d8f60d04c386674263f35f87ac602bebe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 26 11:52:36 2021 +0100

    core: ut.h - add inline to static function to avoid warning from including files
    
    - for shm_str_dup_block()
    
    (cherry picked from commit 34301ea16812eccbb914ea14cafb0140ac9bba61)

commit 33da663ec8d730fa570018bbdb7239e595b4838d
Author: Marat Gareev <maratkin94@gmail.com>
Date:   Mon Jan 25 18:40:47 2021 +0300

    dispatcher: Log dest sets after variable update
    
    (cherry picked from commit f4b8bede6a247415eda84a7db9569747905f9fa0)

commit 0ff67c573f3bb59dc7872a48310c28d2d08734e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 25 12:42:36 2021 +0100

    tm: docs for reply_relay_mode parameter
    
    (cherry picked from commit 00b1aba770c26f75c31cf2a28e7ca425f18788dc)

commit be9081621e71965f90be490cdaa01f31dd02d842
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 25 12:34:33 2021 +0100

    tm: new parameter reply_relay_mode
    
    - control the behaviour introduced by 18410da0
    - if set to 0, the behaviour is like before the commit referenced above,
    tm is attemptime to send suspended 200ok after another final response
    that was forwarded while 200ok was suspended
    - default is 1 (behave as the patch changed the forwarding policy, not
    to overwrite the response buffer)
    
    (cherry picked from commit 90dfc421dab438a8ef62cc8f68b2c1f7fb50b0dc)

commit 31f8466f1d493db8baaa215d34d4ed4545d4ff79
Author: Theo <theodor.scherney@kapsch.net>
Date:   Fri Apr 17 08:53:00 2020 +0000

    tm: 200 OK not processed correctly by Proxy after final non-2xx
    
    Description:
       Problem:
          Forwarding of 200 OK while sent 488 waits for ACK, destroys the UAS send buffer
       Scenario:
          During suspension of 200 OK by ims_qos module function Rx_AAR() at terminating PCSCF,
          The PCRF sends an AA Answer with result code DIAMETER_TOO_BUSY (3004), which triggers
          the PCSCF to send a 488 âSorry no QoS availableâ to the originating side (ims_dialog
          module function dlg_terminate()).
          Afterwards neither the 200 OK nor the ACK(488) is processed correctly by the PCSCF.
       Solution:
          The UAS send buffer should not be overwritten during processing of 200 OK,
          because non-2xx is needed to associate the ACK message in a correct way.
          200 OK must be forwarded statelessly.
       Side-Effect (potentially breaks existing function):
          Some callbacks cannot be called for the 200 OK, to avoid messing the stored 488.
    (cherry picked from commit 18410da04c7f7bbc9628820427fedb92cf893526)

commit b0e29edea36778be91acfe1907a94a5d1134a5ca
Author: Nicolas C <nchaigne@capgemini.fr>
Date:   Fri Jan 22 15:16:56 2021 +0100

    core: fix to xavp_rm_internal (#2604)
    
    This fixes the following issue:
    https://github.com/kamailio/kamailio/issues/2604
    
    Description of the issue:
    
    When called to remove a specific index from a given xavp, function xavp_rm_by_index removes the index (as expected) but also all others before it.
    
    E.g :
    If called with idx = 1, it removes indexes 0 and 1.
    Likewise if invoked with idx = 2 => the first 3 elements are removed.
    
    This bug is located in function xavp_rm_internal. An assignment was missing when looping over the xavp list.
    Same for xavi_rm_internal.
    
    (cherry picked from commit 12414972ad0c28ac50ece3c14f98134c3f06c522)

commit b6ab0ba329f11e7baabe194994c095b4cb225af4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 21 14:05:50 2021 +0100

    kamctl: removed condition on CTLENGINETYPE
    
    - done again inside ctl_cmd_run
    
    (cherry picked from commit 4a4f0475716cbf824b2ab9684457e21f6732aa74)

commit b8a7d2bfd1118d556c9e46dcab97fbcb45fa6187
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 21 10:00:46 2021 +0100

    kamctl: use param evaluation mode for cisco restart command
    
    (cherry picked from commit 359050f9be40002aec1d3894dc43a2a8762ce8cc)

commit 4b606ec029703420a74f4246a7bcdb06a9d67635
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 20 08:54:49 2021 +0100

    kamctl: use tm.t_uac_wait_block rpc for ping command
    
    (cherry picked from commit 47a98532af5512a4597bbf9ad3834c62dd633256)

commit 254790bdb27e081765958a8b099921219c0f6e41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 20 08:54:21 2021 +0100

    tm: docs for rpc t_uac_wait_block
    
    (cherry picked from commit 89eea7edb8832124dc325d8303b23ea5f36c88f4)

commit ff34dc44bba76c6ee2828a03655e03087f5a5db6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 20 08:11:45 2021 +0100

    tm: implemented t_uac_wait_block rpc command
    
    - it blocks while waiting for the reply to return the code and reason
    text
    
    (cherry picked from commit dc5a548a9e6327674615aa7ddc8708e0ba5252aa)

commit c3f12eb469995a03166bf801bc4a391095202452
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 19 21:00:54 2021 +0100

    core: utils - functions to shm-duplicate str in a block
    
    (cherry picked from commit 6684b57641396ba494716e7f63a0f15afc1d8637)

commit 6769d44cfab686824a6b077bc8cbb4a347fd3356
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 19 07:49:24 2021 +0100

    kamctl: use tm.t_uac_wait for ping command
    
    (cherry picked from commit 20d075a17189961baf63ac000e4417d7f04d8a08)

commit 9b5eade1faa8deeb3fcc8f9cb010f803c17ee309
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 18 10:19:05 2021 +0100

    kamctl: option for rpc command to replace tokens in parameters
    
    - supported now: replace '=CRLF=' with '\r\n'
    - fix 'kamctl ping' command by replacing '=CRLF=' with '\r\n'
    in multi-headers parameter
    
    (cherry picked from commit 1c66f6a1a5d04c33f1912609a36729b06b6eebd7)

commit 784ad65fe5abde677f5155e3d7ff0bfbd04286bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 12 10:05:32 2021 +0100

    misc/examples/kemi: use local variable instead of many function calls for js
    
    (cherry picked from commit b4f439301c2dffbfc6a389354e840142fc3b965b)

commit e085bdb9a35f7a5b4624b7afdef96ca2fd3ba6fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 12 09:52:31 2021 +0100

    misc/examples/kemi: use kx functions instead of pv
    
    (cherry picked from commit 6e541feb9184e193f9c486c8f97d73360c69250d)

commit df7ca5dce4c41ad6f05064fe2940943685a98f61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 12 08:52:00 2021 +0100

    app_jsdt: duktape interpreter upgraded to v2.6.0
    
    (cherry picked from commit 2590165e278efb947edb9cb5a75104f2f760c4c2)

commit 23000a3ab3d88419d4f0ac797aae201a22f0e1fb
Author: Paul Komkoff <i@stingr.net>
Date:   Mon Jan 4 18:18:01 2021 +0400

    core: fix unused argument in socket_info.c:get_flags
    
    get_flags has an argument - family - which is supposed to be used
    in netlink message, otherwise why would we need it?
    
    (cherry picked from commit 42f7702430c312b2c9caea8f617af4e3719ef12f)

commit 252b0dd2d778c15ac6e96c7c415296619df3dc3e
Author: Paul Komkoff <i@stingr.net>
Date:   Mon Jan 4 18:13:28 2021 +0400

    core: work around interface enum buffer overrun
    
    When a system has too many interfaces and too many addresses,
    8 kilobytes isn't enough to fit all of the netlink responses.
    As the result, kamailio gets stuck in a loop where it tries
    to do a 0-length recv.
    
    Increase the buffer to 32K. It's a miniscule amount for modern
    times anyway. Also, add diagnostics to make further troubleshooting
    easier.
    
    Proper fix would be to switch to libnl here, which would make a
    good weekend project.
    
    (cherry picked from commit d2fd204b0ae35512a04702e480bb0d16878e98be)

commit f64d41efc8bf08daa8f4a36cb81d4620bea2b367
Author: Dennis <dennis_y@mail.ru>
Date:   Mon Jan 4 18:35:44 2021 +0300

    rtpengine: fixing wrong parsing the pair of IPv6 addr:port (#2592)
    
    - fixing wrong parsing the pair of IPv6 addr:port in rtpengine module, when loading node information from database.
    
    (cherry picked from commit 13d786e33d6f04a718af40ba345cf0827f752c2f)

commit d0af9aa7f46c90461288ef5241dba9c081fd40e4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 24 10:09:02 2020 +0100

    secsipid: docs - details of the acronyms
    
    (cherry picked from commit c1e06e029b192a4db45841fa78e9bcfee91f125d)

commit 0b98ddb1ea04603851ce581a69111581a1d30a67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 22 20:33:27 2020 +0100

    core: info message made dbg when adding a subst expression
    
    (cherry picked from commit 80b3d5d036da493316a93594c770df1ef8218e5e)

commit ff5283b156f6aa934bd5f621537427d9f2b31b1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 19 15:34:05 2020 +0100

    core: kemi - KSR.is_method_in() uses E/e to match PRACK
    
    (cherry picked from commit b04111b583b454b12ea0c6a265a14858c195b213)

commit d992a7cf2d42e9c4efcb2153091f4410090e4be6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 18 08:18:51 2020 +0100

    http_client: docs - section title to get proper entry in toc
    
    - bits of whitespacing fixing
    
    (cherry picked from commit fadc0fc499fb57a763aa71a76b24cff152bbd927)

commit 82ca29e2c51667bbfb8962006c8b4a93ed2160ee
Author: balajeesv <balajee.sv@gmail.com>
Date:   Fri Dec 11 21:31:27 2020 +0530

    evapi: export async_multicast() to kemi
    
    (cherry picked from commit ccaba976cd1c599ba64067df0896fdd4888af00f)

commit 9a793eeeb6c39b11b9125ca8455c2d5d2b0d415d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 16 08:29:41 2020 +0100

    xhttp: clang format code
    
    (cherry picked from commit d620aab9d2bc16e7785d5be0ddecd016329055de)

commit 218350f089be9c3b5505079079df63d25dd74cc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 8 11:54:32 2021 +0100

    siputils: free params for contact param decode and remove
    
    (cherry picked from commit d6504e28f7fef8d48480861ea12e9bd457288661)

commit dbe358d2d0df1ea2d8441b39ae460966e5edb164
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Feb 1 11:55:24 2021 +0300

    pkg/docker: updated submodule [skip ci]

commit a96451324076e0043fe25407c5dd6a42d5ff9f69
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 25 14:46:38 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 4e2c049d27594c30069d1e29caca4f4521d6fe43
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Jan 25 08:37:26 2021 -0500

    tmrec: fix typos in docs
    
    (cherry picked from commit 8be74b2fe0f59a9cef472b781feeae4cf3357bea)

commit 06bd17a8387008a3c7b797bd820a687ece5e3627
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 8 08:21:55 2021 +0100

    secsipid: include secsipid.h from standard path
    
    (cherry picked from commit c1a3443b09cee8a923f8801f8f3034f078034bf5)

commit b7cff8de3b3d26b1120678fac331ca52424e6c01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 7 17:34:36 2021 +0100

    secsipid: Makefile - detect of pkg-config knows about libsecsipid
    
    (cherry picked from commit 664542adf42a4d829ddf9b9e482aba81f30883d8)

commit b0a629ef9b366f4946dd1e73ce4aed2e028c119b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 7 11:14:53 2021 +0100

    secsipid: use pkg-config when available
    
    (cherry picked from commit 231a6eceeb67318cf4708a765b47df6c336350da)

commit 573dd7e63ac3d2629367f72c967ec7fbd4edfcf1
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Nov 25 15:28:40 2020 +0000

    tls: log version, gh #2561
    
    (cherry picked from commit c9f0adddde8321bfaf368691fea74079e40bd789)

commit 88d1eb7a79acd6afecb3d6760889433f69646b5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 17 14:54:04 2020 +0100

    dialog: handle CANCEL requests for CSeq updates
    
    (cherry picked from commit fd35a1a4eee2c50a3b7bf4ee6b1f6f20f4fa7d62)

commit d9df74d43d736dd330f4f9aa364a9f0560717e1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 16 20:54:57 2020 +0100

    http_client: do not set empty headers and body
    
    (cherry picked from commit ce58411c462231d6ea1fc3b4acbf50520c2962ce)


===================== 2020-12-14 Version 5.4.3 Released =====================

===================== Changes Since Version 5.4.2 ===========================

commit 32a19315eb946f939ca9cd8c50aae98b78adcfa1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 14 09:44:34 2020 +0100

    pkg/kamailio/deb: version set 5.4.3

commit fc592bd1c4f0f0d400c8c50fbc7583157d7f4956
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 14 09:25:07 2020 +0100

    Makefile.defs: version set to 5.4.3

commit b1b2067d360be72d536b7372c5bafd918bb57593
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 14 08:56:22 2020 +0100

    pkg: version set to 5.4.3 for rpms and apline

commit 0dffe40c25f59ba796edab7653633fe6c0773dc8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 11 21:01:26 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 24666d2223c8e718ed9abe949a74d4339ae6c87e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 10 16:25:49 2020 +0100

    dispacher: docs - more details about weight and rweight attributes
    
    - cross reference sections that have info about weight and rweight
    attributes
    
    (cherry picked from commit db55715003cd9af5ef3d32b51b5246643eea10d1)

commit 834bca2dab19fd1a63386e28955428c93da3c2ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 8 13:07:44 2020 +0100

    core: tcp - log connection state and flags on debug message
    
    (cherry picked from commit 41040a0420ee48f51901bf32e29526c8948ecea0)

commit bec3650b51342a9b093ca92134c3b22f4ee22637
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 8 12:50:56 2020 +0100

    core: tcp - debug messages merged, print bytes read and flags
    
    (cherry picked from commit efb9c5f83b37c316b848ae7b6dc829e2f8ca6275)

commit bded4ca0918a4a48e7d1001bc924b31924ac8ea4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 3 14:07:34 2020 +0100

    pv: use static buffer for ctime_r() output and check its return
    
    - fixed $TF output, regression introduced when switching to thread safe
    time function
    
    (cherry picked from commit 02fc919e4f177cc3ab9c5d53eb9ea2019c572bd9)

commit cb6d5b577aa9eb3d60cb71a60133dd4a8777b69d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Dec 2 20:56:57 2020 +0300

    lost: trimed spaces before reolving locationURI value
    
    fixes GH2569 (#2569). Allow parse exmaples from RFC7840
    
    (cherry picked from commit f9d424ac426dc0547c7233902dfa44ad1287e077)

commit f72f1effb079f66714f4399b12eaba077fc2b773
Author: Patrick Wakano <patrick.wakano@ipscape.com>
Date:   Wed Dec 2 13:58:18 2020 +0100

    dialog: access dialog table entry by reference for dmq_send_all_dlgs
    
    - avoid race conditions to get and release the lock when entry structure
    is copied in local variable
    - GH #2570, GH #2547
    
    (cherry picked from commit 4183b860e8af6d65074ab98a996c187211aebc7f)

commit 7ef04a11c4b92a49dcf94dade5bb0a8c65880a43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 2 09:45:48 2020 +0100

    auth_diameter: init variable and check before freeing
    
    (cherry picked from commit 04dc5d6c66c85d0d411aa23b27bc6be00258eff6)

commit e7f616df3f68bd7c53150ad20a8ec5a42b8daede
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Nov 29 22:54:24 2020 +0300

    lost: removed extra `"` symbol in example
    
    (cherry picked from commit 124499c12db185d85805e5c71d5cc4222e608b68)

commit 4b5f58be3101c4efe745f37e286bf84b6ffd694f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Nov 29 22:44:33 2020 +0300

    lost: fixed typo
    
    (cherry picked from commit 87f363f7fa0bf8f1897a3d6de13a09d6ec3812b9)

commit 7c7fc27eb10372fda305a65c2dacea679a57efde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 26 13:54:42 2020 +0100

    core: check if the tcp clone rcv buffer is set when applying changes
    
    (cherry picked from commit aa13720e5d78dde5ae5235c13399848cb8f5a0cc)

commit 5c6ddfea8845cd2d76bd15ec5511d156ef2ba3c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 25 18:09:51 2020 +0100

    dispatcher: removed unnecessary return
    
    (cherry picked from commit 721d533317c735d7ddbd16ad94684b483468c010)

commit d610f27185eafe275e98c567f1c1781eb0325961
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu Nov 19 15:39:13 2020 +0200

    smsops: fix len calc for a concatenated sms
    
    - fixed the calculation for concatenated SMSs
    based on TS 23.040, Sec. 9.2.3.16
    
    (cherry picked from commit d90f29b3b03386add989aebe3865bdc78dff8fbe)

commit 0744976d1ab80caf09f80b7594d2c76de3437d9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 23 13:48:01 2020 +0100

    misc/examples/kemi: fixed function name to get From-URI
    
    (cherry picked from commit 6035c30aea72d06bf08883677d45f4eb0019f189)

commit fba5f6172932c7925dce1ee49fbfeb4e6cceb6fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 23 10:10:55 2020 +0100

    etc/kamailio.cfg: split to filter on both friendly and scanner
    
    - some scanning scripts use a different format for the user agent
    
    (cherry picked from commit 454c4653409a69ef115de5ee748524d36e147246)

commit c5793f508aa115146e10c2f32691a29a16dc98ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 23 10:09:33 2020 +0100

    misc/examples/kemi: filter on user agent matching friendly, scanner and sipvicious
    
    (cherry picked from commit e15c90d31fd0444f41cb862408f77399123c0191)

commit 66f5cc9d021eca4a9acfbca935e991c2c6caed3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 20 08:02:37 2020 +0100

    misc/examples: note that sr is exported by app_lua_sr
    
    - hint for lua syntax check
    
    (cherry picked from commit 889431746d24c73eeff73705fab36a0e154116a9)

commit 4851f0318bf049ccef93390f6ac0fdfa8a38c0b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 19 17:06:06 2020 +0100

    tm: proper fill of From/To URI/tag values using parsed structure in t_uac_send()
    
    (cherry picked from commit aa6e9963b2725c1b6b7e5ff995a77c222d95fa3c)

commit f8885c990642d4f2bebe47ea7d1f6ce8673c29f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 3 13:15:52 2020 +0100

    tm: check end of header name in lw parser
    
    - proper identification of header type, prior could mistakenly set the
    type by matching the prefix of long header name
    - GH #2572
    
    (cherry picked from commit c0f5382bfbd2022896a9b206967977f827517700)

commit b9846143c171d731e94d7f0d450b40f66f2ac2c6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 4 10:23:04 2020 +0100

    cfgt: log info when node is created and saved
    
    (cherry picked from commit a2eff905626c6428539d3d848e7968f5dd0f2108)

commit 4fdc21a826533f1b889ee6e8302fe112859bf0fd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Dec 1 18:00:39 2020 +0300

    pkg/kamailio/obs: updated tmpfiles
    
    fixed removing of kamailio_ctl and other files

commit 49d833852bdcdc7c37ebd8d8d4e8cfb5ef149613
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 1 09:40:56 2020 +0100

    dlgs: fixed return value for dlgs_tags_count()
    
    (cherry picked from commit 057383f0b780b8317831f72c7c9f64786cc5a25e)

commit 3c8d3df471c92068144f84f2f02b9e79c8c723d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 30 14:07:21 2020 +0100

    dlgs: fix counting dialogs function
    
    - count the dialog in initial state
    - GH #2568
    
    (cherry picked from commit 6376e24960878ca510ab6f1ce0594a351debc409)

commit d0da78960e61aca42e75ba346b76616b59a16e86
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Nov 27 19:16:29 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 89b66e50b93465c120e818dabd4c94f9443bd686
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Nov 27 18:05:35 2020 +0000

    Revert "rtpengine: add CRC32 hash algo (#2558)"
    
    This reverts commit bc1cf60f970c572ecaddf1ea154834d0e41d292e.

commit 18edda18229ee6e75370a078a5deb8f980274e52
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Nov 26 08:16:39 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bc1cf60f970c572ecaddf1ea154834d0e41d292e
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Nov 25 19:20:52 2020 +0200

    rtpengine: add CRC32 hash algo (#2558)
    
    (cherry picked from commit 10349080490faabffaf1ab7cc5d591678b8c94dd)

commit 2d733ec7c9e26ad79d9d8503db0d342217febd30
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 18 14:14:48 2020 +0100

    tm: print ruri mode in debug message from t load contacts
    
    (cherry picked from commit 3214ecd8ee82d1b69cde57d96dddefe1301c190c)

commit f61d7a1b6b45bbed29bf4bc6c8a69fd52700ca41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 18 14:04:15 2020 +0100

    tm: use q field comparison in while for standard t contacts load
    
    - fix ordering change to standar mode introduced with proportional mode
    - GH #2449
    
    (cherry picked from commit 59f6ddbe902d61bc682dd12fc6330df656468b1b)

commit d9a1a5cf667e7d093cc077fc51297825565c79d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 17 12:55:17 2020 +0100

    drouting: give portparameter set to 0 to sip_resolvehost()
    
    - enable doing SRV query, GH #2553
    
    (cherry picked from commit 18f59c10582845da5eea280990daf19c804978fb)

commit c9ab7671bffdee3c775f6eb13cbd2363b6f5ecf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 16 10:06:20 2020 +0100

    jsonrpcs: exported dispatch() function to kemi
    
    (cherry picked from commit 08a9ed3d136c861f990e4f63c2c0544e08d9078d)

commit bec6cdf10dfbf9f32fce041987a3468b8a675a22
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Mon Nov 9 14:37:26 2020 +0200

    core: added missing field in sip_msg_update_buffer
    
    - added a missing field in sip_msg_update_buffer()
      when restoring message fiedls: msg->pid.
    
    (cherry picked from commit 57be5c1f33344275c15777a7927d9c48df4a69ba)

commit f6747a1fe4af59062733090ee0081d1bf15669c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 13:10:43 2020 +0100

    sctp: memcpy field data to avoid unaligned access warning
    
    - GH #2543
    
    (cherry picked from commit 4bb099b046939b85e1827b804167a51ef4bc00c4)

commit f3a872e9e8f780a23f7e3426ce4152a3a26cc448
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 12:31:24 2020 +0100

    http_async_client: include poll.h instead sys/poll.h
    
    - according to POSIX specs
    - GH #2543
    
    (cherry picked from commit 8f30c75cff7787a39f7c934e00e933b1beb43c20)

commit b72ab5e554d230b36a7c6dbc79b8e86b5d0c70e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 12:13:51 2020 +0100

    core: init origproto to fix compiler warning
    
    - GH #2543
    
    (cherry picked from commit ef3233d14080936486d09edbe9598d7d92bd2f33)

commit 88f43b97768676fd2b84c3e855ec5ae441b826cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 4 11:15:10 2020 +0100

    dialog: skip doing cseq update processing for non-sip requests
    
    (cherry picked from commit 960b60ede8543f38b61ad2769e81e11d5a777df8)

commit 82e00ce32c9a232be1dbd2e0a0e6e6c349e054b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 3 12:49:33 2020 +0100

    exec: debug message when command returns non-zero
    
    (cherry picked from commit e9eee1ead964992a2d81014709755bbfd1e995c9)

commit 17cb589ce5ac07dbb12f1b99f17258f313adf783
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 3 11:38:56 2020 +0100

    dialog: small formatting changes
    
    (cherry picked from commit a3443211515068bb12ecbd53541785a5ebf1cb6c)

commit 4b5f5636143037ff6620b88e03e57c05a91eabc4
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Nov 9 12:52:07 2020 +0000

    crypto: properly initialize key and iv to 0, add comment regarding the size of IV
    
    - properly initialize key and iv to 0, otherwise invalid data might be printed
    - the initialization vector for AES will be always AES blocksize, e.g. 128 bits
    
    (cherry picked from commit e9624bc4823cfba0bd9536a70b9eeadecb2a537e)

commit 5c26e09f8c5be8c3de66958207701cdd7a8dce62
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Nov 9 00:19:44 2020 +0300

    pkg/kamailio/alpine: packaged app_lua_sr module
    
    (cherry picked from commit 6782b2c1789f162b405ec0b9894f61075a4307f9)

commit 345376cb49a5464ebb65f940e97262e010dc24ae
Author: Guillem Jover <gjover@sipwise.com>
Date:   Thu Nov 5 18:34:43 2020 +0100

    sl: Fix 3xx stats RPC marshalling
    
    The struct_add() method was getting 4 values but only 3 "d".
    
    (cherry picked from commit ac55cc5ce5fcbb50d3a2a6b228585dce8fc1150d)

commit a97206031ff0c28f791a5789f6dfc37707a4b59d
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Nov 5 07:09:38 2020 -0800

    core: DNS stop resolving NAPTR for IP addresses (#2541)
    
    
    (cherry picked from commit 37f06f031c4ce93bcf4494744282c17f7a2d157c)

commit 5bd72f2758b2059759ce152e6d97b6a1955bc5bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 4 08:09:39 2020 +0100

    dialog: proper to-tag check for initial requests to skip cseq updates
    
    (cherry picked from commit 81d3e7a43a249dfc9eaa075c698e1eb3237a517e)

commit e27c128abebcb06d1383a909ecfd21bcb4ca8026
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Nov 2 09:27:41 2020 +0000

    dialog: small spelling fix in debug log message
    
    (cherry picked from commit 1640569d02420e0c0d0232fc825354d1f09784c8)

commit a309a0ee48278923871197391a30d485f0513a4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 2 09:04:46 2020 +0100

    dialog: skip non-INVITE initial request for cseq update processing
    
    (cherry picked from commit a973882b064c758972ce40e9ac3a83440c613be1)

commit bb016b3ac30bbd3c09c5ee8c10331c836231ed3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 28 10:32:50 2020 +0100

    dialog: update internal_get_dlg() after 0bde3ca changes
    
    - keep also direction value for no-totag dialog
    - reference and unlock only when returning, related to #2494
    
    (cherry picked from commit 98436c73e8519e96e3d167b7610cbb58b9939885)

commit f76216bb1fab2dd39413915bc2db88d9c588a56e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 11 10:51:23 2020 +0000

    pkg: add CAP_CHOWN capability to Kamailio systemd service files to allow chown (#2391)
    
    - add CAP_CHOWN capability to Kamailio systemd service files to allow chown
    - needed e.g. for user and group setting from jsonrpcs and ctl modules
    - related to github issue #2391
    
    (cherry picked from commit 8b72f462deb4b66fb55f754abc93bf7295278afa)

commit 62dff5b8b157236cae7defe64291a6e4a8ae27b5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 28 20:16:28 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 3deaec5ec6eda850e4b5c53e860d91460c317837
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 28 19:02:33 2020 +0000

    uac: extend docs for uac_auth() example, only t_relay() on success
    
    - extend docs for uac_auth() example, only t_relay() on success
    - otherwise you will get a 'no branches for forwarding' error from tm
    
    (cherry picked from commit 668402e77c19ba4b5b8fc5b6c869ffbf34ea622d)

commit 035e22e9d75949d066129b4056271ff772653500
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 28 18:08:59 2020 +0000

    uac: do not silently fail on realm lookup error, at least log with INFO
    
    (cherry picked from commit b6c10c8181d670a81a7d1216c7e6ec81c0963e9c)

commit 4f00ba425051718ecbf426591fdb14268ae92d94
Author: Paris Stamatopoulos <paris@forin.gr>
Date:   Fri Oct 23 23:57:49 2020 +0300

    auth_radius, misc_radius: Adds VENDOR() definition if the freeradius-client.h does not contain one already.
    
    (cherry picked from commit 9978e00405cac89cc65d2d8a863128dd2814d7fd)


===================== 2020-10-27 Version 5.4.2 Released =====================

===================== Changes Since Version 5.4.1 ===========================

commit 44e95a7723aa71612050ad321a282c2bad04f2ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 27 12:06:12 2020 +0100

    Makefile.defs: version set to 5.4.2

commit c4186b78463899b044dd18dfca6f023b763ea502
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 27 11:45:17 2020 +0100

    pkg/kamailio/deb: version set 5.4.2

commit 6114e2fc8bc00cc8875720322fbacd35312628c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 27 09:55:02 2020 +0100

    pkg: version set to 5.4 for rpm and alpine specs

commit c8d42b328302e18c7b915b3760c5089910a1ad49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 27 09:34:18 2020 +0100

    xcap_server: shorten a bit the search range for xcaps_xpath_hack()
    
    - match on the buffer len min size, xmlns is expected to have a value,
    plus the ending of the xml tag
    
    (cherry picked from commit 3be41802c7c670cce0d3e08462e23ca3f3fbe2d4)

commit b51ea9f361a81fe8117dcef51902e975f7a662d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 14:02:48 2020 +0100

    usrloc: safety check on len for user in db keepalive routine
    
    (cherry picked from commit a1620fa1b4587239835db6ed5765ce04f927172d)

commit e3cda7fa4e873c110ee2641f6200fad52222586a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 13:36:36 2020 +0100

    core: parser rr - clean partially cloned fields in case of error
    
    (cherry picked from commit e4f6c660bd75cdb9ff0855fcb511673cc8ec00c4)

commit bd2204b7151261981bc6872928b7434e2ac7df2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 13:06:53 2020 +0100

    regex: use var to store strlen() values
    
    - avoid doing it again in a few cases
    
    (cherry picked from commit 5d490d616132067a5e914302a24b964b73b229a2)

commit 900a05c4ba32513ebb61428ef53a4d1705f58443
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 26 11:16:32 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 7cd88cf05f25a5a5883d936285ac51f82911e9af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 10:53:24 2020 +0100

    textops: docs - some enhancements to basic header operations functions
    
    (cherry picked from commit 374f0f05bdf27ddaf5d8652560738fbfb886c43c)

commit 82ff4f40455a910ef42dd3692af5c1c9dfb8d4c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 09:17:02 2020 +0100

    pv_headers: free hash entry in case of error
    
    (cherry picked from commit 46c7a8c0bf2b4d5c00e22a751f95f13263686445)

commit aa0573d2afa3c1a0afa76b8fd1e0de952c487a01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 08:15:10 2020 +0100

    alias_db: clang format the code
    
    (cherry picked from commit 3dca5cd2c7f018189b6784a7e87807df1de7589e)

commit 5114cc77cb61744843ed8b535d9804fcdf61e635
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 07:52:49 2020 +0100

    alias_db: removed history from top comments
    
    - missing copyright header
    
    (cherry picked from commit 7ae0caaffd3d6e523fd32501401213521a1881e5)

commit 83005d4fafd5d055e4125a83c24d1c6cd0eed058
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 07:42:10 2020 +0100

    alias_db: set ending zero in a single place
    
    (cherry picked from commit dc1bb5b1861de279b450ab550888dd748b77463f)

commit dfa7bf13fb0e5513cd3b1558765ba32e9300a120
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Sun Oct 25 18:54:33 2020 +0000

    rtp_media_server: state transition improvement
    
    - fix disconnection while in bridge, to keep thing simple for now the
    second leg is automaticaly disconnected.
    
    (cherry picked from commit e419bad759dc817ba673563ec4e79681f685dc28)

commit 407586bec91fac11311809d2693e521ad82394dc
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Fri Oct 23 20:21:45 2020 +0000

    rtp_media_server: fix dialog_list_mutex
    
    issue 2522
    
    (cherry picked from commit 750cb7fc131afa254952536bdb200d55e2cc8955)

commit a5ee9476c8f403c42a6bc80d2228b49a39a0ca5b
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Fri Oct 23 19:37:35 2020 +0000

    rtp_media_server: fix issue 2524
    
    - fix completion without failure route
    - rms_bridge automaticaly append missing ';' is not present
    
    (cherry picked from commit 2ea4f685ea8b7dbca13b4fd521441088f8318d1f)

commit dc2336f541eb27d0a034f4c72a26c40270cfea70
Author: Alex Hermann <alex@hexla.nl>
Date:   Mon Nov 13 16:48:30 2017 +0100

    tmx: Allow $T_branch(flags) in onreply_route
    
    (cherry picked from commit d161d4523fc6b0619defe918bc204cc7a9cae073)

commit e93717fe95f39c5832e4bc380fe4a1d24a4e977b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 23 11:17:14 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit cbd9c3d2851ece3c8f08b0664b72fca18f6f4f77
Author: Alex Hermann <alex@hexla.nl>
Date:   Mon Nov 13 15:50:20 2017 +0100

    tm: Fix faked_reply_prio by passing correct reply to get_prio
    
    Instead of passing the to be evaluated reply as the "best" reply, pass the
    actual "best" reply.
    
    (cherry picked from commit 5731cc0911ff65bf7efd433a83a25ffbf6073d10)

commit 48df37a27ae2e42498d1cb44bec8604827a5ed55
Author: Alex Hermann <alex@hexla.nl>
Date:   Fri Oct 23 10:32:02 2020 +0200

    janssonrpcc: cleanups (#2512)
    
    * janssonrpcc: Remove unused variable and redundant assignment
    
    * janssonrpc: No need for copying options
    
    The address stay valid until free_params is called. And before that
    happens, mod_jsonrpc_request() makes its own copy.
    
    (cherry picked from commit 61771b0595c126d884e8c1eb392a54b5786a8fa8)

commit eae86ff8bf327b6ed0bcb83ee25c663cb97a02fc
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Thu Oct 22 16:54:01 2020 +0300

    textops: fix append_hf function
    
    Before: append_hf adds header after first header occurance
    
    After: append_hf adds header after last header occurance
    (cherry picked from commit 4adea97a4f8a9b35273d4d28b0518964abb7f0d8)

commit 071fe9366b3cc14f0cce1aa0373d20a0242182cb
Author: Kristian F. HÃ¸gh <kfh@uni-tel.dk>
Date:   Wed Oct 21 11:21:43 2020 +0200

    utils/pdbt: Relax permissions when creating files
    
    (cherry picked from commit bb42ee28fc115e1e3373962c02162c9a8e6d41fc)

commit 39895a53b7df804573746585b5d0dd9d4a56f209
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 21 08:29:21 2020 +0200

    rtp_media_server: use directly gen_lock_t instead of ser_lock_t which is tm typedef
    
    (cherry picked from commit 3a162187580880fa7210bd376621f57576e9d209)

commit 9f2f517ffbc616d14567fcb9948147dae6507da0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 21 08:24:53 2020 +0200

    rtp_media_server: declare variables in .c files
    
    - extern in .h files, GH #2522
    
    (cherry picked from commit 128ba4fe95f3c27474c9f839d34f8fb1fd75e064)

commit 0752f63d41a5c02bc1a5612a22797f186e291119
Author: Alex Hermann <alex@hexla.nl>
Date:   Tue Oct 20 14:58:28 2020 +0200

    core: Document that a str can be zero-terminated
    
    But by default it isn't.
    
    The functions shm_str_dup() and pkg_str_dup() will always create a
    zero-terminated copy
    
    (cherry picked from commit fcdfaf98acf8a66e84b9dccc767fb52c0cf0d460)

commit 4e50930695e288b0285370cc7fd26801cbf751de
Author: Alex Hermann <alex@hexla.nl>
Date:   Tue Oct 20 10:13:29 2020 +0200

    core: Zero terminate str copies made with (pkg|shm)_str_dup()
    
    As discussed in #2512, zero-terminating all copies is preferred as most str
    usage is already with zero-terminated str.s.
    
    (cherry picked from commit 0ea69b16db298842f58a6fcaaab2c0ee1a137b94)

commit f050ce2dc5f27a08bf5c5364e4002b646802eb81
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Oct 20 11:04:58 2020 +0300

    registrar: added note about branch flags in save()/lookup() doc
    
    (cherry picked from commit f2996bf733a0b5e00fe124440353b9a69a3532a2)

commit 12ebd41d0dae516f39933eeabcda1919cb10b71e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 19 11:01:12 2020 +0200

    permissions: exported allow_trusted() to kemi
    
    - related to #2509
    
    (cherry picked from commit 843b22b4efb0d343f13230d6e90d2484f370dbdb)

commit 550840b4b9ce8df9acdf875f907ce86533fea43e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 19 10:09:59 2020 +0200

    pipelimit: use unsigned to compute size and for iterator
    
    (cherry picked from commit 23818fb34d09a487654ea89c9f29b880c0c75197)

commit 41b6be639eb56dbb9732e1961b75654a73ee2fa6
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Oct 16 07:22:33 2020 -0400

    nsq: remove unused defs.h file
    
    (cherry picked from commit 79db27575a48c5451b547ece68b5849456e245f9)

commit e93b62f2f9a27943d68b1e2a8b2529f37a419292
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 16 08:49:12 2020 +0200

    secsipid: docs - small typo
    
    (cherry picked from commit f74f1df842815e8a42d1b4f71b6f98287a625d41)

commit d43872c11edacf972c2ae72c746517dcf56e2777
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 16 14:16:41 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ef7a0789a52a9b741ce679145f8fadb5c6b97755
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:41:00 2020 +0200

    nathelper: docs - fixed typos

commit b8576f0f34d373173ff223f00c6b6b2ce8daa85a
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:32:45 2020 +0200

    uac: docs - fix missing uac.reg_remove method

commit 80c834d1eea1e1917f185d9d1110c7d07bb27bd6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:36:13 2020 +0200

    core: fix typo in comment

commit a505f5eb2bb60f935d3ecc55b0dfa1b410c1bb58
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 12 10:31:20 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit eec7d2613489613725b8979ce3d00d6616bb80c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 6 12:59:50 2020 +0200

    rtpproxy: renamed extract_mediaip() to rp_extract_mediaip()
    
    - extract_mediaip() is also in core sdp parser
    
    (cherry picked from commit 8d0044770e94eaf7099eabbb55abe177e52e5373)

commit a989f384b5cb95e096e89899c57d8f11283b12cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 6 11:56:45 2020 +0200

    nathelper: renamed extract_mediaip() to nh_extract_mediaip()
    
    - extract_mediaip() is also in core sdp parser
    
    (cherry picked from commit b0f239a2c16b71b8b7e7b325ea121ffc48afa78e)

commit d5393ffd76cc37e98365d7b945454e0215d9f82f
Author: Arsen Semenov <arsperger@gmail.com>
Date:   Tue Oct 6 11:40:27 2020 +0500

    nathelper: docs - updated notes for fix_nated_sdp. few typos fixed [skip ci]
    
    (cherry picked from commit 64579fee33d0a82a583b75184f78fcb7c9df2d82)

commit fd4dd36319599867e590098d86dc37186595cfad
Author: Arsen Semenov <arsperger@gmail.com>
Date:   Mon Oct 5 13:52:45 2020 +0500

    nathelper: fix_nated_sdp added support for a=rtcp param RFC3605
    
    - GH #2459
    
    (cherry picked from commit 088738ce16e73339e4c1b78c11f6ad6f8f3394cf)

commit 755867b920e4e0d17a4bdf447a0d59a06875f8e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 2 21:37:15 2020 +0200

    phonenum: note about the role of country code name for phonenum_match_cn()
    
    (cherry picked from commit dfd6c3966ed70d111a9196076bc29767c395d814)

commit 75cb64a768d187baf5730067503a708959284827
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 24 10:04:08 2020 +0200

    core: dns cache - removed disabled code between #if 0 ... #endif
    
    (cherry picked from commit 298aeb7f93bfa75ec78bc941f2c76167525b2e61)

commit 1d8f45e88a8bc79646a330f5531c6b767e547754
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 14:21:30 2020 +0200

    tmx: safety check of expected route blocks for using $T_*() variables
    
    - related to GH #2479
    
    (cherry picked from commit 2e7710e292a649c6c57e46d5994d3b2cf3815865)

commit 4c234562bf0265f2a221231e7f3d72648166995f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 12:55:10 2020 +0200

    lib/srdb1: db_use_table() more suggestive error messages
    
    (cherry picked from commit 57d33a2d76219ae3d1eb503044dadaeddc7e06fd)

commit 26fb90fd6ffdb239fa6c2779f281fae78f90c5ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 15 07:33:00 2020 +0200

    topos: docs - more details about what SIP traffic is handled
    
    (cherry picked from commit 878971f2c0bc32233b6f18728f9b88537b3d19e8)

commit 23bdd1f6f2581d745f20c66ca9a93e4dad55ffec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 13:01:36 2020 +0200

    msrp: proper parsing ipv6 host part in uri
    
    - enclose ipv6 address in square brackets for msrp pv
    - related to #2472
    
    (cherry picked from commit 1cda029885dd89e2ec46fe28a0d6f656aad19e7a)

commit f57c900b438f3233fa1e9a9d3ca8cd383a30baa6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 22:15:12 2020 +0200

    tm: do not add duplicate headers in local requests
    
    (cherry picked from commit ada3701d22b1fd579f06b4f54fa695fa988e685f)

commit 6e2bdf1056e3a31f1ca1f485473fcd26f9ccf044
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 21:59:49 2020 +0200

    core: parser - print lenghts in to header parsing debug message
    
    (cherry picked from commit 2648eb330b133a20f1398d59a28c53532106cad3)

commit 7adf410af754f1bb737edca6f427ef02d3441cda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 21:55:45 2020 +0200

    sanity: extended check 4 (required headers) for uniqueness
    
    - Call-ID, CSeq, From and To have to be only once
    
    (cherry picked from commit a9ede56b35990fcc9164af0775f503e49e33377e)

commit f4d5b1b86a821ed7e5168b15765bb40e83b3ec21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 09:25:41 2020 +0200

    usrloc: send keepalive over ws and wss connections
    
    (cherry picked from commit 5dda7f336121b6068fd306340cb90a7d7e76c708)

commit 83f242845a8b2759d8eec0559154cfd62cf89278
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 07:52:29 2020 +0200

    core: tcp - helper function to send data over ws/wss connection
    
    (cherry picked from commit 5e107824d684cdf30514b033e7f600862123ece5)

commit 73476522301b6de65b8873e4ab04041315e93a82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 5 11:53:01 2020 +0200

    dialog: do unlock after saving updated dialog details
    
    - lock()/unlock() for dialog slots are reentrant
    
    (cherry picked from commit e4cf6739e62c2ac1e5364315aaed1a7b73919253)

commit a24dc3a4e64671d3428c629b2d12a0d6ca1a93ca
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Oct 3 16:58:53 2020 +0000

    dialog: fix error in dlg.list_match for callid parameter (reported from Ilie Soltanici)
    
    (cherry picked from commit 360e012d9d93c80b62b6e75bfac6e3340407ee98)

commit 76a0d84a02062f340bf6415db5270dbfce31136a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 30 12:34:40 2020 +0200

    rr: reset param buffer for r-r advertised address
    
    - GH #2486
    
    (cherry picked from commit 8dfc0f6ef0ddc4bf2d73d21124caa289d4b8ce07)

commit 0b923cabb82870e5376f79682b90b65e71050249
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 2 16:01:38 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit bcd8f50929ac25d4eabe7b5886d22dd61c4872e7
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:51:16 2020 -0600

    Fix typo on main README.md: Consecutives 'the'

commit 27f28271981e46ea9abec97392ab3232264c742f
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:41 2020 -0600

    Fix typo on xmpp module: Consecutives 'the'

commit 0eec5a2c839d9a1de6a152f733fe69e3353d1d22
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:02 2020 -0600

    Fix typo on websocket module: Consecutives 'the'

commit 2b4f7960ae740175fa4bd37fc2d93868fc52ac95
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:46:20 2020 -0600

    Fix typo on tm module: Consecutives 'the'

commit 3910066feabbfbe2f2f653b9b4af5d7d14285911
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:45:44 2020 -0600

    Fix typo on sca module NOTES

commit 13e6f48fe794455b673e73181397d6d6f8d355c6
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:44:27 2020 -0600

    Fix typo on ims_qos module: Consecutives 'the'

commit d26bf214e7050c051fa6db9477fd7650ad873509
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:43:44 2020 -0600

    Fix typo on drouting module: Consecutives 'the'

commit a8f66e8d3104ac35bb99023777a5363d700b3855
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:42:54 2020 -0600

    Fix typo on db_mongodb module: Consecutives 'the'

commit fe70897c15c8236fc226d2a05822f98e385ea083
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:41:54 2020 -0600

    Fix typo on cplc module: Consecutives 'the'

commit 54926260bcb0ef9c487ed66990f945fbe1cb1b13
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:40:13 2020 -0600

    Fix typo on counters module: Consecutives 'the'

commit 02f470f64d57d27b3035b9f8884d539916a8ca02
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:39:26 2020 -0600

    Fix typo on carrierroute module: Consecutives 'the'

commit ab5a57b1291316b4be57ade1219200db8222ac87
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:31:12 2020 -0600

    Fix typo on avp module: Consecutives 'the'

commit 408efc005320d055c16cce9a518954692eb75187
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:30:12 2020 -0600

    Fix typo on app_jsdt module: Consecutives 'the'

commit 5aff688af40e87c32e43c7c6d5abca60fbb22595
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:29:03 2020 -0600

    Fix typo on srdb1 lib: Consecutive 'the'

commit 8006da08a44d15c37b07e20ea95e03b07ae1e66a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 1 10:04:50 2020 +0200

    topos: update to-tag and rr on reply even to-tag is already set
    
    - GH #2489
    
    (cherry picked from commit acd7f6f1703d12aa8f2dce87e1b8e4b74d6b4d96)

commit 0bde3ca506467008cf3d8345afa731617b095c8c
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Sep 28 09:13:16 2020 -0700

    dialog: dlg_cell, always check for a to-tag match

commit aed88c64710493452ee3ea8468c80c3c01287111
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 29 07:25:46 2020 +0200

    pv: use the corresponding functions for parsing names of xavu and xavi
    
    (cherry picked from commit aa8589ba66f984e93438a91a7fe8b26bd9d5b62e)

commit a6cb7427ea8d98ba10d51e1fde3648bb1aca53b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 25 09:38:39 2020 +0200

    usrloc: set last keepalive value to current time on new records
    
    - do not rely on last modified value, can be loaded from db and be too
    old
    
    (cherry picked from commit 60f04b6d6f51b55294d22722df3f351a76cbfb9b)

commit 7f14deb8704697ebe1e073c8db30a5569bab6985
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 23 17:31:04 2020 +0200

    usrloc: do keepalive mode checks before expire processing
    
    (cherry picked from commit e67b588434a08c828548c79b6cc5f4c2a7240dc9)

commit f14111e9ba0139e79a2bf7b7c0c5bc98c47cf220
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 23 17:00:29 2020 +0200

    usrloc: do keepalive-based contact expire on internal callback
    
    - the one used by nathelper is not triggered automatically
    
    (cherry picked from commit 5c1e07dc2efc46fe078263c76ce0388f09949539)

commit 4669e8f295eefca64af61e168e5e79f540df89c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 22 19:00:25 2020 +0200

    imc: jump over printing error log messages when list commands are ok
    
    - reported by GH #2481
    
    (cherry picked from commit 92cfb5e8d291706889c926892397e663e2d93b05)

commit 463498565029aced931b44fd686f5c9d15b49341
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 23 09:01:43 2020 +0200

    ndb_redis: set message level to debug on exec
    
    * logging error makes no sense here since there's going
      to be a reconnection afterwards
    
    > ERROR: ndb_redis [redis_client.c:903]: redisc_exec_argv(): Redis error: Server closed the connection
    
    (cherry picked from commit a9c331d70dbed6827874aa99296203ac5a9d5c7b)

commit 609685c91d92337a1d0832d709ebff437fb193ef
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 22 19:46:21 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 79ec049ba50c0c48c02748c2679c07f4da2a766e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 11 22:06:45 2020 +0200

    usrloc: docs for ka_timeout module parameter
    
    (cherry picked from commit 2e9d4e2dc45bf5baab1bff9c13fc841b66793cb4)

commit f5eb642c9bc9012debd2009ad03f2598d0c7c354
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 11 22:00:38 2020 +0200

    usrloc: export modparam to set keepalive timeout
    
    - variable was not exported by the module for internal keepalive
    mechanism
    
    (cherry picked from commit 9331044bf517be120dea59414402415090b63007)

commit 5cbec397d4dbe338400aefacddcce69dd0547f39
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 15 18:01:22 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit acce084fcab7249d52862bef0f4c32ed488222bc
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:29:08 2020 -0500

    registrar:  Update documentation
    
    - Replace all occurences of "HF" with "header field"
    - Replace all occurences of "HFs" with "header fields"
    
    (cherry picked from commit d936c6276b6d8e45efd87a4fc25a55b9c3ab1fce)

commit 76864d4508ff4e1d9d909480663819db272aae48
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:32:07 2020 -0500

    registrar:  Update documentation
    
    - Fix double negative "without no DB operation". Changed to
      "with no DB operation".
    
    (cherry picked from commit be0382fa11920de972ddbcdbe17c3ff583da87e4)

commit 99b2a0c066bcc35425b3a2bc73158711bba70b70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 15:32:33 2020 +0200

    core: more comments about data lump structure fields and options
    
    (cherry picked from commit b13431b6fc7eec20096c5be46c8ce2e43931c45f)

commit 2ca2232b3cac72f7c03b37ef9db5a198462e6dfa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 15:33:18 2020 +0200

    core: skip abort() in free_lump() for LUMPFLAG_DUPED
    
    - the LUMPFLAG_DUPED is set when duplicating lumps list for branch route
    execution, but some functions such as set_body() may want to clean them
    - report and minimal reproducing config by Henning Westerholt
    
    (cherry picked from commit 57ee97f52dd90c86743b6fd6dd682285ef994e80)

commit 4e0f9f8869aaf364011413417ff6c95c032af16d
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Sep 8 15:04:04 2020 +0200

    httpa_asyc_client: set curl memory callbacks in module initialization

commit c7a07121012b23299331b22426852d9af534582f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 8 13:08:01 2020 +0200

    core: events - return once SREV_SIP_REPLY_OUT callbacks are executed
    
    (cherry picked from commit 1910432ce3af56af1e6d4c4c124c2af2925c5b9a)

commit 1a49cc015609c8701057d5a9cf50f68db61870c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 7 19:35:04 2020 +0200

    uac: restore first display name then uri with dialog callback
    
    - same as for rr callback, otherwise the new header can be malformed:
    the case of initial INVITE with From URI having no angle brackets and goes
    out with display name and angle brackets, the ACK for 200ok results with
    From broken when forwarded
    
    (cherry picked from commit efa6c6a9bf13c430d5be5146168d1ded4c39dba7)

commit e1d4ddcb6c517f8fc3d688728f4d1310c5149352
Author: Victor Seva <vseva@sipwise.com>
Date:   Fri Sep 4 11:19:33 2020 +0200

    pv_headers: fix $x_hdr index on get
    
    * previously we where not supporting pseudo-variables as index
    
    (cherry picked from commit 492c99e8065baa510f55154593122e33d3a61d73)

commit ad14b61155686aead27e7ac5f3fb6b1aa90b6840
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 4 10:22:52 2020 +0200

    pv: handle s.prefixes for empty values
    
    - avoid crash due to invalid length of result, GH #2467
    
    (cherry picked from commit e74b06c32bc2b090937350858f655af4ab89ff63)

commit 0f6dea703bd8a4cb5e450eddd046bce2b254e84d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 2 13:12:25 2020 +0200

    Revert "tls: support compilation without deprecated OpenSSL APIs"
    
    This reverts commit 10af8efa9061c2f52ee1db51c4cf665073c20dcc.

commit e7cf0625893125bb45029f6e055ec7910f70d88f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 2 13:12:06 2020 +0200

    Revert "tls: added define condition on version functions"
    
    This reverts commit 67979e07b63b574687b1924c38fabd724d0ad876.

commit abebfbed313aaf052f4383ecf03607f17549c63c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 2 13:11:51 2020 +0200

    Revert "tls: proper ifdef on libssl version for tls_init_locks()"
    
    This reverts commit e9baba91c6c7e3d1817e8a07bbabbce3a8efbe79.

commit acebbeef29d538c245e58738574bb5432c4170f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 2 13:11:40 2020 +0200

    kamctl: regenerated dbtext version table records
    
    - GH #2463
    
    (cherry picked from commit 65f5d0ed0fb88f5312ac53f2faaa66a2098ce0d8)

commit b43f98af239b8459bb8872464c954ba25ce3dbf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 2 13:11:18 2020 +0200

    doc/stylesheets: set 0 for id column in dbtext version table records
    
    (cherry picked from commit fcd3f257c12d2e17fa92007f9d149e4ee27ec994)


===================== 2020-09-01 Version 5.4.1 Released =====================

===================== Changes Since Version 5.4.0 ===========================

commit 9527496e3c1bd268531551d72c61ee6190a4c468
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 1 09:37:28 2020 +0200

    Makefile.defs: version set to 5.4.1

commit ee284726b6200f86c370254ba3d27d2f43c79053
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 1 09:35:50 2020 +0200

    pkg: version set to 5.4.1 for rpm and alpine specs

commit 47fe547ce2c1b7b1ccb22744dbefe8a0ea41d926
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 1 09:12:28 2020 +0200

    pkg/kamailio/deb: version set 5.4.1

commit b1ce252f8090f66de290cec95dbb6e1762ee6bdf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 31 12:15:00 2020 +0200

    keepalive: removed function name from log messages
    
    (cherry picked from commit 17d6a88090e2a67f5c0b06e6aae76d629595b37e)

commit e9baba91c6c7e3d1817e8a07bbabbce3a8efbe79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Aug 30 18:04:04 2020 +0200

    tls: proper ifdef on libssl version for tls_init_locks()
    
    - avoid compile warning on unused label
    
    (cherry picked from commit 60bd3aa284a5d9eb117a9763aa590aecf276ba16)

commit ac56dfde20c5e689fb911debdd33a6155f7b130c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 27 12:34:50 2020 +0200

    usrloc: get_udomain() - safety checks for location table name parameter
    
    (cherry picked from commit 29dde9fea1eb21b4bb484286f7443dd32f611bd2)

commit f22d1ebae89f15e177a791d09c36ded1184d9b67
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Aug 26 23:16:45 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 05b4b85b6d977fddfd23b3c556328c516670b98d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Aug 25 20:11:59 2020 +0300

    sqlops module: added one more sql query function return value to README
    
    (cherry picked from commit d93de03c10eb7b88024d7eb9ba85200601cf6c7a)

commit b5176749605808af737aca00992f549152f9c38a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:22:52 2020 +0200

    topoh: remove the Via cookie when skipping topoh via event route
    
    - event route is now executed with parsed sip message to be sent out
    - GH #2437
    
    (cherry picked from commit 06a1d20fdcae42c8f2130c547c6c6cf5fb6dce26)

commit a3763403b22b21974e401929de4ef3f6f38d045a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 09:34:33 2020 +0200

    keepalive: docs - documented owner parameter for add/delete functions
    
    - related to GH #2438
    
    (cherry picked from commit 7284a61125bb0cacd1adc2289af616061df03258)

commit f1d194d0d83f94a495c539436918a094f06758de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 20 16:16:56 2020 +0200

    core: kemi - exported core route function
    
    (cherry picked from commit d9dd2abeb82be8b992ddf534864b6d84594b7a47)

commit daab7955e91c4537547c89eacb7ecd0f136bffdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 20 15:57:57 2020 +0200

    cfgutils: exported route check functions to kemi
    
    (cherry picked from commit ecba550f5d35435adfa9c692cec8cee6cae8a77b)

commit 474d77b8743834a14d00ad285534cf2916460b17
Author: Yufei Tao <yufei.tao@syntec.co.uk>
Date:   Thu Aug 13 16:18:49 2020 +0100

    uac: added uac_event_callback for kemi
    
    (cherry picked from commit 767d3ca88a4e4fa093a6a81a36d95d116251b578)

commit 0efd0d63a8f8d7b644d0eba13552778d3b746c67
Author: Dmitry <dmitry.wagin@ya.ru>
Date:   Sun Aug 16 23:21:37 2020 +0300

    Makefile.defs: Fixed libs option for FreeBSD
    
    (cherry picked from commit f490c4e0f5888963a01fa99fe94a464d44223199)

commit 67979e07b63b574687b1924c38fabd724d0ad876
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 13 07:19:28 2020 +0200

    tls: added define condition on version functions
    
    - libssl 1.1 variants are not in 1.0
    - following the changes by 234b02236b3ad13cdaf5624d11c727ad7d804747
    
    (cherry picked from commit 99c6a68dea60ca745dfdfa33085bb6acbcee846a)

commit 10af8efa9061c2f52ee1db51c4cf665073c20dcc
Author: Rosen Penev <rosenp@gmail.com>
Date:   Wed Aug 12 16:37:13 2020 +0200

    tls: support compilation without deprecated OpenSSL APIs
    
    - GH #2428
    
    (cherry picked from commit 234b02236b3ad13cdaf5624d11c727ad7d804747)

commit c8c884c4db353d4fac83752a494989e699fc36ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 12:36:02 2020 +0200

    topoh: check if via param has the expected prefix, otherwise skip
    
    - GH #2437
    
    (cherry picked from commit 046126b4a90090bf5b8f9b517ba5218793e6b973)

commit c783f19708bfd1d8c2334f739c8960b2de5f4fb3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 11:11:35 2020 +0200

    pike: docs - section for pike.list rpc command
    
    (cherry picked from commit 720e929a87c6d3ee29c316ca63886c7142320f43)

commit 6d79c954469082aeb8518fdcca80217ce4826992
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 5 16:38:01 2020 +0200

    Makefile.defs: map gcc v10.x to 9.0+ options
    
    - detect properly the 10.x gcc version number, GH #2425
    
    (cherry picked from commit 79e7738027a40affa4c7f606bf55a3ad0fe31bc4)

commit b14b0a116791b85f2048e5fc863e50b7f7d93405
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 4 08:36:18 2020 +0200

    Makefile.defs: get clang version only from --version output
    
    - the full version with stderr output included has a different first
    line on MacOS, making head -n 1 not extract the version number line
    
    (cherry picked from commit bff689cfedca70149e17b6ec3584ca9ecab71418)

commit aabb2b2cfab6dc664ebc4b3d15db0d2ecb3cafd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 1 16:51:39 2020 +0200

    db_text: free pointer in case of error
    
    (cherry picked from commit bddf16db74ea779bb01805fc2cbabfdaf8f4d62b)

commit 4aeb071b26df08e1dfc902340475c077e468c661
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 31 20:45:47 2020 +0200

    xcap_server: check before going to the end of the buffer
    
    - use marcros to set and restore char for ending 0
    
    (cherry picked from commit 6ce5c0bdf136ecffd7917f2d60093e1b2c49fa54)

commit c98d9e8c6687f2311f51016ed9cc2e089d4eb242
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 30 20:32:02 2020 +0200

    app_lua: docs - note about availability of 'sr' Lua module
    
    - use KSR in the examples
    
    (cherry picked from commit 34efa83569bedb1f36c3661ee063ff6334633e4a)

commit 12095fd3948ca776dd2d03b8efa11293609389c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 30 10:36:01 2020 +0200

    evapi: export async_unicast() to kemi
    
    - PR #2415
    
    (cherry picked from commit 7116c04c61cf789a371568fb593c109e195a1574)

commit ef86ec4afefdb1c235e0815c76ce17c63f2d20b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 12:28:07 2020 +0200

    dmq_usrloc: do not replicate socket if the field is not set:
    
    - GH #2451
    
    (cherry picked from commit 8891b656f5d3650b83e4f877ca43068d5d6f7ff7)

commit 1ecade5cbd323e1ab45ec6f83236e1d389739d3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:01:20 2020 +0200

    log_custom: print to stderror if sending log message fails
    
    - help troubleshooting while avoiding looping to same function in case
    the log engine is set to log custom module
    
    (cherry picked from commit f16d046f6330f897b374d9bb7dab3b2ce8eab3a7)

commit bf38c7b04171e6f410ff885f10abe0f815d27de9
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Aug 20 11:06:56 2020 +0200

    async: fix async_ms_route and export it to kemi
    
    (cherry picked from commit b787627819fc93dcc8c68a4950c9760d298ce555)

commit 19128f2121d8b859a6a546dfdf2c0855b9bd9502
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 18 17:48:21 2020 +0200

    usrloc: print Route header name in keepalive when Path is present
    
    - related to GH #2446
    
    (cherry picked from commit d49d6b89ceb311598a89cfd789d180412b46a4af)

commit b8a8b0dba15b186fb255307084848b918da378d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 17 11:44:09 2020 +0200

    usrloc: export the ka_logmsg parameter
    
    - GH #2440
    
    (cherry picked from commit d74ab3652eadb34b708755522048468ca8f0b2e8)

commit 890bde4199ec3e9a5fd3c570729f964636a4fffe
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Aug 14 12:46:59 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 2cdaacfb4b54cd6d219c9f8f5becd8928b04f21d
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Aug 13 09:26:57 2020 +0200

    pipelimit: docs - fixed typo
    
    (cherry picked from commit c87f3c1d07a5a3c51728d404200d60b10ed6159f)

commit a24d6c421fac3487f45a352955ba1a2d3e3cf2b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 4 15:19:39 2020 +0200

    evapi: use port in getaddrinfo() otherwise it does not bind as expected
    
    - regression added by cc098ecdfb556bf5efaab72fa767c773000f9fb6
    
    (cherry picked from commit 301302531c630803222e7f14a1c113b1a400f7a1)

commit 91568036f1cfe3bedcf0d6a06c91c917f71c364b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 4 15:01:17 2020 +0200

    pkg/kamailio/deb: add focal support #2338

commit 73c97ee8ca89bea202b09f6b75722396fbe05ba6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jul 31 16:00:06 2020 +0200

    pua: update_version_puadb() use pres_id to select record
    
    * only relevant when db_mode is PUA_DB_ONLY
    * call_id/to_tag/from_tag values can be "", for instance with
      DIALOG_PUBLISH.* records. Then **ALL** records get version
      field update
    * update_vesion_puadb() is called from send_publish() and pres->id
      value is valid after a call to get_record_puadb()
    
    related to #2414
    
    (cherry picked from commit e4aed5c272c8144dd1ddf58163c3ba501bb46a5b)

commit 46b4cc31bb2cb0a513ddf283db5d0690b0b04f68
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 30 12:19:45 2020 +0200

    pua: fix send_publish() behavior on PUA_DB_ONLY
    
    * dialog PUBLISH was missing SIP-If-Mach
    * pua was inserting a new record for every dialog state
    
    fixes #2414
    
    (cherry picked from commit 91d9441a242da4746171bfa532fa2378328e8d73)

commit fefe5aa727147de608ee9770b06b7f78b72ba4f9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 13:28:39 2020 +0200

    pua_bla: clang-format
    
    * use STR_NULL
    
    (cherry picked from commit e542b779b29bda2d0a953a4e55921edc466a3936)

commit 20c9f514b61f5c0c41890650691483ae2b261007
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 13:15:25 2020 +0200

    pua_bla: convert to PKG/SHM memory logging helper functions
    
    * remove trailing spaces
    * remove history notes and $Id
    
    (cherry picked from commit e4895abf5a533b96bf5e7112488a0facaabfc1a7)

commit b5d848e774814b0673c4fec1734d6f3de3e1c877
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 13:10:04 2020 +0200

    pua_usrloc: convert to PKG/SHM memory logging helper functions
    
    (cherry picked from commit be07ed5dd927448ffad3bd77f976249a888cfb2e)

commit 3a44d393dc24d1f7caafedef90c0714c8ed74ff2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 10:53:48 2020 +0200

    pua: convert to PKG/SHM memory logging helper functions
    
    * remove trailing spaces
    
    (cherry picked from commit c91e852d203017b571ae15e48c289f73f4824136)

commit 7a440bdaf8f174f5a97228fab32754daf5cad348
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 10:32:05 2020 +0200

    pua_dialoginfo: convert to PKG/SHM memory logging helper functions
    
    (cherry picked from commit 7e5cc3aa21a243ef19ec092fec10043b1178cae7)

commit a0454945adf28d21e3fdb1261d38cf8427f4f7e5
Merge: 6c4fceb2ab 6619be4624
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 30 10:28:28 2020 +0200

    Merge pull request #2406 from kamailio/feature/remove-unused-var
    
    tm - remove not used route_mode var


===================== 2020-07-29 Version 5.4.0 Released =====================

===================== Changes Since Version 5.3.0 ===========================

commit 1832f33f5a3e4801495f6a489bbfca6dc375eb2f (HEAD -> 5.4, origin/5.4)
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jul 29 12:16:33 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit eb2abae40b36ad123528cddb25e0ddd217b68b22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 24 22:25:50 2020 +0200

    tls: docs - fixed typo

    - GH #2410

    (cherry picked from commit a12064696ac37cadf954a89b58daa1e05e182180)

commit fd93050113eee959002ee40496abab2e01cfe7cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 29 09:12:30 2020 +0200

    pkg/kamailio/deb: version 5.4.0

commit e2e4467177fc729f5cb3e77708ad26bebbe23fe4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 29 09:08:40 2020 +0200

    ChangeLog: prepared content for v5.4.0

commit 41a7f134be420b0a7169b83f2ef5f5961b58a50c (HEAD -> 5.4)
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 29 09:07:39 2020 +0200

    pkg/kamailio: version set to 5.4.0 for alpine spec

commit fcd13ecc50e2e75c33045673a932843a0d07d94b (HEAD -> 5.4)
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 29 09:03:56 2020 +0200

    Makefile.defs: version set to 5.4.0

    - new major release series

commit 6498149122afe485f0dcbca61febdfde8e5ca99e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jul 28 08:46:33 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 7885322c2ad36db4cf56a51a4e9215c05e0c70f6
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Jul 9 16:24:59 2020 -0700

    rtp_media_server: update to mediastreamer 4.4.0
    
    update documentation to simplify usage using docker
    
    (cherry picked from commit 32350bcb48757f2431fe463167a2816a702a8cb7)

commit ecedb702cacc4b46c474d6f48e6774985fe484e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 27 09:37:23 2020 +0200

    dialog: print old state on dlg timeout
    
    (cherry picked from commit 06b7e416756e1711edef6db683cef35824f4b2a5)

commit 054eabae916ba9d670b7967e67af1ceb5e5b0ae9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 23 15:23:15 2020 +0000

    tm: lower log level for t_unref kill transaction to WARN
    
    - lower log level for t_unref kill transaction to WARN
    - immediate CANCEL on an INVITE could trigger this
    
    (cherry picked from commit d85d43247c3d056eebeec3f97735d13c048a181c)

commit 1421556163ad26ff9b68f8aaf6b17288d431eefb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 21 22:34:09 2020 +0200

    README: updated version

commit a13b055292999197ac21d23568d0c3ace8b9e87a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jul 17 15:16:25 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e8ef3c2bb57c3c35ca023d3b01577435f7b80529
Author: Marat Gareev <maratkin94@gmail.com>
Date:   Fri Jul 17 15:22:33 2020 +0300

    xhttp_prom: fixed typo in the documentation [skip ci]
    
    (cherry picked from commit fbfc720a82ed2e6c537fd7fa36b913cf079123ae)

commit ffb0576bd7d93303fb1068a332d9477a4d04471b
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Jul 14 11:48:45 2020 +0300

    p_usrloc: reworking mdb_availability_control
    
    - simplify general implementation
    - avoid deadlock due to a process trying to acquire same lock twice
    
    (cherry picked from commit 5789c506d022dd5713072cd1fcc07a25f42e098c)

commit ac436f2ee8103a6ce7b7648af5666d9e940bec15
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jul 17 10:41:11 2020 +0200

    pkg/kamailio/deb: version set 5.4.0~rc1

commit dc082cec6f846df66ec3fa06a6c119b0d418ef19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 17 09:19:55 2020 +0200

    Makefile.defs: version set to 5.4.0-rc1

commit eda93e7935624b39ac622a76cefc977425b2c413
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 16 17:32:08 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit d0f7c7056b32351cac0b20ce24b074d9be8459a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:16:40 2020 +0200

    core: strutils - trim trailing spaces when comparing hdr names
    
    (cherry picked from commit 6d76b79b81bf448fa1f34753c1d000dc6c1870e0)

commit 63e227383d9c5112f287299981d217f1558a15a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:09:48 2020 +0200

    core: parser - trim trailing whitespaces in header name
    
    (cherry picked from commit 7135feee9cdc93efa8c0c3e4abf24a9335ce42de)

commit 4584e17b98f338916cc89dac6e1700f250cdf501
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 15 17:59:51 2020 +0200

    dispatcher: update state if sending keepalive OPTIONS fails
    
    - it can be due to DNS resolving failure, therefore needs to be counted
    for making it inactive, otherwise keeps failing and writting errors
    
    (cherry picked from commit 6c77c86ab8fdec51293f0d850b9b9771d6266816)

commit 0cf30ae1c4128bca8882109ec34c34a2dd2b4cef
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Mon Jul 13 13:01:43 2020 +0100

    core: don't close tcp connection for dropped non sip messages
    
    (cherry picked from commit 007f98692bb6f7cb35adbb86ec6fb06f034614cc)

commit afc66f390e135f091dfa7abcc058175817350589
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 14 09:21:04 2020 +0200

    misc/examples: kemi lua - added debug callback function
    
    - commented - can be enabled to track the execution trace of the lua
    script
    
    (cherry picked from commit 491a8327933cb4471260fdd09ff93296a7a0ccfd)

commit 4f3c646772e3a6c769e8ff58bb42cf19186c39f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 13 10:08:42 2020 +0200

    sipdump: docs - note about use of drop() in event route
    
    (cherry picked from commit f984505b3ed41b7faf0fca5ab978c52240cd60a0)

commit ef819eb33cdaa8e143148915296c60e03179e819
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 13 09:46:44 2020 +0200

    sipdump: if drop executed in event route, skip writing to file
    
    (cherry picked from commit 1672a9b356cc864310d0ade139d7c8bb6c4c4b11)

commit a472aaae69f7bd483c232cc5c9f59078bad1e938
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Jul 14 14:13:00 2020 -0400

    db_redis: fix unfiltered table deletion

commit d6dbd6aa1816ca3f18059db20cb6c47b4a9fb17a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 14 11:18:53 2020 +0200

    core: only skip over proto in alias inside uri_trim_rcv_alias()
    
    - variable not used if set to the corresponding integer id
    
    (cherry picked from commit 58b0631aafd7d6efa5534009fab197336468a9f8)

commit 1a8f54147063560f6016634152b17293394b8497
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Jul 11 11:03:26 2020 +0000

    ims_charging: fix wrong default User-Equipment-Info-Type AVP format
    
    - fix User-Equipment-Info-Type AVP format
      According to the RFC 8506 it should be like this: The 48-bit Media Access
      Control (MAC) address is formatted as described in Section 3.21 of [RFC3580]
    - use strlen instead of sizeof

commit 1c99504b14fdd1bdddc9f159f03694e940a61009
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jul 10 13:32:03 2020 +0200

    pkg/kamailio/deb: version set 5.4.0~rc0 [skip ci]

commit 8416bde3a2e3c40315087053152783372965ec00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 10 09:31:25 2020 +0200

    Makefile.defs: version set to 5.4.0-rc0
    
    - branch 5.4 created to hold the code for release series 5.4.x

commit bb2cf364e22d15e764ea71d2782cd39f94aef048
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 10 09:24:58 2020 +0200

    Makefile.defs: version set to 5.4.0-pre2

commit 2acd444871db828873cd5cd3c45a604e246831ca
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 9 19:24:49 2020 +0000

    ims_charging: fix for app_provided_party functionality, also support interim/stop reqs

commit ccb86e766b82b739e23afcf47a35cccb89296325
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 9 15:31:14 2020 +0200

    modules: readme files regenerated - dlgs ... [skip ci]

commit 33afceac9c585e9755580ca5748c2b40cd70cd5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 15:25:39 2020 +0200

    etc: kamailio.cfg - use enable_sctp instead of disable_sctp
    
    - be coherent with tls variant

commit b4f0b373654a6f5ed4123e868e8f14d980a006c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 15:23:18 2020 +0200

    dlgs: adjusted the route blocks allowed for exported functions

commit cec3e862db86699b271c00e39dd7ce6f84ff013f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 15:22:32 2020 +0200

    dlgs: docs for params, functions and rpc commands

commit aebae41bccaec46d086796301d33223645ca1ce6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 14:09:32 2020 +0200

    etc: kamailio.cfg - several updates
    
    - use force_rport() at the beginning of processing requests, note added
    in the top comments to inform that config performs symmetric signaling
    - load textopsx module and added define option to apply changes before
    presence handling, so changes to headers or body are visible to presence
    functions
    - modparams to enable use of Path for registrar module
    - modparam timer_procs for usrloc module
    - a bit of refactoring for debug mode, level being set by a defined
    token and log_stderror is set always to no, so even with higher debug
    level logs are sent to syslog (added comment how to enable it via
    setting value to 'yes' or using -E cli option)
    - updated notes for debug mode and listen param
    - GH #2381

commit 7ae02bca24c1ed2ce80158cdc151e65e7fa2f904
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 11:35:43 2020 +0200

    dlgs: matching op with regex and fnmatch

commit 9965578ecb4e8b98156a7a662f8077ba5acd6c32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 10:50:29 2020 +0200

    dlgs: rpc commands to get records by filter

commit 8cb69c32af3162f4c85217cba016a04ba2591747
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 9 10:03:01 2020 +0200

    dlgs: rpc dlgs.briefing command

commit 7dea31780a8e0eac8f97df134688acf21fc17b98
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jul 8 22:46:11 2020 +0200

    modules: readme files regenerated - lost ... [skip ci]

commit 827307c5fc70381a4c80e1cc1937952480c93633
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Jul 8 22:30:09 2020 +0200

    lost: doc edits
    
    - fixed typos
    - added test information

commit 890ebc6f0194e7010130a1e17e720799cf6722e1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jul 8 18:01:26 2020 +0200

    modules: readme files regenerated - nathelper ... [skip ci]

commit d594ff8d0408f0f66ce3ed09c93a59647246a319
Merge: a6652652b9 1bc33f1a4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 17:58:35 2020 +0200

    Merge pull request #2393 from tao-communications/master
    
    rtpengine: added kemi support for block/unblock media/dtmf, and play/â¦

commit a6652652b9bbf5e89c1368c9c33aefa965f45c31
Merge: 317f707425 3c02c11d66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 17:57:58 2020 +0200

    Merge pull request #2390 from kamailio/nathelper-set_contact_alias-trim
    
    nathelper: add optional set_contact_alias([trim]) parameter

commit 317f707425a4cf0be144d2c874fcdf2ad8d7f992
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 14:44:34 2020 +0200

    core: tcp - debug message when removing connection from list

commit 41bdb340952aa3c2c9b45ca2807e4366908c1b42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 14:28:04 2020 +0200

    kamailio.cfg: set disable_sctp to yes
    
    - in auto mode a log message is printed about not having sctp module
    loaded, which is not done in the default config

commit 5aace32c937f4885a19b204d13170a337e7c0ad8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 09:27:34 2020 +0200

    dlgs: tags operations and counting functions

commit 626c0dee863fa517e473148ca8010d737a8f7ffe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 19:28:29 2020 +0200

    kamctl: skip tracing kamctl itself in pstrap

commit 904a1590dbcdbb0fda9f676b4768596f797e9e27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 19:18:52 2020 +0200

    kamctl: print process details in pstrap output

commit 97ec85559f1e33405fff2320443dc86d2df13456
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 18:57:27 2020 +0200

    kamctl: added pstrap command
    
    - use ps to get list of PIDs for Kamailio instance, instead of RPC
    core.psx

commit 846cc5b97a907b5314ccf03772776e0d23434042
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 17:37:00 2020 +0200

    core: io wait - unhash in case delete operation fails because of EBADF
    
    - EBADF: epfd or fd is not a valid file descriptor

commit cb58e78eaac941cc042a71e049568b2dae611e4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 17:36:22 2020 +0200

    Revert "core: io wait - unhash in case delete operation fails because of EBADF"
    
    This reverts commit 60119faef5282b135ef7c972d15e1017ca26815a.

commit 60119faef5282b135ef7c972d15e1017ca26815a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 17:25:00 2020 +0200

    core: io wait - unhash in case delete operation fails because of EBADF
    
    - EBADF: epfd or fd is not a valid file descriptor

commit 1bc33f1a4e4ba4c6c43cd74fb8336c2f6846092d
Author: Yufei Tao <yt100@hotmail.com>
Date:   Fri Jul 3 18:01:30 2020 +0100

    rtpengine: added kemi support for block/unblock media/dtmf, and play/stop media functions

commit 331a5f999b9aa4ddd112b837bb3d350507de2a12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 09:26:22 2020 +0200

    dlgs: filled tags add and count functions

commit 65159728a4425f45559de55fd5549731e717d74e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 6 09:03:32 2020 +0200

    carrierroute: do not test return for strcpy() and strcat()
    
    - they return the dst or src parameter, resulting in code analyzer
    reporting

commit 0cc1e167b9e54bb4a652162445efe89b02939eed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 5 20:50:00 2020 +0200

    db_redis: use safer localtime_r() function

commit ebf80aca06cdbba1f00d502168ee8ab4d1d3d14f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 4 17:50:54 2020 +0200

    dispatcher: variables declared at the beginning of blocks

commit 6a637cf84906ec5315c77e5458180f7d9d69a481
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 23:00:24 2020 +0200

    core: tcp - test connection reference counter to avoid going negative

commit 3c02c11d66c95102698ee52187952bd98a51510c
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Jul 3 14:00:57 2020 -0400

    nathelper: add optional set_contact_alias([trim]) parameter

commit bfdcef8ef550b74fecc38b1bdb8fcb20ccb279b7
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Jul 3 13:33:08 2020 -0400

    core: add function uri_trim_rcv_alias() to trim alias uri param from header

commit 9322a98cd451fa470c8ff93f85758f41c4fc6bce
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jul 3 19:31:10 2020 +0200

    modules: readme files regenerated - nathelper ... [skip ci]

commit 626fbd002e4d569767e84a99a2163d0bd9ff6efd
Merge: 339b94ce71 2802bd75cd
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Jul 3 13:26:13 2020 -0400

    Merge pull request #2389 from kamailio/revert-2388-nathelper-set_contact_alias-trim
    
    Revert "nathelper: add optional set_contact_alias([trim]) parameter"

commit 2802bd75cd03e16bf6541fde1d6459bda2698153
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Jul 3 13:22:16 2020 -0400

    Revert "nathelper: add optional set_contact_alias([trim]) parameter"

commit 339b94ce713b2a3d3763d2c15c8d1437362f648e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jul 3 16:46:13 2020 +0200

    modules: readme files regenerated - nathelper ... [skip ci]

commit 07f2857f76870f9f0fd360c6990df8f7cb0f5ffc
Merge: 67f9de8a94 f254478928
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Fri Jul 3 10:32:25 2020 -0400

    Merge pull request #2388 from kamailio/nathelper-set_contact_alias-trim
    
    nathelper: add optional set_contact_alias([trim]) parameter

commit 67f9de8a946335e2bf16fe0e6063877cd4d51fb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 14:02:20 2020 +0200

    core: tcp - safety checks on emptly local tcp connection list

commit fefb3f1b2dbae8d9df24fecee763c5a1cd588107
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 10:49:43 2020 +0200

    core: tcp - more details on error log messages

commit fbb4312f1b2ebf6793408241d56bfc2dca6543ec
Merge: 0780e781c3 a2932492e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 09:40:12 2020 +0200

    Merge pull request #2386 from kvrban/master
    
    tcpops: target variable passed on tcp_get_conid function was empty

commit 0780e781c319254307c85bd873c58c6478a28da8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 08:33:13 2020 +0200

    lib/srdb1: init timeval structs to silent analyzer

commit d0d2c8fd6a57affac7bffab441b2126b9df0dfb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 08:30:46 2020 +0200

    core: init timeval structs to silent analyzer

commit 52993e9919cf32c3c804421d01f4148bcc560cb7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 2 19:16:11 2020 +0200

    modules: readme files regenerated - mqueue ... [skip ci]

commit dd52d1ce91a1e6a4907161cc7d8294b4ba5d13aa
Merge: c3efb3b333 c85da32333
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Jul 2 10:03:56 2020 -0700

    Merge pull request #2359 from kamailio/jchavanton/mqueue_db_persistent
    
    mqueue: add support for db persistency

commit c3efb3b3331936a30f387e9f3c8c435d4d64f0bb
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 16:05:51 2020 +0000

    ims_charging: bugfix for tel URIs, need the same logic in stop as in start requests

commit f2544789283d7ffbeda019c8a3d96e833bf34cc9
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Thu Jul 2 11:43:45 2020 -0400

    nathelper: add optional set_contact_alias([trim]) parameter

commit 798c1c66a7ef34abaf79d49d184853a313aa3f02
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 2 16:46:17 2020 +0200

    modules: readme files regenerated - cnxcc ... [skip ci]

commit 53a7eb76d215347e8e6515b93a3a041e68dfc984
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 2 16:34:02 2020 +0200

    pkg/kamailio/deb: version set 5.4.0~pre1 [skip ci]

commit bc0264f4802c266901a1eb7a296f80f1dbfcc828
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:47:59 2020 +0200

    cnxcc: update docs [skip ci]
    
    * new error return values
    * delete return value from set_max_credit not in code

commit fb8cc72f1bd76bb2fd4d4e2e5fa2afc50eef59ad
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:40:50 2020 +0200

    cnxcc: avoid duplicated call info
    
    Don't store call if call-id is already registered for that client

commit 4cb61cc35a695e2636007f6518a63ed8e508b67f
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 09:09:27 2020 +0000

    ims_charging: add missing change for ccr.c (related to previous commit f5e44252c39c7695cb)

commit 63064361c9d42602bb5f0e1d6d9a1f888c5cb9b8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 2 11:01:18 2020 +0200

    modules: readme files regenerated - ims_charging ... [skip ci]

commit f5e44252c39c7695cb66893035a0581a65a72f91
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 08:54:20 2020 +0000

    ims_charging: bugfix for destination_host parameter, implementation was incomplete

commit 71bc55240a144dbad9d9d8afc942b81237c806d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 10:44:03 2020 +0200

    ims_charging: db_url param type set to PARAM_STR
    
    - the variable pointer is str* not char*
    - GH #2385

commit a2932492e24ac3c3afe4d33f025c7501c93fda49
Author: kvrban <k.vrban@googlemail.com>
Date:   Thu Jul 2 10:09:09 2020 +0200

    tcpops: target variable passed on tcp_get_conid function was empty

commit 4ce047acc68932b6b0271b7c8e7a11c235f382b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:29:11 2020 +0200

    Makefile.defs: version set to 5.4.0-pre1

commit 2c622627ea145eddcf891ba9b89b756457074991
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:10:48 2020 +0200

    usrloc: rpc scan flags, cflags and methods fields as unsigned int

commit 301525dfbbad2ffcec6738ef5eff952645ab9dfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:09:47 2020 +0200

    kamctl: set Path to '.' when parameter not set for 'ul add'

commit 0a4fa9594d871a41c2ef6b811e2b342ed6ccfe09
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 1 20:53:45 2020 +0200

    jsonrpcs: more debug messages in case field of scanning failure

commit 4dc7b49f6b80305dc7c44d3dc95028ae282568ac
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 1 11:18:39 2020 +0200

    pv_headers: pvh_set_header() fix core if $xavi not found

commit c85da32333237359f9e8b9cfe6715437458c04a8
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Wed May 20 14:44:30 2020 -0700

    mqueue: add support for db persistency

commit a369ed969e956d491f2ced3bc72a8e21343fbe18
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Jun 30 15:42:37 2020 +0300

    pkg/docker: updated submodule

commit 92f33c4488725a85921b3b66010f64c5bdfec802
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 30 12:17:50 2020 +0200

    sl: check if ending zero fits when printing cseq

commit 1d256290cf10414a2f1af1feda3c9a357eb8ac27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 30 12:10:06 2020 +0200

    imc: let space for ending characters

commit d6361c2e501cd9c08319f40897d765d1de1b1a32
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 29 18:31:37 2020 +0200

    cnxcc: remove useless warn messages
    
    if the cid is not equal, an error message is going to be thrown.
    Add more info in the later debug message.

commit 7ac314353f206924234ee416829fc9d75f52a737
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 29 08:31:12 2020 +0200

    modules: readme files regenerated - carrierroute ... [skip ci]

commit 214c762c46d5cd5892d2ddc06a25193a01164e8b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:25:11 2020 +0200

    carrierroute: docs - note about config file ownership
    
    - GH #2369

commit 31c7493d0d822239a76df4b504b2c319de09c19c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:19:34 2020 +0200

    carrierroute: more details on error message checking file permissions
    
    - GH #2369

commit bcae4ab3274b502921fbf0525455c1474e7a63a4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 29 08:01:13 2020 +0200

    modules: readme files regenerated - dispatcher ... [skip ci]

commit ae828e8c671206f15afd913492833f994ca73435
Merge: b7c7976d3e bef306b97e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 07:48:13 2020 +0200

    Merge pull request #2375 from sergey-safarov/dipatcher-frmating
    
    dipatcher: dockbook and config formatting

commit b7c7976d3e84ac648b689e5e496e619f587a4eb9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 29 07:46:20 2020 +0200

    modules: readme files regenerated - dlgs ... [skip ci]

commit f757a5e1a092bff4a1dbaa7da2d02f06e3a3e32e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 28 15:19:42 2020 +0200

    dlgs: update final stats when item is destroyed

commit 7a47812f10f23897f3455a5abbede3a53c8c2d0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 27 19:04:28 2020 +0200

    dlgs: docs for dlg.stats command

commit 5c2b93f61b8970cd174c4d4055f7dbc1ddccaa12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 27 16:28:23 2020 +0200

    dlgs: dlgs.stats rpc command

commit 61d9d204c33c1b140ed90d51e9af13ec4ed12a96
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 28 15:01:25 2020 +0200

    modules: readme files regenerated - ims_charging ... [skip ci]

commit f679c118a589c80cb84954fb46271adef596e049
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 28 12:45:43 2020 +0000

    ims_charging: fix error in destination_realm default vaulue

commit ec0b1d31f1d667abdcd7cce7fbfff110583e271c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 26 22:27:43 2020 +0200

    siputils: docs - added section ids for parameters

commit bef306b97e62dfdb5297a1589541a69e68bbcae0
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:49:02 2020 +0300

    dispatcher: cfg - simplified WITHINDLG
    
    route[PRESENCE] contains exit command, so we removed extra exit
    
    Also some formatings

commit 73a523ba02cc4f4d25636a03344c45a5af7ac295
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:46:35 2020 +0300

    dispatcher: cfg - simplified WITHINDLG
    
    route[RELAY] contains exit command, so we can simplify construction

commit df73f60011497a7346c122cd4328e9564862a448
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:39:14 2020 +0300

    dispatcher: cfg - more simple nesing for route[WITHINDLG]

commit 948e04761029c17841b86a2a133f042b69f264ac
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:34:14 2020 +0300

    dispatcher: docbook - ident formating using Oxygen 13

commit 76e1d0ea1789dc122a04bb82be9b90cb43c64450
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:26:48 2020 +0300

    dispatcher: docbook - fixed 'Attribute "xmlns:xi" must be declared for element type'

commit b22d83175a3979ff91ecfad34b1623e7cbad1f1b
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:23:36 2020 +0300

    dispatcher: docbook - ident formating using Oxygen 13

commit c96ddb32d023f1f6dff1e87160c657c4b9cc1a8d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:19:30 2020 +0300

    dispatcher: docbook - fixed 'Document root element "chapter", must match DOCTYPE root "book".'

commit cb232a7f535502ed181bd78741fc7b8fc048025d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:17:40 2020 +0300

    dispatcher: docbook - space formating

commit 397ad54d977ed2b17d7f936f97b24ce5a235af22
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 22:10:55 2020 +0300

    dispatcher: docbook - space formating

commit 51d1c2ebc251b930ee40d854a84995c911b86db4
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 21:59:40 2020 +0300

    dispatcher: docbook - fixed 'Attribute "xmlns:xi" must be declared for element type'

commit 378952672659ccec883f18f77b8c932a73fc657e
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 21:49:09 2020 +0300

    dispatcher: docbook - fixed "The content of the parent element type is element only."

commit 44f62bd8e0a4c0ef7a9d2b87e52941b0f62d41bd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 21:42:59 2020 +0300

    dispatcher: docbook - fixed "The content of the parent element type is element only."

commit 715d49b62bef30b485d3975acd20b406c444956f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 21:28:19 2020 +0300

    dispatcher: docbook - fixed "Document root element "chapter", must match DOCTYPE root "book"."

commit 60e29f96ae57489669d1c266255e94b449e07dac
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 25 21:05:55 2020 +0300

    dispatcher: docbook space formating

commit 319d925187149d3fdb373938662dc28a1687d43c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 25 07:35:30 2020 +0200

    dlgs: update stats on hash table slots

commit 9d9bb4c02e8dc870e5a65a5fb87ec28c825738d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 18:19:53 2020 +0200

    dlgs: fill in the totag on answer response

commit edd35d35e4a0bffc0d68decb6a7895b4d47823dc
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 24 21:16:15 2020 +0200

    modules: readme files regenerated - pua ... [skip ci]

commit 9adccda325d258fe539b54ec67d4389d3a2fc72c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 21:05:56 2020 +0200

    pua: docs - fixed missing comma in example
    
    - picked from #2371

commit 6e3a8aea7f9f6dde462c86dfd8cd3027c2751e98
Merge: 12b3cfe6fb 1b4afb70c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 21:00:11 2020 +0200

    Merge pull request #2372 from danielmartinezruiz/keepalive_config_ka_ping_from_value_cut_off
    
    keepalive: manage the `ping_from` config value as str.

commit 12b3cfe6fb6c48de28a9aee0420328c6ae863663
Merge: 224f16431c 6b708e937d
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Wed Jun 24 14:59:45 2020 -0400

    Merge pull request #2373 from kamailio/mohqueue-issue-2370
    
    mohqueue: use t_newtran() if transaction does not exist

commit 6b708e937d161101adc91a4de5a527bf190b55c0
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Wed Jun 24 14:32:15 2020 -0400

    mohqueue: use t_newtran() if transaction does not exist

commit 224f16431c2a7777c87d7926b361574e25f27ef6
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Jun 24 17:49:24 2020 +0300

    pkg: obs/kamailio.spec - simplified pkgconfig requirements
    
    for more detail pleae look GH #2368

commit 3331fa6e30b90489be8aec718c4e97232f610ba6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 13:06:54 2020 +0200

    dlgs: return sip attributes in rpc list command
    
    - adjust route types permissions for cfg functions

commit 1eb27d8c5df0c8cbc8bdcb4a110f1fcee9c0e34e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 13:05:22 2020 +0200

    tm: execute SREV_SIP_REPLY_OUT event on relayed reply
    
    - cosmetisation of some debug messages

commit 238c5d70a472cf7903bac09c04581c37323afd55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 13:04:11 2020 +0200

    core: events - fix the field name for SREV_SIP_REPLY_OUT

commit 1b4afb70c1c8228bc4dbae6e7ab433c4187b9867
Author: Daniel MartÃ­nez Ruiz <d.martinez@zaleos.net>
Date:   Wed Jun 24 10:28:04 2020 +0200

    keepalive: manage the `ping_from` config value as str.
    
    Managing the config value as a string (`char*`) doesn't change the string size, so the value is cut off to the default value size (26 chars).

commit fbc55950c8ac0c34c5b6693c1578de7cd11b484c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 09:12:58 2020 +0200

    avpops: free fname1 in case of error getting fname2

commit 92ef21d77d9ded1f1fda7dd83934e073e557dfb8
Merge: 71248a2f73 c4684574e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 08:26:29 2020 +0200

    Merge pull request #2367 from kamailio/dialog-improve-warning-msg
    
    dialog: improve warning message to help better identify dialog lookup failures

commit 71248a2f7394b69c85f030f103afb2a8f6a5a49e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 23 19:00:13 2020 +0200

    pkg: obs/kamailio.spec - set version to 5.4.0
    
    - set packager to Sergey Safarov
    - add more build requirements, including those from GH #2368

commit f4036c535033a333cb551b5af70703135305e7b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 23 08:01:48 2020 +0200

    dialog: use the dlg hash table slot to unlock on dmq handling
    
    - the dlg can be destroyed on dmq replication and unlocking may fail

commit ea8dec941897f23a0c04d045edfed80a41e042cf
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jun 22 18:51:56 2020 +0300

    pkg/kamailio: fixed -pre release RPM packaging

commit a7e08a6c6baa9a4cf35f3a6589dff53f27253deb
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jun 22 17:58:57 2020 +0300

    pkg/kamailio/obs: packaged dlgs module

commit 41db985ebfcb691f2e20e689a83379e382ef6c03
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 15:32:30 2020 +0200

    evapi: free addr info in case of bind error

commit 21a6c7bd41b825a9dfff7632e432e05f761567a0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 22 08:31:26 2020 +0200

    modules: readme files regenerated - uac ... [skip ci]

commit 295e9a23df952bc98c2a2803d796e358363b2e22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 08:22:55 2020 +0200

    uac: docs - updated examples to use avps with string names
    
    - the recommended format instead of interger ids

commit e3cf23b11f2fef44f45aeffe28065f98f6eb105f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 21 19:46:24 2020 +0200

    modules: readme files regenerated - db_mysql ... [skip ci]

commit 56536708c5537c7443aa7a777fad0dc941e1bc71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 21 19:31:07 2020 +0200

    db_mysql: docs - proper location for opt_ssl_mode in params section
    
    - reported by Juha Henianen

commit fcd05ea3f509181506f4ddb633ba016fe9ebf107
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 20 21:44:37 2020 +0200

    sipdump: reimported the readme
    
    - somehow generation of it failed after the docbook update

commit 48dfc16ccf8f0c6d4f1f51b48bc072e1a4ee3acd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 20 14:11:35 2020 +0200

    sipdump: docs - fixed broken docbook format due to extra section tag

commit c4684574e0e0e1cca4c1489a16513182f821a643
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Fri Jun 19 16:54:40 2020 -0400

    dialog: improve warning message to help better identify lookup failures

commit 30c843836a34ad8e749d762b77ade6ebc987a55d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 19 15:16:13 2020 +0200

    modules: readme files regenerated - sipdump ... [skip ci]

commit 47bd211da1474d8addbaf1df86627e11bb221ff4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 19 15:09:51 2020 +0200

    sipdump: docs - usage remarks about cleaning generated files

commit 95992d29c4ab2b8863f1301f0259f295468c5301
Merge: 773ecfc9ce c753932ebf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 19 13:12:32 2020 +0200

    Merge pull request #2365 from khoegh/423-expires-range
    
    registrar: expires_range should not make expires < min_expires

commit c753932ebfa055d923c92b916937eec99cd14d23
Author: Kristian F. HÃ¸gh <kfh@uni-tel.dk>
Date:   Fri Jun 19 11:22:20 2020 +0200

    registrar: expires_range should not make expires < min_expires

commit 773ecfc9ceec5bbbe6c7f5fd72399baacfd74c0a
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Fri Jun 19 11:06:09 2020 +0200

    tools/kemi: add support for invoking function pointers
    
    also add a flag to allow generated version of code to be compatible
    with older versions of python3

commit 39a58ebf3648bc8d21ba9688a4f1407852399528
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 19 10:03:33 2020 +0200

    pkg/kamailio/deb: version set 5.4.0~pre0
    
    * clean previous entries

commit f1773b1fd8662aa0e80949c88d38d48db14981f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 19 08:19:34 2020 +0200

    Makefile.defs: version set to 5.4.0-pre0
    
    - start of pre-release phase for 5.4.x series

commit 909de965a4843169255635839e4d9dc6948c2578
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 19 08:18:12 2020 +0200

    Makefile.defs: version set to 5.4.0-dev6
    
    - marking end of development for 5.4.x series

commit 1acd2a1097d0ccfcf85657f7a1e50d0c95f7f2e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 21:52:52 2020 +0200

    tm: execute core event SREV_SIP_REPLY_OUT on local reply

commit 72d830ce66b40c0f3bd6589b24835d378dda64e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 18:45:37 2020 +0200

    dlgs: register callback for core event SREV_SIP_REPLY_OUT

commit 700261dff422693fb78dbe5062998bed3eddb397
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 18:43:06 2020 +0200

    sl: execute core event SREV_SIP_REPLY_OUT

commit 936a49a11ea88425bec4ad9b9e6ec69549e0fe34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 18:32:10 2020 +0200

    core: events - added out buffer field to event structure

commit 13329ce04a6c082920b959e47d49bee1b8171e70
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 18 17:16:17 2020 +0200

    modules: readme files regenerated - corex ... [skip ci]

commit 5e9a0dba1f1f12222c807332ef6fc8df233fc7ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 17:09:50 2020 +0200

    corex: docs for evcb_reply_out param and event_route[corex:reply-out]

commit 35360a5f99eb96d57d7bdab9d32f1f7db6dc0006
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 16:40:37 2020 +0200

    corex: event route when a sip reply is sent out

commit 05e87e66cdb398ea9fe5aecc09d521a25a4f5c8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 16:14:14 2020 +0200

    core: c code for executing route blocks on send out events moved to onsend.c
    
    - helper functions for executing event_route blocks for send out cases

commit b49b56614db5e5d32ba415755bdac75478cc08f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 15:38:53 2020 +0200

    core: extend onsend structure to include runtime mode and reply code
    
    - runtime mode to be set to local or network traffic on specific cases

commit 93ab0791b409b9a708a1c7ac5cc4f94f7537d2ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 13:18:39 2020 +0200

    core: event hook for sip reply out

commit 7e402da261e1ced56019037d3dce9e72b5b2b0ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 10:31:38 2020 +0200

    pv: use SIP_REQUEST/SIP_REPLY for value of $mt

commit 339f24be1b28a2ab9702ae19dcc8d09f747ea77b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 18 09:01:28 2020 +0200

    modules: readme files regenerated - siputils ... [skip ci]

commit 65119d916fcd3bf42dff21718e6a4a18c2d5b16e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 08:34:14 2020 +0200

    siputils: docs for uri_param_any(param)

commit 3467291d80dba021e8684d203c50fb5a6b546bd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 08:33:27 2020 +0200

    siputils: new function uri_param_any(param)
    
    - check if r-uri has the param, with or without value

commit b31c885e5cb5331963f7d02d8a9d4cde9c6b57ef
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 17 08:31:23 2020 +0200

    modules: readme files regenerated - siputils ... [skip ci]

commit 1a96e1a17a65233a9cff946a1a0ef8237f63cf0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 17 08:20:29 2020 +0200

    siputils: docs for uri_param_rm() function

commit 912356869b7edcf569ebc3367650e238acf01eec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 17 08:17:14 2020 +0200

    siputils: new function uri_param_rm(pname)
    
    - remove parameter from r-uri

commit 916c56df9f8c633ba4c4d4a173e35eea8c23a343
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 22:00:23 2020 +0200

    siputils: use rewrite_uri() to update decoded r-uri

commit cadcdd7c9e8f893110958d1445f1a1d546a4174e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jun 16 22:01:10 2020 +0200

    modules: readme files regenerated - ims_charging ... [skip ci]

commit f28b172aaf951c49a57f97f8fa48ce4b4287a2ac
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Jun 16 19:49:17 2020 +0000

    ims_charging: add support for Application-Provided-Called-Party-Address AVP

commit df6f64b7bd9c094563a4ce765eb20266b6f1c378
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 16:24:29 2020 +0200

    dlgs: docs updates for params, rpcs and functions

commit e1012b8fb39d638e737868fed09d0734c02f8e11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 16:16:38 2020 +0200

    dlgs: init and update functions

commit bf32a3724e3a65d219004e15e95c42e8e919ba34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 11:08:38 2020 +0200

    dlgs: docs - created xml and readme files

commit fe53fd5f4f441d16ddd3403bd625e119b6b094d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 11:07:54 2020 +0200

    dlgs: timer callback to delete expired dlgs items
    
    - more internal api functions
    - work in progress

commit 436406bb3c42304908fb8f4708836a963cee6efd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 18:31:15 2020 +0200

    dlgs: initial import of dlgs module - dialogs stateless tracking and statistics

commit 87f7dc5117f1b51bf27d013ce0012d15f8194016
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jun 16 10:46:17 2020 +0200

    modules: readme files regenerated - dmq_usrloc ... [skip ci]

commit 86f4943b61eb4672d6b18caead75724d8ad78504
Merge: cf3c0132cc a935d8d414
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 16 10:32:58 2020 +0200

    Merge pull request #2358 from kamailio/dmq_usrloc-usrloc_delete
    
    dmq_usrloc: add new parameter `usrloc_delete` to disable synchronizing delete actions

commit cf3c0132cc81b2d8db05a6a9a26d7110a021ce23
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 16 09:31:55 2020 +0200

    sca: clang format code

commit adf7fb2613c4117ea0a76463d2df55e14579da9f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 11 10:48:29 2020 +0200

    avpops: export functions to KEMI
    
    * avp_check
    * avp_copy

commit 3a8896ce9e5a841087e43f6f384858799f590475
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 15 15:31:10 2020 +0200

    modules: readme files regenerated - siputils ... [skip ci]

commit 8616db8573b7d83b81c4177ac855a1fcbd792445
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 15:18:31 2020 +0200

    siputils: docs for contact_param_rm()

commit af15f32669fb482984ee5aefcc52e1a993691060
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 15:14:53 2020 +0200

    siputils: new function contact_param_rm("param-name")
    
    - remove parameter by name from Contact header URI

commit c5115cfb9a676d319eaeb4940998abc2e30acf03
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 15 10:20:51 2020 +0200

    pkg/kamailio/deb: version set 5.4.0~dev5

commit 5721cfc82b74082e2f5f74ca19271e63a466c8f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 09:31:09 2020 +0200

    Makefile.defs: version set to 5.4.0-dev5

commit c5acc58863acb133748ad9f2f8a963ab714af871
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 09:09:20 2020 +0200

    db_mysql: use MARIADB_BASE_VERSION macro to check for MariaDB library

commit 5a65288cac3d4dda5b3c7f6f496cf2f8551e294d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 14 17:16:10 2020 +0200

    modules: readme files regenerated - dialog ... [skip ci]

commit 6b27844460e0de475d9546db122ff1ba9d9be6d8
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 14 15:13:31 2020 +0000

    dialog: fix error in debug logging, properly log both sockets

commit fe2dfebf7b8da99b40f0f21a0cfbf05b9534899f
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 14 15:09:25 2020 +0000

    Revert "dialog: add parameter to configure synchronisation of all dialog states to DB"
    
    This reverts commit 37d83a5838a50350563f19387fad455d6a433a02 for now.
    
    It needs more rectoring and some extensions in the DB access layer for this module.

commit a86029bb088a080a3e81e2d74419aac1806f3d55
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 14 12:31:12 2020 +0200

    modules: readme files regenerated - db_mysql ... [skip ci]

commit ae900a668aff4a472d6f1f7de5cf6277b5881ce9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 12:16:29 2020 +0200

    db_mysql: note that libmariadbclient does not support ssl mode option

commit 5b727447df9f5476c2ef818a8926f62525d0c349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 12:14:40 2020 +0200

    db_mysql: mariadb client library does not support ssl mode option

commit a10d6860c69a518a1b60a17640cfb4da65839214
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 14 11:46:20 2020 +0200

    modules: readme files regenerated - db_mysql ... [skip ci]

commit f012c525264ed05fec2acb4b3924d4b9a1cd3ab9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 11:31:59 2020 +0200

    db_mysql: docs for opt_ssl_mode parameter

commit 260e25e15c4aa68533ee560bd8fcbdd5ee7b7d6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 11:18:15 2020 +0200

    db_mysql: new parameter opt_ssl_mode - allow controling ssl mode
    
    - can disable or enforce use of ssl
    - some combinations of libmysqlclient and libssl1.1 can result in
    crashing when ssl/tls is used, even on 127.0.0.1, this param can be used
    to disable it

commit 150ab9d445da9f7eca1c7312cb70ba176f320131
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 13 11:33:52 2020 +0200

    siputils: add quotes around contact uri if not there for param encoding

commit c7e55a33e9026a4ab74170a96dc1029838a80c6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 13 11:09:32 2020 +0200

    siputils: proper use uri parameters for decoding contact

commit a935d8d414d665ea89859449e622435bc7106f64
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Fri Jun 12 16:02:19 2020 -0400

    dmq_usrloc: add new parameter `usrloc_delete` to disable synchronizing delete actions

commit d35e7c1dd7ee82a470ad31fb2c6901627ad9e499
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 12 18:44:54 2020 +0200

    siputils: ensure that the contact is parsed for param encoding

commit 1189d75511bad3fe235e207e72471770dedfa386
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 12 16:01:15 2020 +0200

    modules: readme files regenerated - siputils ... [skip ci]

commit 10c278643719408957b00c6fe64b0796b6ef148e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 12 15:54:23 2020 +0200

    siputils: docs - updates to contact_param_encode() saddr param

commit 6300f4661747224ec16d34634d62db454630277f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
